2011-08-23  Petr Mladek  <pmladek@suse.cz>  [b99852b29f90f930c516cd8904b86929dbf9bea9]

Version 3.4.3.2, tag libreoffice-3.4.3.2 (3.4.3-rc2)


2011-08-17  Petr Mladek  <pmladek@suse.cz>  [9ef0e83e4584176078ca84a9d9692b4cf9d01f6b]

Branch libreoffice-3-4-3

This is 'libreoffice-3-4-3' - the stable branch for the 3.4.3 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-08-16  Petr Mladek  <pmladek@suse.cz>  [ec6afdaa4e05aa93ab1de7c66304b9f8ad7c25c6]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-15  Thorsten Behrens  <tbehrens@novell.com>  [e796bed98262852aee9d5b4f733a52ab6787b88d]

Fix ruler to not generate negative left indent

This fixes n#707779 - previously, with larger number format
AbsLSpace, LRSpace's left indent could easily become negative -
which the EditEngine does not like at all & exhibits repaint
errors.

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-08-02  Andras Timar  <atimar@suse.com>  [424841035086c784e0573aa226cc13b74abe684b]

missing icon in Styles and Formatting dialog in Impress fdo#38382

Signed-off-by: Kohei Yoshida <kohei.yoshida@suse.com>

2011-07-29  Peter Rabi  <prabi@caesar.elte.hu>  [27757301e465102c72bd0be3d11836b6647aef04]

Clean-up of bugfix fdo#32895 for the -3-4 branch

Contributed under license LGPLv3+/MPL.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-26  Andras Timar  <atimar@novell.com>  [4069ec61857f1529d9a3825b35a40f2b03e7821e]

make strings localizable - fdo#36706

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [ec54ce767efd015c4b1ea646b1a8c05b796fc3a2]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-07  Luke Symes  <allsymes@gmail.com>  [b684f1144acf3da2d9e4951a47d433234d84e482]

fdo#37482 selecting text box after editing gives rotation handles

Signed-off-by: Andras Timar <atimar@suse.com>

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [f67100c868396e728e1f4b828288ca1c44cffd8e]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-01  Tor Lillqvist  <tlillqvist@novell.com>  [347a80976ef3f0f41077be80a8f8c42af968be7a]

Typo

Signed-off-by: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-05-31  Tor Lillqvist  <tlillqvist@novell.com>  [15c5a3c56e70c96e5b91fa5a6d9fadb42d87b9ef]

Add sanity check before dereference, bnc#694119

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-05-20  Radek Doulik  <rodo@novell.com>  [e46599a115f82ddbd6b43c595d883ea367aa1da7]

fix sdfilt component generation

Signed-off-by: Katarina Machalkova <kmachalkova@suse.cz>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fstrba@novell.com>

2011-05-20  Radek Doulik  <rodo@novell.com>  [13c95c52670c7d2756dd76c81612288f7fdc723b]

added sdfilt.component for pptx export

Signed-off-by: Katarina Machalkova <kmachalkova@suse.cz>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Fridrich Strba <fstrba@novell.com>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [7adc901b4ca79f185fe82ef77bf89a6eff6f38b3]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [bc742bce5d10cf5b3dc78748aadc5bb9cf3f39ef]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [f53f50109a7b99736e09b26b9c70d38f6b967d54]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-30  Andras Timar  <atimar@novell.com>  [f96d03713b049d7376977138218124146afdef98]

brackets are necessary when you declare variables within a case label


2011-04-29  Radek Doulik  <rodo@novell.com>  [4c57026b92a862bfae3cb7d6c35889d2844fd5cd]

sd-ppt-fix-document-summary-reading.diff: crasher fix (bnc#546758)

fix problem in ppt reading causing crash or memory saturation

2011-04-29  Thorsten Behrens  <tbehrens@novell.com>  [15a4865021a8826d846e31e73c44dd4e4f33776d]

dlopen-global-symbols.diff: use global namespace for dlopened sym


2011-04-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [511f5bff6fe86a28b8bb2081bc7ed9130f52a86f]

pdf-link-export-fix.diff: (bnc#598816, bnc#639278)

In some cases when exporting a PDF from a presentation, we are asked
to export an empty "link annotation", which gets turned into a
rather bogus file: link to the directory the presentadion document
is in.  Just don't bother handling such empty "link annotations".

2011-04-27  Radek Doulik  <rodo@novell.com>  [091315b8a5c1c321aa3daa321194c860fe1cbc7a]

sd-slideshow-slideshowview-transformation-fix.diff

decrease the width and height after the aspect ratio was corrected

2011-04-27  Radek Doulik  <rodo@novell.com>  [4390710f2200b7f705b6a8d20163d30c657ba0d1]

fix-ppt-linespacing-import-export.diff: fix ppt import (bnc#355302)


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [29c3930b93a95a2a0c4fd33552b002e98fac325d]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-22  Petr Mladek  <pmladek@suse.cz>  [d31b6292b14546ac7b04b4f483b70f68b56412e6]

sd-toolbar-advanced-shapes.diff: used advanced Ellipse and Rectangle shapes

they allow to wrap text according to the shape which is a very nice
feature (bnc#171052)

2011-04-19  Petr Mladek  <pmladek@suse.cz>  [6e67c8168b01a255ac8b7b7f4edaace09739fb53]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-14  Caolán McNamara  <caolanm@redhat.com>  [389ab0aee390bc5532e9e1ba5b4f2035ac7d6d5e]

fix accessibility crash

two different callbacks connected to the same destination where
that destination unset the callback id of one of the callbacks
(cherry picked from commit 0929504217c225358388c911d3f81d7626c7776c)

2011-04-11  Petr Mladek  <pmladek@suse.cz>  [f5b0b5f07612dae214d8ded64dbe27510632367c]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-08  Thorsten Behrens  <tbehrens@novell.com>  [e2587b2bf8b36dfde7ceb88c1386c8e395eb57fc]

Removed PRESENTER_EXTRA_UI for good


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [e7a1b357901efbb69bed7a11b9a1c03747eb16de]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [da4aa2cce2492e3dfae429ffdb93024deff9bfed]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [553b1d5a3d58f43d631d16f3a87db38f5bb2a68f]

fix catastrophic merge to restore video playback


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [47315dc95869c8d0388c9e8e43735320f734afe3]

catch exceptions by const reference


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [11da1b6cd2de4153c534c2f929ee3512f0735fed]

catch exceptions by const reference


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [d42b9102a9587ef8bdda9b3289be8073ba362065]

bOutlineMode set but unused


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [558b3088701231a85c50a51839d28e8399c1efe0]

centralize caserotate


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [24e06c16aafacbae01f7803f9906f3a4f3b94c51]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [2c9c224ae88eb228bde3790c03a5a582c41371a7]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [dc362ff5d13453660d0e2804e5e413ae0a9f72bc]

use --xxx instead -f -xxx for command line options


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [220be0b4e9e6fa2a8d972697b18e787248e3fd59]

add in pre/post win to build


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [f74f9da7f04da63eefc2515509ffcbeb4f729228]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [b469f603f9ffb619067a9dede0a53cecbd917c72]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [9c041a26f4448f57b8b54ce3edb89b4a0e73f6a5]

Moved SvxBorder* into editeng namespace to avoid duplicate DOUBLE on windows


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [ef85509543a2bb1e79821e3e4e9c30bedf0ee8c7]

migrate sd subsequenttests to gbuild


2011-03-27  Francois Tigeot  <ftigeot@wolfpond.org>  [c40ab5ab21fdac756b8ce6b2c31787d188b2d862]

Temporarily disable unit tests broken on DragonFly.


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [15c51a6991242b310544e264b7864a1a6d7a8edb]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-25  Julien Nabet  <serval2412@yahoo.fr>  [e1e0b205f0d3a70ef37dee61eb995d8c0d674165]

Try to resurrect "add slide thumbnails to HTML export" part


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [12532571e09454a725a9e070e63f2b96cc070995]

Wholesale prewin.h/postwin.h removal


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [533dd04b6200e3c0f8cd41cabe42640d4c169481]

WaE: get member init order list correct


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [bdd2ae9d928b6346e413f007f6b5b6be051170d9]

set build depencencies against the new "translations" module


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [b7689a5728a033b94399b85f47bccf4b445ba908]

windows uses BRAND_BASE_DIR instead of OOO_BASE_DIR


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [4b7c695414ee5931ac5c771c9ff9f1984d94e595]

These string ID's are no longer resolved. Do as Writer does.


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [a174eb0de60459378fa412c90ea6c1ff1a2ab5ba]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/impress


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [8d1fb80cc730188e3018c827f8186bdff9aac099]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	sd/source/ui/toolpanel/TaskPaneFocusManager.cxx
	slideshow/source/engine/debug.cxx
	slideshow/source/engine/transitions/randomwipe.cxx

2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [23698a0277b3208aa60aef45dd0dc5a5e4ffa32a]

port regression test to passive uno component registration


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [7a4a8d03a270ccdaa85b53b71ccd9d01cb54a4ae]

unused variable


2011-03-21  Bálint Dózsa  <dozsabalint@gmail.com>  [7a9bf535350a965e8d2d34de5fd1821872b6dfe4]

FIX BUG 32559 - draw


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c426bea940636f3d1ab9711af5f4d1aeda1ab38b]

Fixed sd build after borders widths changes


2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [b0df48d559d8376d7c158288970dd69c027bcb15]

const_iterator pedantry for MSVC


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [571e3b112b2fda5f1fca87d8433797a72e3a306e]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	sd/source/ui/func/fuinsfil.cxx
	sd/source/ui/func/fuprobjs.cxx
	sd/source/ui/slideshow/slideshowimpl.cxx
	sd/source/ui/slidesorter/view/SlsPageObjectViewObjectContact.cxx
	sd/source/ui/toolpanel/ToolPanelViewShell.cxx
	sd/source/ui/view/drawview.cxx
	sd/source/ui/view/drtxtob.cxx
	sd/source/ui/view/outlnvsh.cxx
	sd/source/ui/view/outlview.cxx

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [d53f1f6ee9f02d3d77c76910023986f7f346fc30]

Fix fdo#33947 crash in Impress after printing

Fixes lifetime issue with DrawViewShell - solved by not handing
one in to the print preview DocumentRenderer

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-03-16  obo  <obo@openoffice.org>  [9e9aa18e20614a3e173323def7d7f7058d937fc4]

CWS-TOOLING: integrate CWS debuglevels


2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [e66c2fcdf9a97fcb592d38373aec76e68332c66c]

remove debugging conditions that can no longer be hit with post List removal


2011-03-14  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c4ffa8e23e4192a2494aae24ad79a53865b138a2]

operator= should accept const args too to make stl implementations happy


2011-03-14  npcdoom  <venccsralph@gmail.com>  [ea3475a0a7a22278ee7755ed156ce61157a412a3]

Remove usage of deprecated container List in sd.


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7528fb4313cb2859cd0d0303c137c09fddf0348d]

debuglevels: removed conflicting fix for a leaking WorkWindow - both changes together cause a crash


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1b86c6e1654a4587acf87ecdd69dabe4eb7759e3]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [dfba3eedb0842536a261717d19655540b67fde3d]

no more writeInfo


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [376e4f8b4237f34574b488e515189e4ae2de957c]

fix mis-merge... qa disabled


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [a9e6c0bb00fb5a6de631476bdffd23174b58d9b3]

mis-merge clean-up tools types


2011-03-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [903915d68dc78ab43671204f7831d1bde39bed00]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [9c1555f0d7deabb64bcfaf05e3baf2508cbb3f66]

OSL_TRACE: Use format string


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [5f48d23390ab013da846ada3b94e728296b65a51]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [200178c78fecacce1b65cfe4857277c4d5e1d6f3]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [b55429cd72e45ae71265ac50b74bee271d3d7551]

Move DBG_ERROR to OSL_FAIL (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [779e3194e5370178c1c91dea914d99b6324ee29c]

Move DBG_ERROR to OSL_FAIL for getStr() (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [92f40d4a26c08b91208b2b7738c31bd0f410cf8a]

Move DBG_ERROR to OSL_FAIL for strings with masked quotation marks


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [a23d405ded973a15085f76f1c9af4a55c22b0dac]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [a72074b2117c18822f165ca7ccce5c9435a5d870]

Removed header reference that no longer exists.


2011-03-11  Thorsten Behrens  <tbehrens@novell.com>  [3f7098fed64d3ba5e12b959bad81653f1bb7f01a]

Revert idle whitespace changes

Reverting all hunks that solely change whitespace, prior to
performing the m101 merge from OOo.

2011-03-09  Xavier ALT  <dex@phoenix-ind.net>  [4d7f57dd653b40813f5fe3112733111396313408]

remove SVX_LIGHT macro


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [7c732ce6742d49d914be1ce15d2fe6246f1de2e9]

cppcheck: this method can be const


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [dbf952b83b4cc8fbb7576a0959142920f824d87d]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [1882d8fc773ae999cfadc3555743a7578fada0ea]

CWS-TOOLING: integrate CWS os150


2011-03-06  Caolán McNamara  <caolanm@redhat.com>  [d59a2650c95eb829e8550708f1fb9ecdd85bb477]

make this dtor virtual


2011-03-06  Daniel Di Marco  <d.dimarco@gmx.de>  [a0fe307e05f45501d02df9d9088dfc3da426697d]

translated some comments from german to english


2011-03-05  Rafael Dominguez  <venccsralph@gmail.com>  [1602075988ec758341a184d54c67ed848d65d8a8]

Remove usage of List container.


2011-03-04  Rafael Dominguez  <venccsralph@gmail.com>  [f9c0b40160b5081c16613d7ea592e42db0be437c]

Remove usage of List container.


2011-03-04  Rafael Dominguez  <venccsralph@gmail.com>  [fa68c93225ba357c677592f0a59a7100ed141dd7]

Remove usage of List container.


2011-03-04  Rafael Dominguez  <venccsralph@gmail.com>  [bd2ed85984f9e419a1f5cfbbf1bbfc39d19afb3f]

Remove usage of deprecated List container.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [b8ff6605fe16892cd5b8bf366b991d258a124793]

findbar: Add the findbar to the menus above the Search dialog.


2011-03-02  Rafael Dominguez  <venccsralph@gmail.com>  [d2a73910caea5c2013447681a6c0fd132a40d9f8]

Remove dead code inside sd.


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [2b0d6160b0136c2faa903606fe5888c1123dd470]

Move DBG_ERROR to OSL_FAIL


2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [3d95ec9405222815f493f1adc61d5ea90913a839]

CWS-TOOLING: integrate CWS mhu21


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [73ddab60128c26f603976061fc86f09a72f33974]

Remove unused misc.hxx and its references


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [ac25becaf4aae68cd663d12f956a01214e49118b]

Remove STARIMAGE_AVAILABLE


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [f77a7926380edd3b91371de9044e437ddf00b133]

Remove TF_STARONE


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [d960a2691c4fe71ad4b67ded52dc0ef81106b2a7]

avoid implicit cast


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [cb45944bb08d32ca6199fe5d55075bb2b8759de4]

CWS-TOOLING: integrate CWS impress195


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [2f679d31d97d64910c193341d595d132ff00c7ee]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [42baf8646cd41e1b51ceab963e3ee44420a73c3b]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-24  Julien Nabet  <serval2412@yahoo.fr>  [1efaf70c59ddc0971cd0fab50a89e4a5a9b465bd]

Remove "using namespace ::rtl"


2011-02-24  Michael Lefevre  <lefevre00@yahoo.fr>  [b3f47b25b1c7f6bed251891260f92e5fc5049a68]

Remove comment

Go on with comments suppression.

2011-02-24  os  <os@openoffice.org>  [5875e0db8c4358f0dbf1347935c7fabd156e6fce]

os150: m101 merged


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [244d6fc5c1a7862eba140a295dd32a9985f6adba]

Update from master repository (DEV300_m100).


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b60b5928c4c92dc3db8becce23981cef906a9c59]

debuglevels: pulled and merged latest changes from DEV300_next


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [09701e1e68b420d6f9377732260265b584c55254]

debuglevels: merged to-be-m101


2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [906cf57dc46488c8f21a300b30eeb673f752b58e]

Remove Tools -> Media Player from Draw


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [da904063b50ff2f3b0678bd5634c23ace138e0f5]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Michael Meeks  <michael.meeks@novell.com>  [89fe9346a5292ddb1ac19ba734034b61e4b628b2]

fix fdo#34533 - occasional blank first slide in presentation


2011-02-20  Joseph Powers  <jpowers27@cox.net>  [1075b6228d3dc0128b7ebf9ed75ea2b058df66ef]

Cleanup some #include <tools/list.hxx>


2011-02-19  Kalman Szalai - KAMI  <kami911@gmail.com>  [27247a653700af7842dddb1af9a25425d2930278]

Remove Task Panel menu element from Draw.

I belive there is no functionality behind this menu element
under Draw only in Impress.

2011-02-18  Release Engineering  <releng@openoffice.org>  [598d1f9159c9176363c41b8f6b22082834ba5337]

merged DEV300


2011-02-18  os  <os@openoffice.org>  [dd4c864918948274eab291d72ec47009193e3563]

os150: SvxFontItem member access changed to Set<member>-methods


2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [1a9c37ac56b97aaf7535bff7bd2fb84b13ef8e50]

Resolves: rhbz#674330 dereference of NULL mpBase


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [ddf02951856209e57a880fb35a7c6c685550fd39]

CWS-TOOLING: integrate CWS accfixes


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [ac78f16cec1779a75c74bd62f821ff6c31f9d07e]

accfixes: merged to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [db9d4aee99021974a1623d862ce8136958dec9ae]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [504ccc23f117910f07c216538a30bb0e2b58238a]

chart52: merge with DEV300_m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [07368c41ff1c9c5887a79cb21e7f44a4ab9fd969]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [ca0dd0f0d453703aca1bd261573a78e023e830e8]

rebase to DEV300_m100


2011-02-14  Michael Stahl  <mst@openoffice.org>  [0ad054d91f373de4f1a0bc543e70f3fac76bea9d]

sw34bf03: stlpool.cxx: fix stupid typo


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [4a828bfea3f67062ebf7bda010c733c53f7f4270]

add mode lines to new files


2011-02-13  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [5b74fa0b382e4900cfeaf1e9a43c6b5e656f9e78]

WaE - signed/unsigned comparison


2011-02-13  Guillaume Poussel  <gpoussel@gmail.com>  [b51008d76728724881305ec215266a8ee8510f3c]

Remove bogus comments


2011-02-11  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [fbae101fad22ba47b20d192f7d341b64bd76a7d4]

Remove final elements from Hyperlink Bar from impress_draw

Removed some includes left in impress and draw.

2011-02-11  Michael Stahl  <mst@openoffice.org>  [e6232f1c41b3a105c3265b8e92199135d4e94dbb]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-10  Julien Nabet  <serval2412@yahoo.fr>  [575d6003557038ea7ab743b9aba6d6dcf0898847]

Some cppcheck cleaning


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [f1a81b910a6d3972821f5f22ece956208be28fd2]

none of these values get exported, so redundant calculations


2011-02-10  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [6cc290dc2e99513b140d3b3ec3808484eaf08ed6]

Remove includes related to Hyperlink Bar in impress_draw

Removed includes dependant on hyperlink bar headers.

2011-02-10  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [70da661ce8303ae0e553753d853d8ce495a42fc9]

Remove obsolete Hyperlink Bar from impress_draw

Removed hyperlink bar references from impress and draw.
Menu entry appears greyed out until it gets removed from core modules.

2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [969336ae6a9023393751b669f8fcd07f0c1d5933]

Remove static if-statement


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e36ef28e449de01484695a1594e17f86cd41e85]

Trying to remove the stlport mention from the code


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [d7f95f6858874f6b79cbd9198536a3c92ba6bdfb]

Remove DBG_EXTRACTOLEOBJECTS


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [bbc81e83af3c80625f60215e29292b8d1584deda]

prewin.h already includes <windows.h>


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [f497c0b48bff387538ddd6e3145cef9bd2da70a7]

Remove all bogus comments in impress.


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [6217be08bfbf318587d09c9556889c66eb1a81f3]

compose1 now also needs the o3tl namespace after moving from std


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2cc6289baf2154cbb7c4fa88627060793ffb22c]

Port stuff to our private implementation of SGI extensions


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [222e5b0572ffea06729d0799e77390baa22bff57]

Adapt to move of prewin.h and postwin.h


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [93ad80f2af03f16658ab6882de1cdf8e24be6fcd]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Thorsten Behrens  <tbehrens@novell.com>  [14cf7234d5f120213293970be1b2bf6aed4a867c]

Initial unit test framework for Impress


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [2bc8b3eb0dc9e149e98e071ae78e685d87eaed6f]

Merge remote branch 'origin/libreoffice-3-3'


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [262ced1605f5eacd0ad2162cbf71dfffa75f15e3]

Remove unused using namespace


2011-02-07  Mikhail Voytenko  <mav@openoffice.org>  [219257a8ec0976e834b6dfe4d8cd2fd0b8e7b25a]

removetooltypes01: #i112600# adjust rebase in chart2, starmath, sc, sd


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [4433b379f50e95675d22d3ec0cf88b76703d1b4d]

Remove unused header


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [e3cf16c9f4a8b6aba6657c73b0c4827e6ce992d1]

removetooltypes01: Rebase to DEV300m99


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea6acd9fcf785b68670b10cbbe3f74bb977815f8]

Migrating to boost unordered containers


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [a4adff87c8ec281adf7328051cb6e15be7312974]

CWS gnumake3: resync to m99


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [73c599285330cec415cd5b1cab20d47ede011207]

chart52: merge with DEV300_m99


2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [48f4f5f4283cb9a58223c6cc6f4d0ebadce53722]

Resolves: rhbz#670020 crash in slidesorting


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [b2310975c1704fa619bdb4dbd86fcc4bc230ae74]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [ebb46747875bd0d9222941ff8d09bb914c1bdb4d]

Clean up makefiles


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [369ecf5bce0a54721255476eaecd4c22bfb1c052]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [20d79780cf5d3927febe82264a4cc7803aa82655]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [40d4333cd14d70e38b384077793462826a007e33]

Remove RCS lines.


2011-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [654dd42acdeb4c6da006638111ff94ab877bc96c]

Don't copy over files under version control

scp2 handles the case where the OGL transitions are not built just fine

2011-01-30  Kenneth Venken  <kenneth.venken@gmail.com>  [0be14c931cba918f89a0deee65539c9f739cfb62]

unread variable


2011-01-29  Julien Nabet  <serval2412@yahoo.fr>  [16a4fe9ce18d3f519569a8397fcb544a63ff7878]

Some cppcheck cleaning


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [d65f892a00c4c94b6a4c72467fe0004ef77162a0]

cppcheck: remove unused variable lt.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [6174bf0ad83c7c94c46516c06d4d1fca7ebcc66d]

Remove double line spacing.


2011-01-28  Takeshi Abe  <tabe@fixedpoint.jp>  [f8755d7910236e61b43d0f99ff6543ee20816c49]

narrowed a variable's scope


2011-01-28  Takeshi Abe  <tabe@fixedpoint.jp>  [83d98774adfd1bc5759341bc39c8067cc377abf5]

removed dead codes and fixed a typo


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [72f5fa42bf79980db5563cf263bee057c1a27f61]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5371ef1933f116e28cc475fd027f07e8937ebdcc]

undoapi: pulled and merged DEV300.m98


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [734aa40c3cee8e19270553ca0ee1e5623421856b]

Update from master repository (DEV300_m98).


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [e977b852769825451a228188174a190cf8506648]

WaE: gcc 4.6.0 various warnings


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [97d649bc8ca0ebb1f67a348133179e31eb9e1ee5]

WaE: gcc 4.6.0 various warnings


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [81afed487f09a1e5178e7d3158d3242f6eec3803]

CWS gnumake3: resync to m98


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [ba0fa519f443ea2ee7910ddfef829af5a8ec5add]

WaE: gcc 4.6.0 various warnings


2011-01-25  Takeshi Abe  <tabe@fixedpoint.jp>  [57ab98f929b812175d7a8c741a998bf156c57589]

Removed unused codes and fix some typos


2011-01-24  Carsten Driesner  <cd@openoffice.org>  [f46e4b076117706ee97116afa2bc3199ef9395cc]

removetooltypes01: adjust rebase for Linux


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [3cdc53f1af15aa144241d8eb4e1c13aa9a4d5363]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [9d1e20f627a798c8ff3af63b0a63b1721e5528a4]

WaE: gcc 4.6.0 various warnings


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [42c3f9b695c8ec9f4526cc441d0d0125c4c2298f]

Remove FUTURE directive.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [7a12193974b91539336a2ea702b3598a452a6d62]

Remove obsolete RCS lines.


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [97302f397edf6bde4b31ce207796b0daf7875995]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Joseph Powers  <jpowers27@cox.net>  [c22013f79bf110f8b8abab1297b0c3d22e57534e]

Remove trailing whitespace


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [cb55cc9090a98014631949d769263e09152cfa5c]

Remove old copyright notice.

All other files in this dir look the same. So I assume this as correct.

2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [58d586d4fbad6caf2fb390cc258e3e48536a2b97]

Remove old RCS lines.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [b9c5b190c75d080319b8ef36c17a02bd4a8a3ef2]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-20  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [fb70c9892cd8e199f5160be0ed74658490cab00c]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (sd module)


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [efba0936c1dec3e9524e39f35d8e4052a4683574]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [7a1eb9adef15556111ff91389e7842f59b0cdf20]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [4de9a23946e04a56481be4110fe568f51728dee6]

CWS-TOOLING: integrate CWS sb135


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [67ac3dc1555faf97d05d267bad48b9b471445737]

CWS-TOOLING: integrate CWS chartextensibility


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [1f5cdbb1413c6babb8527d5ffe46778bda109b73]

early return on failed AbstractDialog


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [f9830a947fd01158b61b18dd35ccd7072df8cc96]

drop German version of translation


2011-01-18  Takeshi Abe  <tabe@fixedpoint.jp>  [2aff4de262617f7556bec4c56f4e46ddf2a2321f]

mark fall-through


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [5c62c682edf76f1ae5c59f474b1b998eb2ea2d77]

removetooltypes01: #i112600# Fix problems with autodoc TRUE/FALSE


2011-01-17  Takeshi Abe  <tabe@fixedpoint.jp>  [d2c46a9589519eef2efaf94b8f7aebb88a571766]

cppcheck: possible NULL pPV


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [1b82d24e0944c56247a278f65c31e4259160fb49]

removetooltypes01: #i112600# Remove tools types from sd


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [4dc1c742bded628b25af7c518f405d6368636185]

removetooltypes01: #i112600# fix TRUE/FALSE autodoc tags


2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [5ba1b1b1a87cb04dbfced20f659a86d4df85774b]

removetooltypes01: #i112600# remove tooltypes from slideshow and forms


2011-01-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4d703ea68fb0fc3236c24329b9d1dc47a4a8df4c]

rebase to DEV300_m97


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [b2cdf7bfe14ea650e52a4c90aaf5628b193d8509]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [ed8d7fa8a6f50723b5c2b19e3a9b9df6d014aa68]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [52535240fc8ef850ec32848980b6e5144b96d4c8]

cppcheck: unused variables


2011-01-11  David Tardon  <dtardon@redhat.com>  [d2dbb88c42507ab20bb145818a26d18d614a51d6]

rhbz#668654 avoid division by 0


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [57a8b35880023c5fa8e60fb61a4d9c21ee07e8bc]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [10ac5d7ff371d16e308a0789f7a361d785a43d28]

undoapi: merge


2011-01-07  Thorsten Behrens  <tbehrens@novell.com>  [9100a2002b608bde1a054a5e1be050eddd70c3e6]

This surely shouldn't need executable flag


2011-01-07  Petr Mladek  <pmladek@suse.cz>  [44ee1aa1264093cea591a1f178962c974c5b8b50]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2aba4fb2cf9e8f4a44dfd6d2f0404ab3b8573aea]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/undoapi


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [315ee6e56dc463bc2eef56b5a1b6c961855a8b6b]

cppcheck: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [931a049c61384039339243f92cb808deeeb83396]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [8dd1eb14099d996cbe4c38af97032d74d8c3196f]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [a8447ca213104664443279f30f1a4b927097f669]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [4d812fbf2ca3aeaf8c1abc52ea6d0067ea7e3d0e]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [182b87a852d2782184345b7001dd5f8611306ab1]

cppunit: prefer prefix variant


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [21eb28f962065774b8673c2d7bcbf613692c30d1]

removetooltypes01: rebase to DEV300_m96


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [f2560ae1b291b2dc5c30cddd065adb5a524f037a]

WaE: C4805 mix of bool and BOOL


2011-01-06  armijn  <armijn@brandine.(none)>  [c71d2ab99ce5192a38aa37750262fb606e232fc2]

remove German comments (recognisable by 'ACHTUNG')


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [e9bf0b80b47be3a92b7ca3b903acf17137c36f01]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [36c62832ed2fbb9c106a34604009ba5e82f63232]

rebase to DEV300_m96


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [40b0f448d36a724c8ac04f8e00c31af650f303ab]

undoapi: merge after pulling CWS sb135


2011-01-05  Radek Doulik  <rodo@novell.com>  [cffbb336ff4a19b2c70aa728535d2deac98fb7d4]

fix shapes rendering order n#656934

 - it was broken for master pages containing group shapes

2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [7e9c0b69d48c7594fdcfeca50825137f1d48d219]

CWS-TOOLING: integrate CWS impressdefaults1


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [800ba1f630a643708e1f308334114d01470c8485]

dba34b: merged DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [f4775316f6601ab5902277f31f7fe59fc2e0afdb]

use RTL_CONSTASCII_USTRINGPARAM


2011-01-03  sb  <sb@openoffice.org>  [ea2feb1f1b9eb72e8c60a43036d739f71fc94513]

sb135: merged in DEV300_m96


2011-01-02  Rene Engelhard  <rene@debian.org>  [5689ce6e53fd44c9cb38992f6537a8d54a613484]

remove methods added by (apparently bogus) merge


2011-01-02  Rene Engelhard  <rene@debian.org>  [7a4fff4a87df2022db27b8e1dfa51c5cd69b1823]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	slideshow/source/engine/color.cxx

2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [bb72aa114df293fd529edc339134515b02849526]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [ef6942b7116e89f95921f0b13ae09f170669e10c]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [eb7ce29c797b5f40bc1a2557af394efba8fd3bc9]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [c128994fb3973fac0e76ddebcb8e8db7e6fb87e2]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [fe80f7197dd30a6aaa2639d2011145f607200b9d]

cppcheck: prefer prefix variant


2011-01-01  Joseph Powers  <jpowers27@cox.net>  [07f6088eb941cd99810a835708fdb2aea2008adf]

Remove DECLARE_LIST( TargetList, String* )


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [ddc42a2d9071ccebcac290bcc6bea5b526ba42a6]

cppcheck: prefer prefix variant


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [90816c672fae360c0ce6a00bcdc2b71e22f858e5]

dr77: rebase to DEV300m96


2010-12-27  David Tardon  <dtardon@redhat.com>  [ae8809a3f68044be38d2f39532123bd780bb794c]

avoid use of invalidated iterator in comparison


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [497e9c8c4ac2be44c0a0fe5298b580944a1fc200]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [da47398bce9fbfbca4ff45e58b276cfdd5feef46]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [1c9ef732e5798a72e1cd7059f40b98af24254092]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [a3fc6e097563361a3c38f4c2961f14d454ef2c39]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [fb611d8c5ec3f9439f97e6f87a0a13d4556dab88]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [fa02efb105791c280a181ee69aab263843c873b5]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [755ec691824da28398e6800fe6bb7fe49d6d4b8e]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [43cb8d6edb8505a91d153bb137121cc9588e2dfa]

cppcheck: prefer prefix variant


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9cde4b4af59e12062f2ab324d0300549814536af]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [57db3b206fdb55250eb762faf9a594c199dd2f10]

add this conditional


2010-12-22  Anders Jonsson  <anders.jonsson@norsjonet.se>  [19e02a05f45652f83366e08ea3de9ebd73a0c3a9]

Remove unused code


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [5500b97e07665bd2237f6c9b4562fad799cec3bc]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/impress


2010-12-20  Thorsten Behrens  <tbehrens@novell.com>  [07101b71a84a5f99242e2ae7921cb71ed652ac6a]

Remove extraneous copy ctor and assignment op


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [1b4eafbbac3f5829f3a843beb16eaa5782797a20]

Resoves: rhbz#663857 font color missing; C++ FAQ 10.3 doomage (cherry picked from commit 963c6b655032b4e5d0f26555f3c26a129a9efb03)


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [f693cb1c2bb209f425cd445c6fb874ec9a4e74ca]

Merge commit 'libreoffice-3.3.0.2'


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [b2addbdd741dd84f0d82e5d2624cf6178858ff4a]

prefix prefix variant


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [3c9f9794be7290a5e3e9c9ce05dfa1820481a39e]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-18  Caolán McNamara  <caolanm@redhat.com>  [963c6b655032b4e5d0f26555f3c26a129a9efb03]

Resoves: rhbz#663857 font color missing; C++ FAQ 10.3 doomage


2010-12-18  Caolán McNamara  <caolanm@redhat.com>  [3adf8b5b7f736286edb7664b39ebbf6f2b0e857f]

WaE: init variable


2010-12-17  Caolán McNamara  <caolanm@redhat.com>  [b2ac2cabc88550b2211c2fa100f6c2d6979f3743]

WaE: C4805: Unsafe mix of bool and BOOL


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [712b0f1355a9b25651ee52fae0a93de7f09fd6b6]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [2690589e0e0e8d673cb2454716ec562a2d5e0a80]

CWS-TOOLING: integrate CWS gnumake2


2010-12-17  Michael Stahl  <mst@openoffice.org>  [2e9f5f9d0a48624615735b6833d9c8632417dc55]

sw34bf03: #i93908#: ODF: fix bogus style:num-suffix on bullet lists:  Svx{Bullet,Num}PickTabPage, SwAutoFormat, SwWrtShell::NumOrBulletOn():   clear suffix when bullet lists are created.  xmlnumi.cxx: ignore style:num-suffix written by defective OOo versions.


2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [10de100dcbe0e66effb9562e99e368fa27bf8598]

undoapi: merged DEV300m95


2010-12-15  Thorsten Behrens  <tbehrens@novell.com>  [7074930f8c7ea96345120eee9b66d83849546570]

This surely shouldn't need executable flag


2010-12-15  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [b0be7f2318e1043f0d3c6ebfc3c264040b009c98]

impress207: #i115993# do not insert objects as presentation objects on master pages(cherry picked from commit 056b298538918df97390c645a1a0fb690a89468e)


2010-12-15  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [1bcfdb91f4a74eacc51d28c3ccc47f6842b5dad7]

impress206: #i115898# use updated anchor for group shapes to work around ms office 2010 bug(cherry picked from commit 7736d7e159d0e69ee817def98fefdb216f711ca3)


2010-12-15  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [9252273081649088bb72b1b4b1e82a45021ee3a8]

impress206: #i115898# take into account new presentation shapes(cherry picked from commit c8c648474da56e2ecdbdcc11c269366716fe88c9)


2010-12-15  Christian Lippka  <christian.lippka@oracle.com>  [8f62cd85de50a5023a6065455677971193f0e699]

impress206: fixed compiler warning(cherry picked from commit 8df4a00b9bc1739289e45d9f4485f355298a35eb)


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [63f23271a6af3c1fb34db3a7e8ad0414d0ed3e8a]

cppcheck: unused variable


2010-12-15  Julien Nabet  <serval2412@yahoo.fr>  [9cfc43b963067c53ddb95134aa37269b88ad95d2]

RTL_CONSTASCII_USTRINGPARAM slideshow test


2010-12-14  Hans-Joachim Lankenau  <hjs@openoffice.org>  [4df9cb6b73f626230715e01ff293b6f912c3a8f7]

merge OOO330


2010-12-14  sb  <sb@openoffice.org>  [060d2038c0507ce00cb4a7184f3a9c5f5ee19d5b]

sb135: #i116122# sd::slidesorter::view::Theme mbIsHighContrastMode uninitialized


2010-12-13  camille  <camille.moulin@free.fr>  [ea09dfb1e2f59f2bb78901342bd1475fc3d99355]

Grey as default color for native tables in Impress

Default color for native tables in Impress is blue. Most people I
heard from are unhappy with it, because it doesn't match the
corporate colors, and it's not neutral. To make it worse, if you
change the color of the whole table (to white for instance) and
insert a new line, it's blue again because it doesn't inherit
from the row above.  The colors are hardcoded, and, AFAIKT, can't
be overriden by a configuration extension.  IBM's Symphony has
changed this default to white with black borders, which confirms
my impression that there is a problem indeed with blue by
default.

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [6838be20bb2dcee83711536d1a15ee8190051cde]

add missing files to SLOFILES, so deps are correct.


2010-12-12  Caolán McNamara  <caolanm@redhat.com>  [2821d12f009060f936a2f2e7d41167f09deba4ef]

cppcheck: silence warning


2010-12-12  Kohei Yoshida  <kyoshida@novell.com>  [9981db9b2a66f3d9d2e1e5b85654bfdd6164b012]

Accidental commit? We don't wanna comment these out for no reason.


2010-12-12  Gert Faller  <gertfaller@aliceadsl.fr>  [974255d5b53571b254de8ad2036f81b611ee4f65]

change of __READONLY_DATA define to const


2010-12-11  Joseph Powers  <jpowers27@cox.net>  [1a44b393987af6eb20021535a5d9feb467a48929]

remove DECLARE_LIST( WeakRefList, uno::WeakReference< uno::XInterface >* )


2010-12-11  Joseph Powers  <jpowers27@cox.net>  [e099af30d45fa3b528c97d1fec9b19e8a513de0f]

Remove both DEFLARE_LIST()

They weren't used so, I just deleted them...

2010-12-11  Joseph Powers  <jpowers27@cox.net>  [5a5c0eda6970ad9ea61ba834e4bf8b21a06fa479]

remove DECLARE_LIST( PasswordEntryList, PasswordEntry * )


2010-12-11  Gert Faller  <gertfaller@aliceadsl.fr>  [9e432adbde6205175b2f639cb71fc7d75e8c7a5d]

cleaning of __EXPORT define


2010-12-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4409f8518645df75f4893f24df43f00624cab9c8]

vcl117: more help id woes


2010-12-10  obo  <obo@openoffice.org>  [b965f6f82daa64334e4b35ec96456f091bc6958a]

CWS-TOOLING: integrate CWS impress207


2010-12-09  Andy Holder  <andy.m.holder@googlemail.com>  [45973908bf53cfbd89ac1cde28d251c7a965e087]

Change unnamespaced file.hxx macros


2010-12-09  Joachim Tremouroux  <joachim.tremouroux@gmail.com>  [301ea499918ea1b0c05ba9b91fc4e9822d3ab3fe]

finish cleanup of missing icon handling code


2010-12-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [f254fdb5a384918ad6f610074e557c3a700f7aa8]

vcl117: more HelpID cleanup


2010-12-09  obo  <obo@openoffice.org>  [36abc9c017314364e404a9d835c2358ff503b22a]

CWS-TOOLING: integrate CWS impress206


2010-12-08  Herbert Duerr [hdu]  <herbert.duerr@oracle.com>  [6f2501b405bcffacb8e76d38a21c00c53b5479b8]

vcl118: Octree and InverseColorMap are vcl-internal only


2010-12-08  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [056b298538918df97390c645a1a0fb690a89468e]

impress207: #i115993# do not insert objects as presentation objects on master pages


2010-12-08  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [57358ab94c4e74895a081c082c0ac1a092521c72]

gnumake2: resync to DEV300_m95


2010-12-08  Caolán McNamara  <caolanm@redhat.com>  [222cfc3b02f1a3b3f7031393251f7452ceb4713a]

fix build error


2010-12-08  Caolán McNamara  <caolanm@redhat.com>  [f4eaf0ee1d2c93c5a6cd7212d0a2f5ab0b1f2fba]

WaE, remove warnings


2010-12-08  Christian Lippka  <cl@openoffice.org>  [e2181668de6fbc43a0ce5cbd0d3a360fc0803a3d]

impressdefaults1: #i112002# enter rotation mode after text edit when rotation mode is on


2010-12-08  Radek Doulik  <rodo@novell.com>  [dd62b195253b91c5ec9bd993cd8cfb5bfdfb9918]

export slide layouts to pptx


2010-12-08  Radek Doulik  <rodo@novell.com>  [85cc7564e834bc8f65c90b51ade26bffaecc10ba]

add placeholder text to XShape properties


2010-12-08  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [57bfab4d4af0b3f098fe9c5465ae6010e40245c8]

impressdefaults1: #i112002# re enable text edit on double click with rotation mode on


2010-12-07  sb  <sb@openoffice.org>  [0c2adae50d539835a70ccc5c8e1696192e54bf63]

sb135: merged in DEV300_m95


2010-12-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [8bd57ae86ac35ebcb53b7346f636e75c1a553969]

merge with DEV300_m95


2010-12-06  Caolán McNamara  <caolanm@redhat.com>  [6b8e45d665055827e19fc2a1c8e3b3d699e164c6]

cppcheck: unused variable


2010-12-06  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [7736d7e159d0e69ee817def98fefdb216f711ca3]

impress206: #i115898# use updated anchor for group shapes to work around ms office 2010 bug


2010-12-06  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [c8c648474da56e2ecdbdcc11c269366716fe88c9]

impress206: #i115898# take into account new presentation shapes


2010-12-06  Michael Callahan  <callahan@xmission.com>  [7a7185c3a5ac336cd40a122cb2632ea6130592eb]

remove obsolete __FAR_DATA


2010-12-06  Kayo Hamid  <revol.code@yahoo.com>  [d04bb556b10d27d99a58a48be7ffeaa7ace76d6d]

some caretaker code cleanup in impress


2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [a74367262f20d5881c04abe71446bbe73fda3a93]

Replace all occured, occurance etc.


2010-12-05  Robert Nagy  <robert@openbsd.org>  [02d1ce49d08f947e4e9efb16e59fa5085d2755e7]

do not include OS in the filenames

In unx the code is not LINUX only, it's mesa.
On other platforms there is no point in using the OS name in the
filenames either.
This unbreaks unx builds on non-linux.

2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [9a3fbe2a7c314b9b4be893e61702cca03d13a484]

Remove dead codes from sd


2010-12-05  Robert Roth  <robert.roth.off@gmail.com>  [44a87f1564b2f75e62291d9ca78af3b4a81931af]

Removed dead code and comments from sd


2010-12-05  Kayo Hamid  <revol.code@yahoo.com>  [926a07a952dab7911a0edd8fdc4b3261dbb532d3]

remove commented out code


2010-12-05  Christian Lippka  <christian.lippka@oracle.com>  [8df4a00b9bc1739289e45d9f4485f355298a35eb]

impress206: fixed compiler warning


2010-12-04  Caolán McNamara  <caolanm@redhat.com>  [1ab36420dbe7dcdda770de05e34fdd65bb4983c1]

callcatcher: remove uncalled and uncallable methods


2010-12-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [d8b0dcf4543ba833b778b0c38545ac2f324dc480]

tweak build.lst to avoid apparent dependencies issue in // build


2010-12-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [613c805a0e68c01e0cf1199617ce5fbca57f5389]

merge transogl-transitions-sd.diff and transogl-more-transitions.diff


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [9664af96d0ae74cf65fb704199faee6d22060bda]

callcatcher: removed uncalled and uncallable methods


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [bcb3334e98af596730c810c4230aec51bbd2c0b2]

better output message when not mac


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [0143c3a0d34a4c632a6132c930300a985fbb19c1]

fix libOGLTrans.uno.so vs OGLTrans.uno.so


2010-12-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bcfa709eddb0868581796a919300888e2091efb1]

dba34c: #i115901#: dispose the local pane's window (after clearing the cache, which will dispose the windows currently anchored to the pane) (transplanted from 6010283465918075d489ba4b589fdc9b11343759)


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5a4fd64f3bf70717384cec7080ebd8e107f58df0]

debuglevels: use vsnprintf instead of _vsnprintf, otherwise it won't build on unxlngi6.pro+debug


2010-12-03  Christian Lippka  <christian.lippka@oracle.com>  [6c6769d1600c702b6eebd7c81c9883a5601ce5d9]

impressdefaults1: #i111998# reverted string changes since quick text edit is defaulted to on again


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [1dc86ead1244175151b8661a6fa6458f5707fcc4]

fix this to build


2010-12-03  Norbert Thiebaud  <nthiebaud@gmail.com>  [ebc8f8e9f240518e2140a9a09f6eee30d90cd421]

Make --with-opengl work on MacOS

Now that --with-opengl is enabled by default, merge the patch
dev300/transogl-crossplatform.diff.

2010-12-02  Kayo Hamid  <revol.code@yahoo.com>  [14c96dc154ca428bfcd842d15040106268cb1654]

Cleanup commented code in impress

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2010-12-02  Christian Lippka  <cl@openoffice.org>  [ed748266ca124917ef3850c0a7c8b171717a3be6]

impressdefaults1: #i113014# animate by 1st level paragraph for text shapes by default


2010-12-02  Christian Lippka  <cl@openoffice.org>  [fe4ffe36aea12d0fc460a7e4344ade6caafdd1b2]

impressdefaults1: #i114776# renamed 'Eyedropper' to 'Color Replacer'/'Pipette' in sd


2010-12-02  Christian Lippka  <cl@openoffice.org>  [c29824d050a9fcfea161d2eaf0daafe6b72638e6]

impressdefaults1: #i113019# make user paint settings persistent and added context menu to change pen settings


2010-12-02  Christian Lippka  <cl@openoffice.org>  [4b9a64ab04e9b70c5930ce35ee188954f1226afb]

impressdefaults1: #i113019# fixes to make changing of user paint settings during slideshow work


2010-12-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [31ecd3c6b0ad60537deacc1d5e0f699fce7150f2]

fix pch


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [bf86cb573d06dfb1f50e942a73fbe47744300d47]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-12-01  Christian Lippka  <cl@openoffice.org>  [1d8f447e8d4d9766b572b38dfe3ee39f6f520a8b]

impressdefaults1: merge


2010-12-01  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [be77e9f69a914bcb3bbc6eb9afa1f7731576f916]

impressdefaults1: #i113018# use red as default pen color, enable pen context menu


2010-11-30  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [5b7b96ddc727a1cd50d3dddf34ba67bfaf311fde]

impressdefaults1: #i113015# #i113017# new defaults for shape filling, outline and shadows


2010-11-30  Ivo Hinkelmann  <ihi@openoffice.org>  [e06154221fee9884e57443034ac0f11bbdfcfb67]

CWS-TOOLING: integrate CWS impress202


2010-11-30  Caolán McNamara  <caolanm@redhat.com>  [3db839fdf652d3fc5ed55aceff30cbb08aa03ae1]

cppcheck: unused variable


2010-11-30  Thorsten Behrens  <tbehrens@novell.com>  [16346ec31ca555087088b5c3522ef5b3e8f6753a]

Avoid antialiasing for drag rect

Fix for fdo#31860 - slide dragging gets horrendously slow on Linux,
due to excessive antialiased repaints. Visual difference: zero, no
sub-pixel coordinates used.

2010-11-29  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [06ef873854a76a7e734721f847c98608b7dab278]

impressdefaults1: merge


2010-11-29  Caolán McNamara  <caolanm@redhat.com>  [6c5ea26f9b55d8096bd7a60a443dc88c67b8f50d]

cppcheck: unused variables


2010-11-28  J. Graeme Lingard  <jgraeme+git@gmail.com>  [9c1340e5a99971c8bfa05ad1fdf3d3997c7a0d08]

Remove dated comment


2010-11-28  Caolán McNamara  <caolanm@redhat.com>  [df48a3208cfc26b0d38fbf6812d02c1854b8834e]

cppcheck: use prefix variant


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [69763b5bc6e15ee29322d89d12d28575b0882d66]

cppcheck: use prefix form


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [3f248ab1561e00a4734a4ff527bce42eec1b4532]

cppcheck: use prefix form


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [878141035afffd4a90d8ed2cb5caa595c8bba149]

cppcheck: use prefix form


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [a668f21ba14caa8a5de6f723ace3234ec99f2009]

cppcheck: use prefix form


2010-11-26  Caolán McNamara  <caolanm@redhat.com>  [6b971217eb200e90b72331249f3fdf2e48763a13]

cppcheck: use prefix variant


2010-11-26  Caolán McNamara  <caolanm@redhat.com>  [c4dab9f7086568bc96956ffb62cad6e76c25f145]

cppcheck: use prefix variant


2010-11-26  Rene Engelhard  <rene@debian.org>  [e984f2149c27eecc486b96b7a026600452c4c5c0]

Merge branch 'libreoffice-3-3'


2010-11-26  Mathias Bauer  <mba@openoffice.org>  [6f45ad108dda8eea2b47bbf2ce9822fbe3f5b2b6]

CWS gnumake2: resync to m94


2010-11-26  Jan Holesovsky  <kendy@suse.cz>  [7feb80dd04bd765029905ce1b846992f91e23f28]

samba-hyperlinks-sc-sd.diff: migrated

process relative SMB paths (in hyperlinks) correctly

2010-11-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c684bd5eddf98e33784792eb8605bee263cc6fcb]

undoapi: support for (simple) marks on the Undo stack


2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [2d9b1263232dff71a487abd5b3470cd701a1f06b]

Put show credits entry into all app ui configs


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [61c45a4d4dcff577f8dad6e5592d322d716bae55]

Update from sibling repository.


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [ae03be4ee5d6f9753be05ec8aa37ec2d48504677]

Update from sibling repository.


2010-11-25  Michael Stahl  <mst@openoffice.org>  [79557a3af44d9a29fa6afed619cb4af8de5bb987]

udoapi: merge sw refactoring with undoapi stuff


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [acdbff57f1082423629ea7370442bfc473167f13]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [fe80d4c55085995989223f5a9adab653fbcfc540]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [69357548cdc755686f0a205ee895d80ea949092d]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [ecf6edcc98f47fc7b44b57ce18169ee4d5d0f92e]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [7c981e8546f16183f35771d3152bf862353ad5ff]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [1183de99230d48bcba859a4bc6d86b60330ef753]

cppcheck: method can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [7fd07a55dfbeb44be37e16080d76a1438c3abac6]

cppcheck: FlagUpdater::operator()' can be const


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [2a5b7aba2304c0cb42c350c420d36e444abe5ab1]

merge with DEV300_m94


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [b1cb5d75f3b602686aab9d6212caedd71b155a3a]

vcl117: header cleanup


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [31cbccc96d141d83d72d1b6c664d855a7f5dc5e8]

cppcheck: Unused private function under certain ifdefs


2010-11-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [81cb80351a057e48974626fa30dc7a20a24790a8]

vcl117: removed obsolete header


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [62bd3c35ad066fdbc97d0643cf848d5fdb85555e]

cppcheck: remove unused variable


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [4261f37234ae0b36e54d87ff58a857f45e4b527b]

make possible to build with c++0x


2010-11-22  Joseph Powers  <jpowers27@cox.net>  [5797081d473fbce23e3cf0209c173ada0a18ef72]

Fix .gitignore for mac.


2010-11-22  Joseph Powers  <jpowers27@cox.net>  [c12e311ab7ed3a87647d8626b8f1a5ce25d14faa]

Removing warnings from Impress


2010-11-22  Gert Faller  <gertfaller@aliceadsl.fr>  [1bf2fac7b545c592b5606d529ff000cd59ad324f]

RTL_CONSTASCII_USTRINGPARAM in impress


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [054abe1987ca9a976b17487754675b04bac61121]

dba34b: merge after pulling DEV300.m94


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [babbfe46537186c763c5cdb79a31f66e3b67facc]

undoapi: merge after pulling DEV300.m94


2010-11-20  J. Graeme Lingard  <jgraeme+git@gmail.com>  [e16506cfadbe2ed1fb2519d1ded9b01d94d1b0f6]

Remove empty comments


2010-11-19  sb  <sb@openoffice.org>  [72e65ed0e9c60b20197db72afb3aa9d416f725b4]

sb131: merged in re/DEV300_next towards DEV300_m94


2010-11-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [12c2f55c6b4f819b9a5f9757421dbf7b7aa01fcc]

undoapi: removed EnterStandardMode, again. The requirements / results in the different applications are that different - it does make sense to have a single method doing this, as defining its semantics is rather impossible


2010-11-17  Caolán McNamara  <caolanm@redhat.com>  [84e375e532a795ae60f708a12d315f1aa90c6195]

fix unused variable left over after 7234327b5e949ec7769505f6dd02630135ec788f


2010-11-16  Joseph Powers  <jpowers27@cox.net>  [ec1aa5483ea1b0f785decb834bb18abc14bafd92]

HC Cleanup - Impress


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [058199136d235091ab9585018587ba2b7a76430d]

get this building again


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [089f63d72a16c5af690d549594c5beef45c6ca7f]

get this building again


2010-11-16  Jan Holesovsky  <kendy@suse.cz>  [15d6b693a6b2c9357cc46f88f96b504e1c2aa3f2]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	sd/source/filter/eppt/epptso.cxx

2010-11-15  sj  <sj@openoffice.org>  [6057aa9b876f8e7f9aa8b9721668f90d38454a67]

impress202: rebasing


2010-11-15  Thorsten Behrens  <tbehrens@novell.com>  [237451956a5b98a0169001f2617a43c3cbff615d]

Make slideshow unittest work again

Well, it still fails. But for all the right reasons.

2010-11-15  sj  <sj@openoffice.org>  [c35a087da279e27dfad1cad6de3be74c92dc6ff8]

impress202: merging


2010-11-15  sb  <sb@openoffice.org>  [d1a507bc4b4dc771b088ddf46d4da07ab96e8e39]

sb135: merged in DEV300_m93


2010-11-14  Caolán McNamara  <caolanm@redhat.com>  [d8d8f009ce1788287b7901a56ba30847530947aa]

Misuse of RTL_CONSTASCII_STRINGPARAM instead of RTL_CONSTASCII_USTRINGPARAM


2010-11-13  Joseph Powers  <jpowers27@cox.net>  [eda60e9e4fde0b21928d17095a7c4a553bfcb575]

Purged BmpColorMode from libs-gui - impress


2010-11-13  Julien Nabet  <serval2412@yahoo.fr>  [8ac8ef62e9d6c6137a7805753cbda3d6b3664cab]

RTL_CONSTASCII_USTRINGPARAM for impress


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [02b5f1a38705b556227f92dce287a7c17035757f]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-12  Tor Lillqvist  <tml@hemulen.(none)>  [861472af9fc2d845e41a27596599d2652576bb8e]

Merge branch 'feature/pptx-export-ooxml11' into libreoffice-3-3


2010-11-11  Thomas Benisch  <tbe@openoffice.org>  [037e823ce314a63b132cdc5ee80414ea745e2b71]

chartextensibility: merge with DEV300_m92


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [de66f91add6053d3a86e46cb2474d794e4e5d7f4]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-11  Caolán McNamara  <caolanm@redhat.com>  [b360f3ed6af41bd690c2c0d64291e002f5adc5ea]

fix compile error


2010-11-11  David Tardon  <dtardon@redhat.com>  [febb7eaf5f8943c0304a34974e86fa45215b19b5]

remove repeated test


2010-11-11  julien  <serval2412@yahoo.fr>  [ffe843b8f798d7979ca38863a53b1f6c23b8049a]

remove commented lines


2010-11-10  Joseph Powers  <jpowers27@cox.net>  [fefa92f2ce159b56a5473a43ea04770bb77b49b9]

Bitmap Tree Cleanup - impress

Removed all references to HIGHCONTRAST mode from svtools classes:
	SvImpLBox
	SvTreeListBox

The reset is just fall out.

2010-11-10  Xiaofei Zhang  <Zhangxiaofei@openoffice.org>  [64f83ece96eb1fefc0ac57bc07d36c199a6d3875]

 removetooltypes01: #i112600# resync to DEV300_m92; remove tooltypes from xmloff, linguistic, vcl, svtools, accessibility, fpicker, uui and framework


2010-11-09  Thomas Benisch  <tbe@openoffice.org>  [a4a6a306336b0264667bfe342c6e0660df35b4ea]

chartextensibility: #i113619# Pasting a chart into a spreadsheet is not notified


2010-11-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [27e12b146461ad39dcfa2a6accd53659dd33ba93]

vcl117: #i115477# clean up unused methods


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [68a981e9b5fe2772963e5f977bfff3985530ffa4]

dr77: rebase to DEV300m92


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [f20f0b0a348980549939f8e352c434724a9a724f]

CWS-TOOLING: integrate CWS dba34a


2010-11-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [053eb88d8c18eacbdcb31bd2ff712931498cb669]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2010-11-08  Tor Lillqvist  <tlillqvist@novell.com>  [88950a576e2fc11bf5245f0c8fd1c2d41dd8fcf8]

Dubious fix for compilation error


2010-11-08  Tor Lillqvist  <tlillqvist@novell.com>  [3f27992732f0c4e02813a140b486835c3c2c5357]

Link with OOXLIB and SAXLIB


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [903d899c6e66bc04601223de3b007061f9acc406]

Add new files


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [d4e0fabfcef115951546374f526ad1fe4a6edd04]

Apply missing bits from oox-pptx-export-update-to-ooo320.diff


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [ffa80846efb6ba23d46d5db035078ecfc448b164]

Apply oox-pptx-export-animations-paragraph-target.diff


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [55d0767194f551b15bb7576aec9846cae2a90468]

Apply oox-pptx-export-animations-filter.diff


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [fae151d3e85d047443e51a72036c13df9bd45f33]

Apply oox-drawingml-fix-shapes-map-crash.diff


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [16dc4415b1cb503269c76642fc6ff48a86be4f8b]

Apply oox-pptx-export-fix-hidden-slides.diff


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [e31f213e057f5fc5fd0f30cbe9ad586f0a46a629]

Fix compilation error


2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [a2daf6c19e5869048a8809241586ff4501587f87]

From hg changeset c94984deded153e8720faf14d1fc5c3a5b866381 in ooxml11

ooxml11: intermediate commit, builds

2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [0494b4df6106f378aa3936843c64a7d10d7759fc]

From hg changeset 11bdb9c019c49df77306d1a9915b44e1f8dbf79e in ooxml11

ooxml11: intermediate commit

2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [ba5b9d706f16ca781f2783959e06abb819880cd8]

From hg changeset 0d3461509c7b601f0084eb3560fde9b6941c42ab in ooxml11

ooxml11: add added files

2010-11-05  Tor Lillqvist  <tlillqvist@novell.com>  [80e43cec401734db2df250b1d09159bc30a7d2f9]

From hg changeset 2b3eef7bad494312ee9c8c13c1b1014b22ba0451 in ooxml11

ooxml11: merge with DEV300 m76 (I hope), plus intermediate commit of
own changes

2010-11-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [160069b80bbdffd62e84dbbf491a53d22b1e4813]

merge with DEV300_m92


2010-11-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [267bc5b7b23d1d2f9a15ffd10229f30d24e90196]

vcl117: #i115056# remove now unused svtools PrintDialog


2010-11-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dc4d53aecfa35705783b6732bd9e1badc7160de6]

undoapi: no need to access an sd::UndoManager where an svl::IUndoManager is sufficient


2010-11-04  sb  <sb@openoffice.org>  [89c5ad0235c9053f0f8fda1c3e0a54e1206bc85b]

sb135: merged in DEV300_m92


2010-11-03  Ricardo Moreno  <parcero.cubano@gmail.com>  [6a6b54833b3a65fff2d661646ff04f78732c3651]

remove commented out code


2010-11-02  Gert Faller  <gertfaller@aliceadsl.fr>  [775ffbee33126dd1351c5cd20b18af48004c33ab]

RTL_CONSTASCII_USTRINGPARAM macro


2010-11-02  Gert Faller  <gertfaller@aliceadsl.fr>  [1f49e35e5036c9527dd7f398988932d39c88af4d]

RTL_CONSTASCII_USTRINGPARAM macro


2010-11-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [2e5c0790620c8bddc8369c0bd8214cfba18e7ce7]

vcl117: #i115056# change direct help texts to help ids to allow for proper help content


2010-11-02  Thomas Klausner  <wiz@NetBSD.org>  [1006a40cc0f02e55edb49a30605c509170cbb082]

Add more files to EXCEPTIONSFILES, needed on at least NetBSD.

While here, remove pptin.obj from EXCEPTIONSFILES, it's not
in SLOFILES and doesn't exist here. Ok caolan.

2010-11-02  Thomas Klausner  <wiz@NetBSD.org>  [8377410d9af064d01c2a306a6d45dbf6062a203a]

Add more files to EXCEPTIONSFILES, needed on at least NetBSD.


2010-11-01  Gert Faller  <gertfaller@aliceadsl.fr>  [11a3e1a8b7210c59f941cef8832deaf6fed7966d]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-11-01  Gert Faller  <gertfaller@aliceadsl.fr>  [b4348892ae95bcf7ab7fd1803d9388c5c07ae174]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-11-01  Vladimir Glazunov  <vg@openoffice.org>  [fbc8e36b22b837084c609d5ebfcd1caf48bcfa44]

CWS-TOOLING: integrate CWS svarray


2010-10-29  Mathias Bauer  <mba@openoffice.org>  [f540bf8df9a08da548f025475153f97eb3d38469]

CWS gnumake2: resolve conflicts and make sources buildable on Linux


2010-10-29  sb  <sb@openoffice.org>  [6f1385ba04a9d6b4a55837e569154189da20b27a]

sb135: merged in CWS sb131


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6d59797715160a6591326f0c9776881293596bb1]

merge after pulling DEV300.m91


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [94ed87d17d02b8c90aadf991653bdedf49758acb]

merge after pulling DEV300.m91


2010-10-29  sb  <sb@openoffice.org>  [b8861692f0698deb73090f1a6cbf3267a7176876]

sb132: merged in DEV300_m91


2010-10-28  Mathias Bauer  <mba@openoffice.org>  [dcfdf02d9ac36ef44cc7cb0e214ba0c401d638f9]

CWS gnumake: resync to m91; conflicts unresolved


2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [81670220efdcd6f7880ff17ec5a80572ecbc5452]

add modelines to .hxx files as well


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [ea03543633a33fe805b2e0e0aa20adfa1593087e]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [58162b4d17fb24a7f18d3deb805de3c34a43c590]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-10-27  Thorsten Behrens  <tbehrens@novell.com>  [cea6f569d8ba245a2eb7563bc77273341e509af1]

Fix crash in OGL transitions

Seems on sufficiently slow displays, the disposeTextures() call
comes before any window / context has been setup. Fixed along the
lines of fdo#31072.

2010-10-27  Thorsten Behrens  <tbehrens@novell.com>  [b96c50d7c17bb4a96a39a2a85e83ad14a7efc85d]

Fix build breakage in OSL_DEBUG_LEVEL>1

Conditionally compiled code referenced _vsnprintf.

2010-10-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [737cfcadab2bc3b97f4aa5c57c1154f2e48ea1e7]

undoapi: no need to assert (via DBG_UNHANDLED_EXCEPTION) exceptions caught while calling IUndoManager::Undo/Redo: by defnition, the manager handled this by clearing the stacks


2010-10-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [39d4ce51fe1afd487e93eec99d510ce88b196daf]

undoapi: EndModelChange: Invalid SID_UNDO/REDO


2010-10-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ddfdc922b99082b05565b52a6675a1e16452d3a8]

undoapi: +SfxViewShell::EnterStandardMode (so far, only dummy implementations in the apps except sw)


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [dedee9c7d7ece1a6b6af51cbeeb8af895aea7087]

remove vos reference from uno xml descriptions


2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [15d168f01ca0b1bfed6496d97c74518c3a9e5923]

Corrected file modes


2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [e986934de4f2ba7b6793cf66cbf66b2b1a51b0f2]

Fix impress ruler behaviour

With 3.0, Impress numbering was modified because of the odf1.2
changes in list level handling; we differ in the way we
consider paragraphs to belong to the 'same' numbering group,
compared to ppt. now, as long as the para has the same outline
level (and no 'restart numbering' flag), it is considered to
belong to the same numbering group, i.e. numbering will mono-
tonically increase. Compares favorable to PPT. Additionally,
fixed a repaint bug that prevented following paragraph's numbers
to change, when certain modifications were made on the current one.

Fix is discussed in i#101269

Applies patches/dev300/sd-ruler-fix.diff

2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [3de9734c96aa305ebc825abd5f48aa3cf7b25fab]

Keyboard accel for Impress custom anim create dialog

Make ok and cancel btns work on return and esc, resp. in Impress'
custom animation create dialog. Patch from i#105675, applies
sd-customanimation-defbutton.diff

2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [51696d0ff9e694e8fc033a2593c5615aae94cf13]

Add support for PPT newsflash slide transition

This simply enables the transition on import - support in slideshow
is already there

2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [0bf39fc2b80123bc0ca6f994639e4f25edfb1dca]

MS interop: support for cutblack slidetransition added

Adds CUTBLACK slide transition to ppt import and slideshow

2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [94918552e55bd6b1df823d283f6e94f1312c6e62]

Fix broken Impress document zoom behaviour

As outlined in bugs n#380013 and i#88939, in certain cases Impress
loads documents nastily offset to the top or left, instead of
keeping it nicely centered.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [39790d323a5f82e540c0dcb4998158a13b5f7899]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [a5928cb94cdd1f93c3a302e5bb902edab4adcc26]

convert vos/process.hxx and related API


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [6ace417ed494d2063ff79fca3e84facb39ff8250]

migrate vos::Omodule to osl:Module


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [2f96b518e55c21fae22eebdba7e02545a9ab1ea9]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [245090f4b2b7982b412f99a7e4da1383d9729f8a]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e81e42dd6cca618f2173f8664d2a2303e630bf29]

replace a pair acquire/release on the SolarMutex by a SolarMutexGuard


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [5961a2e3fda6ba902f4784d6a05c283685d5a49a]

use SolarMutexGuard to guard the SolarMutex


2010-10-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8fd1ee25906e62631deeb3dda0d605cddc3d01bf]

undoapi: defined, implemented, and tested the exception handling for XUndoAction/Manager::Undo


2010-10-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [02f010f6ccc78cfaf430705209bd0d62a46dd8f7]

undoapi: more I/SfxUndoManager changes in preparation of new Undo API features


2010-10-22  sb  <sb@openoffice.org>  [575827b2f8df7d985ea6c7a573504d4850c79859]

sb131: #i115124# $(XSLTPROC) implies LIBXSLT:libxslt


2010-10-21  Bartosz Kosiorek  <gang65@openoffice.org>  [c2d3d749bef8fdb975611c16639aedb82fddc44e]

svarray: merge with DEV300 m90 again


2010-10-21  sb  <sb@openoffice.org>  [cd719245363de129338045ac1d89cfdf98ea5089]

sb131: merged in DEV300_m90


2010-10-21  Mathias Bauer  <mba@openoffice.org>  [ca2ed02541845243ed629444ef91a3d126822a11]

CWS changehid: resync to m90


2010-10-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [71f51d220fb6d1a68459bb41bd2bc5f13b8b90ec]

undoapi: specified (and implemented and tested) what should happen when you leave an Undo context which does not have any elements


2010-10-21  sb  <sb@openoffice.org>  [ebed27572eeae4601dcc3562df7f92d068d655f1]

sb132: merged in DEV300_m90


2010-10-20  Bartosz Kosiorek  <gang65@openoffice.org>  [0e64fb183f8eb776d1ba2572d33cdfc151a37652]

svarray: merge with DEV300 m90


2010-10-20  Katarina Machalkova  <kmachalkova@suse.cz>  [efc7a509108bea1f1223f16aac0dcf7a7b00a8ec]

Undoing pptx filter as a separate lib ( + related changes)

Shared ppt + pptx filter will be merged from cws later

2010-10-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [db32b00c88455a7f85f6e35ebef2541ca215c87f]

undoapi: made SfxUndoManager an implementation of the new, abstract ::svl::IUndoManager interface. Change the SfxShell's UndoManager attribute to be an IUndoManager. Did all the resulting changes up the source tree. This way, we'll hopefully be able to provide an IUndoManager implementation in Writer, which is not based on the SfxUndoManager, but on Writer's own Undo implementation.


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [a2c9dda3be79f4720a71c8fe3cbab2f7b85e13a8]

Merged sd-pptx-export-build-fix-2.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [318051ea95bd42bd8bf84d0d0fc464b6c23c9fa6]

Merged sd-pptx-export-build-fix.diff ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [a3fd82b1f8134a4e41c97d7e83dc30091aafbfb4]

Merged oox-pptx-export-update-to-ooo320.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [c7627a7a980b99a198c26a708fa8fd4e845bf787]

Merged oox-pptx-export-animations-paragraph-target.diff


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [6368b5315d35fdf08d29fa91b50c3fbc62313fae]

Merged oox-pptx-export-animations-filter.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [e41bc09f0c71b0ea94ede7cc7c59fdfed56ce811]

Merged oox-drawingml-fix-shapes-map-crash.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [d423acb12122e5ffbd3512158368d609800fdb25]

Merged oox-pptx-export-fix-hidden-slides.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [b5a43c7b7fc7833823cbb675955e36ae1776c36d]

Merged pptx-export-empty-animations-node-and-groupshape-fix.diff


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [c004b0542bfa100bde510ea826ad9011b8cb04ae]

Merged pptx-the-rest-from-git.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [2a590bcc94e594bdcb50f4f5d4102fecbf1378a3]

New files from pptx-snapshot-at-ooxml03-creation.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [a9beae098d192aa1cfd3cf4c14756af936a327bc]

Merged pptx-snapshot-at-ooxml03-creation.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [f788cfc67687f946897466359242cdd9e364d208]

Merged pptx-filter-as-a-separate-lib-sd-build-lst-without-transogl.diff


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [f4adad0235360aa56b2e1aca2f91fbb1d45b30cc]

New files from pptx-filter-as-a-separate-lib.cxx


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [ac1d25203b224ec64cb4413a75c1851ded34ab24]

Merged pptx-filter-as-a-separate-lib.diff from ooo-build - g Untracke ddfiles:


2010-10-19  David Tardon  <dtardon@redhat.com>  [66617f31330a7aec7bd8828a735f9c63bf38b5e4]

remove do {...} while (false) spanning whole func.


2010-10-19  David Tardon  <dtardon@redhat.com>  [abf2dfbf66cfd91d13eb1695651846c76b2a43a2]

remove do {...} while (false) spanning whole func.


2010-10-19  David Tardon  <dtardon@redhat.com>  [0765504fad2bec9b95bfebd6272286beada9899b]

fix obviously incorrect condition


2010-10-18  Bartosz Kosiorek  <gang65@openoffice.org>  [a0a56fdf8f505adda4ba8df66035ff1d1b4b094f]

svarray: #i112395# #i84159# increase max number of pools to 2^32


2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [9b83ffe1c64035d0f04d2da43ee0b62a7f1cbad1]

remove non-compiled code


2010-10-15  Mathias Bauer  <mba@openoffice.org>  [09ac18bb80a48c7a88350abe6baba72e667664ef]

CWS changehid: some missing HIDs


2010-10-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f681c65684c84ef9c6ebe3f9cef321c2c8dff45c]

undoapi: removed unused file


2010-10-15  sj  <sj@openoffice.org>  [e1984c29b6d98ffb32e95e390d4f8ca942dbd9f4]

impress212: #i114750# fixed odf import problem, (using correct word wrap default for shapes)


2010-10-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [264b9c90c226445fbd7073aa35f9dd574013432b]

undoapi: first sketch of the listener API - not sure this will survive 'til the final version


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [20510586e7f140bf32fb419d558516a204ddc06d]

CWS-TOOLING: integrate CWS impress201


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [10c7106866ca8a49f1dcea252e931ba56c2bebc3]

CWS-TOOLING: integrate CWS sb123


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [48b23daa89263310851adf6d71dadbc51ecdbcf7]

Merged pptx-autoplay-fix.diff from ooo-build


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [093642e732b3908ea6c184c1936823a358607486]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-13  Muthu Subramanian K  <sumuthu@novell.com>  [2e8c3d9991c45cfec4e8bbf05486962831198ccb]

Build fix for building with NVidia libraries/drivers


2010-10-11  Alan Du  <alan_du22@yahoo.com>  [71d53ba3e28a477f157f10b6e4b5e63de2ace07e]

Removed a lot of the //CHINA001 comments.


2010-10-11  Mathias Bauer  <mba@openoffice.org>  [4da163d2c6880082828d15847710822f41db77b7]

CWS changehid: generate former auto hids into src files


2010-10-11  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [906aaac507ad530350d0b46a9edf9573186e68ba]

#i104850# enable 'create summary page' during initial text editing


2010-10-11  David Tardon  <dtardon@redhat.com>  [82ca51ecbe6c588dc79b4f45ebf333c263e3e484]

prevent possible use of a ref. to deleted LocaleDataWrapper


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [2de4cbdd84ca3f9f152ade278f35111f686ea486]

merge vosremoval-thread patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [514061d7eb3778f5fa99bd0b9c8bfa9b9449604f]

merge vosremoval-diagnoses patch


2010-10-10  Kalman Szalai - KAMI  <kami911@gmail.com>  [f093adcd8702ab9e37dd129a146d498464c9f59a]

Draw options window string truncation, Contents page #i113896#


2010-10-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [5afe68c38bd6ab2f575253ad1814e48c78db36fb]

missing include for SAL_N_ELEMENTS


2010-10-09  Kayo Hamid  <revol.code@yahoo.com>  [49e19797a48613002357ef37bfac64328105c7ee]

Use SAL_N_ELEMENTS macro


2010-10-09  Mathias Bauer  <mba@openoffice.org>  [981b96904881b252ed561c4f29407ef5ca6c79da]

CWS changehid: resync to m89


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [397ff56da2d5386850b2425040db4560d2607c41]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/impress


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [6b26ccb13dff1bcce3bd5e374720438c0a21062f]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [53b597f564e0fa2e8a592a380e44574d558b72d8]

FASTBOOL to bool conversion


2010-10-07  krishnan parthasarathi  <krishnan.parthasarathi@gmail.com>  [f126a2f22fb889265f496460f4e6495e1ccdf6b7]

Removing comments from sd/source/ui/func/bulmaper.cxx


2010-10-07  Petr Mladek  <pmladek@suse.cz>  [57e76287c10ab66709b06f0d1ae6b23e95122e8f]

more removed include guards using fixguard.py


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [4e23c2101fcecd5ae3b1113e800beb14ca8ae982]

#i94007# #i111758# fix RenderBadPicture on multihead setups and cairo


2010-10-06  Christian Lippka  <cl@openoffice.org>  [59895c26f97ec143102c3fd04d14bdb3b4871804]

impressdefaults1: #i113012# use same spacing and indend for default style bullets level 0 as the other levels


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [6cc67925d4212314b1bad84a874d32ff31129be4]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/impress


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [b74214b6960cb1d42c4707b22580fc156427570d]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [cf66dfdd5feead6a3059e4370300f465f4ce1212]

add virtual dtor, cppcheck warning


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [9e1376d2c6cdd3ba6a73584c3852886d69990304]

#i113072# redundant dereferences


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [369f9a773d3a57af739aaca5b840f24036af9ba3]

#i109623# fix warnings


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [c25665565d7001ea7dd37e2df5712d8ebae95ca6]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [12cfebe092fb134e94ef7a5fbdfdf97dcdd2f584]

fixed include files after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [2edbb51cab133342e25072f6339cf217f1ee7315]

remove include guards using fixguard.py


2010-10-05  Christian Lippka  <christian.lippka@oracle.com>  [54a3847c4f67690ecb720bb312e50c76a4c67add]

impress201: rebase m89


2010-10-05  Christian Lippka  <christian.lippka@oracle.com>  [46f4fc1b0fe62b4778c951885178b8085a138c9e]

impress201: merge


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c8a0e0f132552e81d83cce482c5cf988980f6c0b]

undoapi: pulled DEV300.m89 and sb123


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6334aef9596f3819121bc9daef2c33107ed6aee2]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/sb123


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [d144f2d371b554e8dbe4a3b17a5c0e5fb75b2e09]

use radio buttons for mutually excusive menu options


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [505ec597e900e7b20200bb4cb6670453f9205f99]

Ported draw-load-layer-visibility-fix.diff from ooo-build.

This fixes a bug where invisible layers were not marked blue upon
document import. (n#606434)

2010-10-04  J. Graeme Lingard  <jgraeme+git@gmail.com>  [c11be3ca85f8bb64c6abbfdede4e7078e55dc35f]

Remove commented out #include directives.


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f15462fe04eb58ed48095428a7bbdc7f06b2d46f]

dba34b: pulled DEV300:m89


2010-10-04  sb  <sb@openoffice.org>  [bbca238dbe1f2e6ab035b3480a8c8bbcc339d21d]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [a70e300dcc2f490ece76f762e7837bbc718b44b9]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [21b49a06fbe279b4f362d51bd5af9d30e05cfae7]

sb131: merged in DEV300_m89


2010-10-04  Christian Lippka  <christian.lippka@oracle.com>  [346905b7117dd2605540f8b6a74d4a8ca2fe55b2]

impress201: #i113805# removed limitation to allow change of style name and parent for not pre defined styles


2010-10-04  Christian Lippka  <christian.lippka@oracle.com>  [75baae258bfcf2fd0abe7525b39a068f10f15d50]

#i113896# applied patch to give option strings more space for hungarian language


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [74c59de83e0d3d6d07a317b937ba96ed318b0754]

dba34b: merge after pulling sb123


2010-10-02  Kalman Szalai - KAMI  <kami911@gmail.com>  [9b54c350d66be630234f81bf2d7d9e6b0dde6efa]

Code cleanup after i80528


2010-10-02  Andras Timar  <timar@fsf.hu>  [44bfa53ac3cb122636cbf9612315aa7fcc34a31a]

make CustomUnitText "%" consistent, #i35956#

Despite the state of issue #i35956# this patch was not integrated.

2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [9dc318233922882321a6000f6adb53c5161d7502]

#i10000#


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [a68dc8f5c6b3155b6427869476bca1c27f5aee02]

Split a11y ctor (#i114012)

Split ctor so that there aren't any horrible callbacks into semi-constructed
objects that causes draw/impress to immediately die if a11y is enabled

2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [efaec7055412420037271ed49b38a10b0a7a2c42]

#i102142# Fix the notorious presentation pixmap leak discovered via xresgrind


2010-09-30  Vladimir Glazunov  <vg@openoffice.org>  [6a96d445e90bbff9a436dd9a4f858e8823b69162]

CWS-TOOLING: integrate CWS impress198


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [e514d2b655bb8e61bc1e8ef763001e6eaf258242]

Ported statusbar-fancy-modified-status-sd.diff from ooo-build.


2010-09-29  Thomas Benisch  <tbe@openoffice.org>  [ac01958c91790784a9b081f7ebabb243b62f4662]

chartextensibility: merge with DEV300_m88


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [aa16d6aaca2c7e973816e79f245bc62f1fd9870b]

CWS-TOOLING: integrate CWS sb129


2010-09-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [234687d256149d14b9bfdabb53707fd06634d3c4]

dba34a: WaE


2010-09-28  Rene Engelhard  <rene@debian.org>  [870c137cb77b73939db0a66207ca4d37ed1c1282]

fix build failure (must be pos1--, not i--)


2010-09-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [dc977804072beb831046f3c4098f93f615a3a24b]

dr77: rebase to DEV300_m88


2010-09-28  NeilBrown  <neilb@suse.de>  [dd02232bdac59b1fa6181140bee72b1eba3e4db4]

Improve randomisation in 'dissolve' transition.

The loop for randomizing a list in the dissolve transition is poor.

It randomly chooses two element and swaps them, and does this N/2 times.
Thus a total of N elements are moved.
It is probable that several elements will be swapped multiple times,
leaving it probable that several other elements will not be swapped at all.

This fact is quite visible when transitioning between two very different
slides (e.g. 2 photos).  While there is a lot of randomness, there is a
clearly perceptible top-to-bottom 'wipe' happening at the same time.

So change the loop to provide true randomness.
We randomly choose an element for the last position.
Then randomly choose one of the remaining elements for the second
last position, etc.

Signed-off-by: NeilBrown <neilb@suse.de>

2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c6a3628bfd6affe305fb7a56384e7070e9cf862e]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8603b93d590849098f51a4ec8d52ce57eb307714]

Replace the "Help Support" menu item by the "License Information" one


2010-09-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fb4fb3a1ec837a5c01911738cbcf86ea1c820063]

dba34a: #i31275# allow 'select as you type' aka 'quick selection' for tree list boxes (SvLBox derivees, to be precise), and enable this for Base main window, and the stylist


2010-09-27  sb  <sb@openoffice.org>  [758ec1e0ff9874262d39c33d7d9358fed6375dac]

sb131: merged in DEV300 masterfix


2010-09-27  obo  <obo@openoffice.org>  [474edd6b07c20eb5a9b152dacb3e6ada0b2161e4]

masterfix DEV300: #i114717# missing internal dependency


2010-09-23  Christian Lippka  <cl@openoffice.org>  [f7b1005adfd41f3d3ed25bb7878901bcc52e9f5c]

impressdefaults1: #i113957# enable full width by default for 'Default' style and 'Background Objects' style


2010-09-22  Christian Lippka  <cl@openoffice.org>  [749960cb373e8b5bf5d06719fd8b75f4ea66e3a5]

impressdefaults1: #i112004# toggle rotation mode


2010-09-22  sb  <sb@openoffice.org>  [bc3011ef044c36dec46ae1eb9b84f9911f825ade]

sb123: merged in DEV300_m88


2010-09-22  Christian Lippka  <cl@openoffice.org>  [7c7acd52ecc5a78bf18a8dee660f129b0af6a4ca]

impressdefaults1: #i112000# changing snap toggle modify key from mod1 to mod2


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6f0cbb55f8905f68435cb51a44e63a2fd7ee493e]

dba34a: pulled DEV300.m88


2010-09-22  Christian Lippka  <cl@openoffice.org>  [4e43d3b09e2f95c590cf46897bb12472f93f900b]

impressdefaults1: #i111998# changing defaults according to ux findings


2010-09-22  sb  <sb@openoffice.org>  [90ebce2d3a99f8f16b8fb9ae631c51db4fd02768]

sb132: merged in DEV300_m88


2010-09-22  sb  <sb@openoffice.org>  [e2a8e4cd03886de25de245a769665eca9cfab2a6]

sb129: merged in DEV300_m88


2010-09-21  Christian Lippka  <christian.lippka@oracle.com>  [fb0991b121dcdcf9b1fa2b61e67904a5404f9ead]

impress201: #i112507# remove unused code


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9dc567c03cc7b294f9c17017f0d7d78608087096]

dba34a: merge


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [923f5d1aa761d843c9aedcc6efa7c6968624f88f]

dba34a: merged latest changes from CWS dba33j


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b7064fe8203f3cfb2f5eb31821e338b2ce8531a5]

dba33j: merge after pulling OOO330.m8


2010-09-20  Christian Lippka  <christian.lippka@oracle.com>  [73a0d91921aa4feda705ef9e007608eac1fba8db]

impress201: #ii114432# ensure that background image has unique name


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [8ba4e62c95afd8ae9767d493a474c255611f7d3b]

CWS-TOOLING: integrate CWS cmcfixes78


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [eb239504fdee1c0124a901e7a7ce0b2bca2aa8b3]

DEV300: changesets OOO330 up to m8


2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [b1918cc7d1d57ef977e78b0d19b88bf4679685aa]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5d55caa304d95e44f74be3ff0401dc9627f9886c]

dba34a: remove comphelper/optionalvalue.hxx, and the only client it had (replaced with boost/optional.hpp)


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [acdc65cc85af60d98b713449d3ebf95e11387c8b]

dba34a: silence conversion warning


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3e2599e3c7adb4ebe008d72bff30938f26a468d0]

dba34a: #i113671# still creating the Accessible in the ctor, but adjusting the comment why it has not been removed (as originally intended)


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [84cba5efa24ff89bca3a8c88f8f2e1ca91468a3d]

Update .gitignore for Windows builds


2010-09-16  Radek Doulik  <rodo@novell.com>  [b206284e094ad1d4510507a6e774144a255366e4]

patches/gstreamer/gstreamer-slideshow.diff: gstreamer

- use SystemChildWindow instead of JavaChildWindow when building with gstreamer

2010-09-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3c777c0902e97e361012ee17e706d9a6b83df0e4]

dba34a: merge after pulling impress197


2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [00075e56981a8f55005357da4c43dac3aca2577a]

default-no-registration-menu-sd.diff: Remove registration from menu.


2010-09-14  obo  <obo@openoffice.org>  [fb08d0fcf8c246885b98635081328a5ee02d5ba1]

CWS-TOOLING: integrate CWS dba33i


2010-09-14  obo  <obo@openoffice.org>  [fa38c086958435b8f645f672eb15f3c2bf929397]

CWS-TOOLING: integrate CWS impress200


2010-09-10  sb  <sb@openoffice.org>  [2edad6fc6154fbe0df00f426a6d1a84cb0a49c64]

sb129: #i113189# change UNO components to use passive registration


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [e31a45314a5a2f1e7e2bbea4a2bb6eca7beb7962]

Merge commit 'ooo/OOO330_m7'


2010-09-04  Caolán McNamara  <cmc@openoffice.org>  [03a800e3410e89f11dde908c58fc43b9d27cca7d]

cmcfixes78: #i114308# WaE, new gcc 4.5.X warnings in sd


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [da93a466e535acbcfc6487a282dec4de9bd3fa5b]

dba34a: removed SvLBox'es (and friends) Set/GetWindowBits. They were used in parallel to Window's Set/GetStyle, with WB_* values which overlapped with existing (generic) WB_* bits. Since this overlapping has been removed, there's no need to have both Style and WindowBits at those classes. Should remove some source of confusion and error (and, well, perhaps introduce some new errors :) ).


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b357bad96f791f12d905189bd02c5ec39f5a1068]

merged in latest changes from CWS dba33i


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [081b8ba40497dca9d0d04f25829dcece4fc4c0af]

dba33i: #i113788# ensure the resource framework activates the TaskPane when the respective window is activated (might happen when triggered by SFX, bypassing the resource framework)


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f41d675110bd76907bc950706df07b8da4a59bdd]

dba33i: #i111146# migrated all SFX-based applications to use named views


2010-08-31  Kurt Zenker  <kz@openoffice.org>  [29a72592b0046498a30e87a7beedae4d29161f9b]

CWS-TOOLING: integrate CWS impress197


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [7d3876078d0f982697876fd30fe2bc3b50fbfff5]

dr77: rebase to DEV300m87


2010-08-30  Caolán McNamara  <cmc@openoffice.org>  [b5bc3b57021c2b8a20db8104ebec144b12563b50]

cmcfixes78: merge with DEV300 m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4e748722d7a29203e562d05d45d2d598e1ff3d5f]

dba33h: merge after pulling DEV300.m87


2010-08-26  Christian Lippka  <christian.lippka@oracle.com>  [abae0dfceff9815d8058390e28f1e84e875d6cea]

impress200: merge


2010-08-26  Vladimir Glazunov  <vg@openoffice.org>  [e243dba426b86bdb8204252c66e2fbb8bd8d2a38]

CWS-TOOLING: integrate CWS renaissance1


2010-08-25  Thorsten Behrens  <thb@openoffice.org>  [7234327b5e949ec7769505f6dd02630135ec788f]

linkwarn-sd-no-dnd-links.diff: Do not link on drag and drop.

n#348149

2010-08-25  Thorsten Behrens  <thb@openoffice.org>  [0ce143278c252f7b4f6e2065584fea12c7a1f93e]

linkwarn-dlg-in-apps.diff: Wire up link warning dlg in applications.

n#348149

2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [f6f850b0c445d34adad2d8b1d241e6047f8c82ec]

CWS-TOOLING: integrate CWS vcl114


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [e0ade77ee2cf365a1c148ecf9596cb7b62f2add2]

CWS-TOOLING: integrate CWS codecleanup02


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [46d6a6d14327bd6e6c2eefb684526a208f8f2686]

DEV300: changesets OOO330 up to m5


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [ef53864cfcbeef92ff31c4a5f89cea3236c7425f]

DEV300: merge 000330 till r. b727f1beb700


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [43e5055eee4428f3292e40e481e899919fccf6f1]

Update .gitignore.


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [8f6fe48980c0bd4e168a8f350520d5c6385ef836]

Create .gitignore.


2010-08-19  sj  <sj@openoffice.org>  [d0d04effff7fb1d1019e402dd10ba3f75e1edbd6]

impress198: #i113701,i113699# applied patch / fixed memory leak when saving / opening PPT documents


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [d64f4ba93ff6f075f3fc1e58b0a5a8aaad958fa6]

Merge commit 'ooo/OOO330_m4'


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [10146e0e1f2a6309f2206ea6b5b9878689d60a2d]

CWS-TOOLING: integrate CWS l10nfixer01


2010-08-09  sj  <sj@openoffice.org>  [6b04480dd88a5bd048d12874dc8c07630670c239]

impress197: #163250# fixed string handling, improved polygon splitting


2010-08-06  Christian Lippka  <christian.lippka@sun.com>  [a37d85f979d1616b158c918762821ed82b1e0691]

merge


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [680dacdee019decaa7a6fb93821d51ca49a32c35]

dr77: rebase to m86


2010-08-04  Ivo Hinkelmann  <ihi@openoffice.org>  [0dfb3dbeb6bcc370366d417eb293736b834133b1]

#i10000# added missing dep on sfx2


2010-08-04  Christian Lippka  <christian.lippka@sun.com>  [1380a03aaf7464643eb99de1488ab5b372663ccd]

#i113603# only change layout shape size on init or of user call is set


2010-08-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [8b93ab5fe4baab5f52fe7c16e575ea7811100aee]

merge with DEV300_m86


2010-08-02  Ivo Hinkelmann  <ihi@openoffice.org>  [eefc280c6a3dc1ae87181464cc24df33127ca771]

CWS-TOOLING: integrate CWS calc56


2010-07-29  obo  <obo@openoffice.org>  [4bdb276de588020b445bb69c08e792c1fcd35242]

CWS-TOOLING: integrate CWS avmedia102


2010-07-29  obo  <obo@openoffice.org>  [9dd2df42491f236b0a3695a3da6d01234ac5bcea]

CWS-TOOLING: integrate CWS vcl113


2010-07-29  obo  <obo@openoffice.org>  [c3816a3d007f88510874c22c03a4edf6b618b9f9]

Integrate OOO330_m2 into DEV300 (merge)


2010-07-28  Carsten Driesner  <cd@openoffice.org>  [149d9054fb5de104253df1854d5ea2dbc7169c31]

l10nfixer01: #i113441# Remove wrong user defined text attribute for the Search&Replace function within the findbar.xml files


2010-07-27  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [d3648702e8713653ecc17884ce38d75781a8f341]

merge with DEV300_m85


2010-07-23  Mathias Bauer  <mba@openoffice.org>  [aae199de923b5c9f124da9baef1bc6fb55066642]

CWS changehid: #i111874#: some HID cleanup


2010-07-23  sb  <sb@openoffice.org>  [e8a67b703e5a21dfa8139cff36762727c1c1b340]

sb123: #i113386# disabled sd.AccessibleDrawDocumentView::com::sun::star::accessibility::XAccessibleComponent for now


2010-09-17  sb  <sb@openoffice.org>  [3e8439f54efa32db27fba75dd8a590da9fe98a4f]

sb123: #i113161# disabled some sd.SdLayer::com::sun::star::* for now


2010-09-10  sb  <sb@openoffice.org>  [a43298e5d96971936d6c8c6eef91b93029338f1c]

sb123: merged in DEV300_m87


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [e4e3660689a6fe99d60a145159f4c1409363756a]

CWS-TOOLING: integrate CWS impress194


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [b59757bed5cb976fcca23ef9cb4bf1c91e780e76]

CWS-TOOLING: integrate CWS tl81_OOO330


2010-07-22  Mathias Bauer  <mba@openoffice.org>  [edd860a496b15a9eb2c8a597a0e30fbb2357c4ff]

CWS changehid: resync to m85


2010-07-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [d0b49dea4a88340e39af4d90b80d5cc7462da357]

vcl114: #i105434# solve a scaling issue


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [0f173a9408fe5137fc5b8db6c79a573081f82633]

CWS-TOOLING: integrate CWS impress193


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [e9b082cbf981963f1d03c4dee0da4b0057de8c0d]

CWS-TOOLING: integrate CWS unoawt2


2010-07-19  Mathias Bauer  <mba@openoffice.org>  [b7da2a6cb0a36d2f5d0a18c901ceace803b2a492]

CWS changehid: remove code dealing with obsolete SID_INSERT_APPLET


2010-07-19  Mathias Bauer  <mba@openoffice.org>  [f4d1d05ae54be76d98d5e22474dda28ac3ee061c]

CWS changehid: #i111784#: use mhids.pl to generate conversion list for HIDs


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [2b7cc426957092bb7bba79fbad9775c745b20e01]

calc56: merge


2010-07-19  Niklas Nebel  <nn@openoffice.org>  [52fd7446af7ebc24199b830d7cdaa595c2ea6130]

calc56: merge with OOO330_m1


2010-07-15  Niklas Nebel  <nn@openoffice.org>  [7c4fa62b9951c9bf9582335ef96c8a21e28c3aaf]

calc56: #i113159# check if GetTextEditOutlinerView is null in thesaurus state method


2010-07-14  sj  <sj@openoffice.org>  [d786f2e81068a1cd9fe2b59550555896c0299d83]

fixed build problem (missing header file)


2010-07-13  Daniel Rentz  <dr@openoffice.org>  [8538f1a5a21ac68f0cbaac831ce3fc9772141e75]

dr77: #i113097# make Sequence(sal_Int32) explicit


2010-07-13  Mathias Bauer  <mba@openoffice.org>  [98bf9533a3981c60ce45e1ff7604eb9295da455c]

CWS changehid: resync to m84


2010-07-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [0fb1aff6c7b97b5a72c43cd8f3f7ed4c11398c0b]

CWS gnumake2: resync to DEV300_m84


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [270e00d0cbf4fe6c18bedf82fdb2a02fdef87930]

CWS-TOOLING: integrate CWS impress192_OOO330


2010-07-12  Lars Langhans  <lla@openoffice.org>  [cff56c1ed8fe3a1540ebf9525853a9eda6c482d2]

sb123:merge


2010-07-10  Caol?n McNamara  <cmc@openoffice.org>  [d73aecb699720ce2524bb41a6ae2659ffc24fa23]

cmcfixes76: #i113072# redundant dereferences


2010-07-10  Mathias Bauer  <mba@openoffice.org>  [74ae71c6f97db9399ae06019619579b7309b099a]

CWS changehid: #i111874#: change code to support HelpIds as byte strings


2010-07-08  Christian Lippka  <christian.lippka@sun.com>  [9d2ae18e26f123931957c1bf5fb4707511cad2c8]

#112855# call SdrEndTextEdit only if we are still in text edit


2010-07-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [072543c169dac24e6ab506ae96674c2d5d0709a5]

rebase to DEV300_m84


2010-07-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [df46713b1aa7740086524d7229870cd8027eb3cc]

vcl113: #i110453# support disabled options in a choice


2010-07-07  Christian Lippka  <christian.lippka@sun.com>  [5cfa7fcb4f6f82e66b17e6f5562ce7170d41aa93]

#i112791# add missing update for SID_INSERTPAGE slot on slide change


2010-07-07  Christian Lippka  <christian.lippka@sun.com>  [b3402b2e298c0520189faf845484561e161ac359]

#i112791# add missing update for SID_INSERTPAGE slot on slide change


2010-07-06  Caol?n McNamara  <cmc@openoffice.org>  [a243726d0dd73a8e9279ede9b4e70415dd28b788]

cmcfixes76: #i109623# WaE


2010-07-05  Christian Lippka  <christian.lippka@sun.com>  [99ba3be56d9fea547783dcf203c3e3939304692b]

impress193: rebase m84


2010-07-05  Christian Lippka  <christian.lippka@sun.com>  [452c0b65b0b19a8607d60610d9d48750b0aedba4]

impress193: merging changes


2010-07-02  sj  <sj@openoffice.org>  [cfab132fca6726f1543fcb593d7a4ebe5e060d64]

merged heads


2010-07-02  sj  <sj@openoffice.org>  [54de2c7d69c12449c741eb943debc642a38bdd0a]

merged heads


2010-07-02  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [7757da00c3a3796af34e09bf1689a83336451c8f]

codecleanup02: merge with DEV300_m84


2010-07-02  Andre Fischer  <af@openoffice.org>  [5f6ad06a7e16785f1d0b411650c838618662f8d6]

impress193: #i112422# Applied patch that fixes clipping error.


2010-07-01  Thomas Lange [tl]  <tl@openoffice.org>  [befeddd90d29e38209615b639d31769740cbe88f]

cws tl81: merge with DEV300_m84


2010-06-30  Thomas Lange [tl]  <tl@openoffice.org>  [8c03fbcae624b5b9d06d5e8414c94c7ca539d6cb]

cws tl81: #i112813# missing thesaurus entrsy in Tools/Language


2010-06-30  Malte Timmermann  <Malte.Timmermann@sun.com>  [f9ea42b40c4b469896cfa40039f45e75260c56e4]

codecleanup02: #i112685# Removed old stuff: _VOS_NO_NAMESPACE


2010-06-29  Christian Lippka  <christian.lippka@sun.com>  [713e82a055c3e52294022b431bbb5e6ed777768c]

#i112601# paint the correct page background


2010-06-29  Andre Fischer  <af@openoffice.org>  [2540ba15f9bc6143b52861053825256bec6eab42]

impress193: #i112301# Guarding againts missing view.


2010-06-29  Christian Lippka  <christian.lippka@sun.com>  [06026eb2f641c33e8a68a131950f48abc6e64701]

#i112791# disable slide layout on master pages


2010-06-29  Christian Lippka  <christian.lippka@sun.com>  [117202ca55a716120a623630a4e3991555d9739b]

#i112758# final fix for static BitmapEx


2010-06-29  obo  <obo@openoffice.org>  [a15f690b16b70fad266b00a67a33aaf4a9890d6f]

masterfix: #i112758# integration of renaissance2 in m81 broke smoketestoo_native


2010-06-29  Christian Lippka  <christian.lippka@sun.com>  [811d7640745cb1472a39de343b4a419555a4848e]

#i112758# better fix to free static bitmaps on vcl deinit


2010-06-29  obo  <obo@openoffice.org>  [8565249ddfff9402c1134f48b4c8709ee909aba8]

masterfix: #i112776# smoketestoo_native fails for wntmsci12 (nonpro)


2010-06-28  Christian Lippka  <christian.lippka@sun.com>  [a1da29a31a69ad584665b7ffab6330b89507b09b]

#i112758# changed static BitmapEx to static pointers


2010-06-25  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [c746ce155a75de9004b3bce160664b0a055ee7f5]

Update from master repository (DEV300_m83).


2010-06-25  Malte Timmermann  <Malte.Timmermann@sun.com>  [dabcdc38e1d115656f0404c52dd1bbd5a6ec68b8]

codecleanup02: #i112685# Removed ifdefs and code for WIN,W30,W31


2010-06-22  obo  <obo@openoffice.org>  [838a237246ab5a9859d0deb2896effdc426fc631]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  Christian Lippka  <christian.lippka@sun.com>  [66e86467e92547206e6f44a1c9536146a2363281]

cws avmedia102: rebase m83


2010-06-22  obo  <obo@openoffice.org>  [155c6c21c32b62c14596e77575328d628d0c4eec]

CWS-TOOLING: integrate CWS mba33issues01


2010-06-22  obo  <obo@openoffice.org>  [a23a4b7a2af977cb20e7da0789d2f38795f4832c]

CWS-TOOLING: integrate CWS impress191


2010-06-21  obo  <obo@openoffice.org>  [39e2f11d08083243992af2b9bb62c7ac4e846cdc]

CWS-TOOLING: integrate CWS impressaccessibility7


2010-06-21  obo  <obo@openoffice.org>  [ac6bb8f4e3e177cf6be892690915301408b02649]

CWS-TOOLING: integrate CWS renaissance2b


2010-06-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [50de51f83e1a48618924331511f5c25bbd19a3e5]

unoawt: when the ToolPanelViewShell does not yet exist, ask the resource framework to activate it, and postpone the tool panel activation


2010-06-18  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [068ae1280c23fef6bca3b8c2aea37b38e45cf389]

Update from cloned repository.


2010-06-18  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [3467e878a8ba664f20c2c66c0ad65584005e5c4c]

Update from master repository (DEV300_m82).


2010-06-18  tono  <tono@openoffice.org>  [47dc1729b0bfbd9cc17b8d4c704a9a509e7d1c78]

i#111956: MinGW port fix: dependency to shared library: pure porting fix again


2010-06-18  tono  <tono@openoffice.org>  [099cb4548679d0c89461075988c773b8a88aa662]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [c115eef4abe56ac5f736369d9bdea6ea665c27fd]

Backed out changeset: f63af3433bcb


2010-06-18  tono  <tono@openoffice.org>  [a440153a5d7c177decce9e6dea967ac7ed5f4035]

Backed out changeset: d80a58fd55d9


2010-06-18  Christian Lippka  <cl@openoffice.org>  [c363c14b8da18375b2a1320474c3dfabeed2f10c]

#i102353# correct page number and page count field when printing handouts


2010-06-18  obo  <obo@openoffice.org>  [e9472521e84c3b13ecdb37bf34f0ecf56e981cc3]

CWS-TOOLING: integrate CWS tl78


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [2796cee49913dea403214aef3bbac247aa474d77]

CWS mba33issues01: rebase to m83


2010-06-17  Christian Lippka  <cl@openoffice.org>  [c1c94c23d39110d8b1da8975c1288561358f32b2]

#i112439# correct presentation kind of 'collected' presentation shapes (table, media, graf and ole


2010-06-17  Christian Lippka  <cl@openoffice.org>  [f0c845c3340c006a4936756dd1464056155f4e66]

#i112337# text edit outliner may be null on status update, prevent crash


2010-06-17  obo  <obo@openoffice.org>  [8f1650e2e13e201f681ed6956f47597f7c2b2098]

masterfix: #i10000# resolve merge problems


2010-06-16  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [e5983ed4a111a923a2d26a6ffc9b008592849386]

Update from master repository (DEV300_m82).


2010-06-16  obo  <obo@openoffice.org>  [2d4dd0b5dec89932862fceb413c6c0399bede5f6]

masterfix: #i10000# remove conflict marks


2010-06-15  tono  <tono@openoffice.org>  [e5dd0a20f8b5ed2b2297cf58f78d1cfca7014870]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  obo  <obo@openoffice.org>  [35c885b92c90e80f9c064a84448ab7f67d038267]

CWS-TOOLING: integrate CWS impressbi01


2010-06-15  obo  <obo@openoffice.org>  [990beb9eb5067e666ef761e39278cdecb093343d]

CWS-TOOLING: integrate CWS fwk139


2010-06-15  obo  <obo@openoffice.org>  [81ec4fc3310a2f534bd578f72c2aa9ee14951433]

CWS-TOOLING: integrate CWS impress190


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [06df0ea3927615bf0af6e09823ce6fd342b50c7c]

cws impress190: rebase m82


2010-06-14  obo  <obo@openoffice.org>  [e218aaf121e6bf3abaa8453c9b4da42828dd7603]

CWS-TOOLING: integrate CWS tl80


2010-06-14  obo  <obo@openoffice.org>  [2022ff1342fbe5c8e9eb82bd20bf8c9893a60199]

CWS-TOOLING: integrate CWS aw081


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [6e96b51f3874d8854cc46b025bf178ede9c418c1]

CWS tl80: merge with DEV300_m82


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [ee1e513022cde3756599a44ce0012736be79976d]

cws impress191: rebase m81


2010-06-14  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [debebadf1ec83d5080fd6ebabfc67331f2e1de24]

Update from master repository (DEV300_m82).


2010-06-09  obo  <obo@openoffice.org>  [9ebc6cbd5862862b566f96416d8a76bbdf903f08]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [163944b06d6a9e1c5e58e296f894337e7221c88c]

CWS-TOOLING: integrate CWS findbar01


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [5550d0c74967c03fb29b7dd5fa53a23ab5e908b7]

cws tl74: merge with DEV300_m81


2010-06-09  Christian Lippka  <cl@openoffice.org>  [f5b3538cfac2eb7e291c44a97229caa4b2c8937c]

#i111860# fix high contrast mode for toolbar menus


2010-06-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [55d81f8285d8af66638a37cea23e783d9d70e13f]

Update from master repository (DEV300_m81).


2010-06-09  ka  <kai.ahrens@sun.com>  [f1dc20411e332caf33ec8e6daae25ca66068446e]

avmedia101: rebased to DEV300_m81


2010-06-09  ka  <kai.ahrens@sun.com>  [ddcb678dca41ea1ed9cfb50641b1448bf5dd27bf]

avmedia101: added GStreamer backend for Unix


2010-06-08  Christian Lippka  <christian.lippka@sun.com>  [f5130e49177245f26622a72caa394e2e242404e1]

#i94055# removed remaining references to SdPrintDlg


2010-06-08  sj  <sj@openoffice.org>  [2528d71bb0d67dab33c7cfb53234c1c44e845d6f]

removed compiler warnings


2010-06-07  Christian Lippka  <christian.lippka@sun.com>  [96aee83536cbf30f603a2738eb6dc0e650d44b1a]

cws impress190: merging


2010-06-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [bf3e6a8b04e9f378b890ad44907f4288d48be79d]

fix warnings


2010-06-07  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [895f607d882de5311a3759e378024d0d770b8228]

Update from master repository (DEV300_m80).


2010-06-05  sj  <sj@openoffice.org>  [6d42d5dd27d89dcdf3fa620f27ef3c5f72f49fee]

merged


2010-06-05  sj  <sj@openoffice.org>  [2be25f510de5801e807511469924758dbca8d908]

impress190: #i89450# fixed makefile


2010-06-05  sj  <sj@openoffice.org>  [5f7fd85c9d4bf00bdeb84a93faf38f6c80073c91]

impress190: #i89450# taking back changes in outliner.hxx and outliner.cxx to avoid compiler warning


2010-06-05  tono  <tono@openoffice.org>  [a0f5b470924e5a659eaa10ecf88b96fe54774f24]

mingwport30: merge with DEV300 m80


2010-06-05  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [fef9ad19426ba01304071ac0cfab75810f3704a5]

fix warnings


2010-06-04  sj  <sj@openoffice.org>  [f984debd08cb011c5889c6509e7d9c5fa9c4e26a]

impress190: merge with dev300_m80


2010-06-04  Christian Lippka  <cl@openoffice.org>  [30399d867c2dda057e68523910d9437a913eb8be]

#i94055# enable default printing for handout mode (using the layout set at the handout master page


2010-06-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [607ca218ca4003ac6fe92bfad3bddac18da5deaf]

changehid: #i111874# remove SmartId, make HID of type rtl::OString, fill in dummies for all explicit help ids


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [442e958560bdcfc4ffd5938b7f473757e9e8f862]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  ka  <kai.ahrens@sun.com>  [68a00a51a503b7f37dd5762be44093ca718afece]

impressbi01: latest changes


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [597089c48938aa18b5989d30192b2d9cb0928ac0]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [1965f2c84429ac652f32cc6173c1e77cb9eb4754]

fwk139: Merge changes


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [fd6ec9cb0e8d9f8b7a7215712035286e33a5c4a9]

fwk139: #i10000# avoid warnings on solaris


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8955448f03ef04d4103a2b3f02249940e05221b4]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [2ef3a7a4e9cab9908ba406f2dfb95ac7706ab15c]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [e9472f835f784af24eb2df56052ca09a7d8f3d91]

CWS-TOOLING: integrate CWS renaissance2


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [705318903048429cb54f79e6dac64fc5021c80ad]

tl78: #i110383# password to modify support for binary types only


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [974221c34e9e16eedbe18a15df53545bd8cfcf17]

CWS mba33issues01: merge to m80


2010-06-01  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [cf3f1d024f59871dea604821daca056e4f87a586]

Update from master repository (DEV300_m80).


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [43bca17d6ac9c9abf718433088330c52c4b112d6]

cws renaissance2: rebase m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [3b2a44f708b24af6c87b98206dc9077f2789328d]

cmcfixes74: merge with DEV300 m80


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f69de48ddaed400f8d889845fb0808c6055eacb3]

findbar01: Local merge with remote repo


2010-05-31  tono  <tono@openoffice.org>  [c771bec37665bcb92451dae5dcd9e28fa25d5b2c]

i#111956: MinGW port fix: dependency to shared library


2010-05-31  Christian Lippka  <christian.lippka@sun.com>  [e7a88503f96c32f2e6f4cdd4d5c6b0d33ea418ce]

#i111928# do not crash when there are fields in an annotation


2010-05-27  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [81792ae318ff59744925cf5b793f71815bd56317]

aw081: rebased to m79


2010-05-27  ka  <kai.ahrens@sun.com>  [d278decad0246aea522d3586c1081ac728d58534]

impressbi01: rebased to DEV300_m79


2010-05-27  ka  <kai.ahrens@sun.com>  [c7224a5a7f55f54011cc08b77c5d8e0b0b7a8376]

impressbi01: merged DEV300_m77


2010-05-27  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [0610a32ac77c40a4c5bdd29e1bbceb17ad77d7cc]

Update from master repository (DEV300_m79).


2010-05-27  Wu Yan  <wuy@openoffice.org>  [b0f1a9d9fe90f11ca9f49d1cea47df9cca1eaf89]

findbar01: #i111848#, #i111852# change title of findbar and show/hide the findbar according to specification


2010-05-26  Christian Lippka  <christian.lippka@sun.com>  [d1212beaca1be000ceec0ac6c2114318380995f6]

merging


2010-05-26  Christian Lippka  <christian.lippka@sun.com>  [8f9b12e8ac0edf25ca338e4166307bdf06a917dd]

#i111538# fix high contrast rendering for annotations in impress


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [3d68c8673b564fbdd289321bc531f964483041c3]

cmcfixes74: merge with DEV300 m79


2010-05-26  Carsten Driesner  <cd@openoffice.org>  [283d49963ef996dc084075746c210efdf17eb7b0]

findbar01: Merge changes from m78


2010-05-20  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [fd3b0a8810c1e778aaf1715c07cc5461231fee5a]

Update from master repository (DEV300_m78).


2010-05-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [d3f404fddde41d7d9e8b58f92d6d8abd3133491c]

tl78: merge


2010-05-20  Vladimir Glazunov  <vg@openoffice.org>  [2db6dc3624464435bbba312e0578894bdc054a1a]

CWS-TOOLING: integrate CWS sdfindall


2010-05-19  Carsten Driesner  <cd@openoffice.org>  [d626f317c50ae0c2c154448968bfff98380ffeee]

findbar01: #i111672# Fix crash on searching next/previous on single text object


2010-05-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [65529e8b9435b45d90ec802912ef650426f38d63]

slidecopy: fixed key navigation within titled controls


2010-05-18  sj  <sj@openoffice.org>  [969f09e40d0fd8fe511f0247a8b9e628abb7a24d]

sdk321: #i111521# ppt export, fixed problem with graphical bullets


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [27db1f7f48bfc739c4d604817437edb24055479e]

CWS-TOOLING: integrate CWS fwk138


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [ee403eb18aa6b88c49aeb759944ad6a3b1a11f71]

CWS-TOOLING: integrate CWS sb120


2010-05-20  sb  <sb@openoffice.org>  [7608a4e9cfd61e9d96013198cfdd6ff59c8f9fc1]

sb120: merged in DEV300_m78


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [fdb9a44923579479581dc545263bb7b080b575e3]

CWS mba33issues01: #i99402#: typo RapairPackage


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [371a53c48e1db7246376cbe989662a09692f68f8]

fwk139: Rebase to DEV300m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [6e05351ec4d651a2a1eb67d4f46a64275558ad15]

cws tl80: merge with DEV300 m77


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [0eba338ba19ac02ca4a28f5d489d1facf78ce113]

CWS-TOOLING: integrate CWS impress188


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [dad6cab94d55698f22d86deed26520b4e9a71a0e]

CWS-TOOLING: integrate CWS dr73


2010-05-07  Thomas Lange [tl]  <tl@openoffice.org>  [619a85930f5065efa118c93f2e3c8cdb42d094bf]

cws tl78: fixing windows specific build problems after merging with DEV300_m77


2010-05-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5f4b093f6922e40dd5550c94dd2c4a2d92a7820b]

slidecopy: allow activating a tool panel view XLayoutManager::showElement


2010-05-06  Christian Lippka  <cl@openoffice.org>  [b02648fb5435a65752268fd7e5dfbc9071e6008e]

#i108541# keep non empty pres obj as pres obj even if they are not part of the current layout


2010-05-05  Christian Lippka  <christian.lippka@sun.com>  [f70e82702e966d9186cc72975d47a4e72a8b2456]

#i89450# removed unused code


2010-05-05  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [2272407bb0f54e005a8bfe6be0b9514f0388f50a]

aw081 resync to m77


2010-05-05  Christian Lippka  <christian.lippka@sun.com>  [26f49f81a87c793bb9749050824fa11d410317b6]

#i87750# removed insert sound&video from menu


2010-05-05  Christian Lippka  <christian.lippka@sun.com>  [5d3f277d4d0a3d41a656c3c112052f1b0905c8c3]

#i102023# use LogicToPagePos conversion for snap lines and points


2010-05-03  sb  <sb@openoffice.org>  [f35e9788b95115944311867b8856ee404e21c7cf]

sb120: #i111329# disabled failing tests for now


2010-04-30  Christian Lippka  <cl@openoffice.org>  [6052af8eb6a6c883c64647dcb2a9713d277802c6]

#i107213# deselect previously selected objects before executing placeholder slot


2010-04-30  Christian Lippka  <cl@openoffice.org>  [a31909177f53d383aa0a859d84ca314eb7f03dc9]

#i107213# fixed tooltips


2010-04-30  Christian Lippka  <christian.lippka@sun.com>  [49b7859304ea9acff2c6f4c982844da22bd6b79b]

fixed unix compiler warnings


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [a64403d2c227592650cb94dc365eb93b26eda967]

cws tl78: merge with DEV300 m77


2010-04-29  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [63a65c00a910a3da68196f5ae0359f91941fcb85]

Update from master repository (DEV300 masterfix).


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [9a724f1b64de29d076214444c8b1c17dd0e9f992]

renaissance2: rebase m77


2010-04-28  Wu Yan  <wuy@openoffice.org>  [3026fe634e3e06fd89aee836f724d7da608393e6]

findbar01: enhancements for findbar


2010-04-28  Wu Yan  <wuy@openoffice.org>  [7e8eacd7acf342939c0a24a189c84d71111e1d16]

findbar01: enhancements for findbar


2010-04-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7fedceaccc2e7a379ab28edf6e6c0b85a95b98e3]

slidecopy: make compile on unxsol[i|s]4.pro and unxmacxi[.pro]


2010-04-27  sb  <sb@openoffice.org>  [8b77370f5349735f403400b93b8fe2fab61b454f]

sb120: #i111199# disabled failing tests for now


2010-04-27  Mikhail Voytenko  <mav@openoffice.org>  [db5bf8f9f4631e0729aee2450b7b2b5bdc451a37]

Merge to DEV300_m77


2010-04-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [75ee7b6a494724dcf7e6b8d8e1b517ea76284ce3]

slidecopy: corrected parenthood of the ToolPanelDecks's A11Y object - had a cyclic ancestor chain before ...


2010-04-24  Mathias Bauer  <mba@openoffice.org>  [33b2bc6faf67e3c984e0de3df3133a18a87ab58a]

CWS gnumake2: avoid export of template symbols


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3d568187dcd8050631e68fa9d083c0b478e90208]

slidecopy: removed accelerator/*/default.xml - they're not used for a long time now ... (accelerator config is now in Accelerators.xcu in officecfg. No need to confuse people with those dead files)


2010-04-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [b04b1b1cfd74518f78ee3153dc41124771c59c78]

Update from master repository (DEV300m77).


2010-04-22  Thomas Lange [tl]  <tl@openoffice.org>  [9d027b4e963275fcad48b27b5e951f4104391894]

cws tl80: #i110341# problems with spell check dialog fixed


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [1b8c0bc61c1187f2ca8139c27db3b29bb480ee58]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [012dab78103c311d793986d93793726b68573beb]

sb120: merged in DEV300_m77


2010-04-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [613029d21fe2030d04ad8561d77f82433b1db447]

CWS gnumake2: merging minibranches


2010-04-21  sb  <sb@openoffice.org>  [4bab7291070aa926d14b1e889af0029b2da9969d]

sb120: #i11043# disabled failing tests for now


2010-04-21  sb  <sb@openoffice.org>  [343b841befb78d9997e77d974e127d4257de5891]

sb120: #i111042# disabled failing tests for now


2010-04-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [b4869ae4e706defffe2217eadf2d4ac14a7e59a6]

CWS gnumake2: various fixes after merging with DEV300_m76


2010-04-20  Christian Lippka  <christian.lippka@sun.com>  [928cd89197a66fb27045222d230c5e050e484cae]

#i107213# finalized layout grippies tooltips


2010-04-20  Christian Lippka  <christian.lippka@sun.com>  [84a3bdc12fdc9f2ad5659e1a19a4eb33444e625e]

#i107213# finalized layout grippies tooltips


2010-04-20  Christian Lippka  <christian.lippka@sun.com>  [193fe942a7594975c2aa6579bce4bf310db3f348]

#i107213# finalized layout grippies tooltips


2010-04-20  Christian Lippka  <christian.lippka@sun.com>  [065afb145126ceb1777c5d94bd906aa09f59fd6e]

#i107213# enable assign table style also for presentation tables


2010-04-20  Mathias Bauer  <mba@openoffice.org>  [5f12cbcab2bb0c71aeee87c25f6d2878305dcb00]

CWS gnumake2: move all delivered headers in svx to inc/svx; remove unused or useless headers


2010-04-19  Mathias Bauer  <mba@openoffice.org>  [2d85f024940b2ae21f437d89457caa4bea19febe]

CWS gnumake2: remove duplicate header in solver: vcl/imagebtn.hxx is just a copy of vcl/button.hxx


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9fad408424389973e804f7b563301f587ee800ba]

slidecopy: make the value set somewhat smaller, so there's some space after it ...


2010-04-17  Mathias Bauer  <mba@openoffice.org>  [1a5b2e39dd408a880426d015d993fef47e013ab3]

CWS gnumake2: rebase to DEV300_m76; fix build problems


2010-04-16  Mathias Bauer  <mba@openoffice.org>  [9ff29ac7483de538cab95582b363bf8cdd48f0a6]

CWS gnumake2: move delivered header files from sfx2/inc to sfx2/inc/sfx2; removed unused code; avoid delivering sfx.srs to solver


2010-04-16  Christian Lippka  <cl@openoffice.org>  [fd3e5d483142fe268c05c2ec056220e4e07f33b9]

#i108132# dispose stylesheets to avoid dangling references


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [aa2e559b76dd3902f406186df6f743ed7805711f]

slidecopy: now using SID_TASK_PANE in all applications, also in Impress. Implies registering the respective child window in the apps, not in SFX. Also implies getting rid of SID_RIGHT_PANE in Impress. Also, renamed SID_TASK_PANE in Impress to SID_SHOW_TOOL_PANEL, which better fits its purpose, and avoids confusion with SID_TASKPANE.


2010-04-16  Christian Lippka  <cl@openoffice.org>  [af3b1443882577a07c767d95f838d30f9f2228a4]

#i10880# fixed pause logo in impress slideshow


2010-04-16  Christian Lippka  <cl@openoffice.org>  [8f5534596b4df931c943f1e1ba6cd442c9e713bb]

#i109783# fixed typo


2010-04-16  Christian Lippka  <cl@openoffice.org>  [dc2fcbedd44883808902d37fd03c61a499ff6e13]

#i109210# when in master page mode, only change background of current master page and not all (regression from last applied patch)


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [1d68e3d4de6c6bbc7dc8931791f62c7d28011ee5]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Christian Lippka  <cl@openoffice.org>  [b38784e7c734941f5d9ced78c6e036e6f8ca9832]

#i110938# removed z-index hack after background shape was removed


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [da76712e10b7c8d641c66d6ec331a944a1ef5b92]

CWS-TOOLING: integrate CWS sb118


2010-04-16  Christian Lippka  <cl@openoffice.org>  [d1e143572bade4273b5e479d921dc8c1b690b748]

merged placeholder handles into one to avoid display errors due to pixel rounding in some zoom levels


2010-04-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [b7af1ca81f9c36f7a5751d0c7e63dac40879fee4]

aw081 #i110731# added basegfx::fround to get to integer cleaner


2010-04-15  Christian Lippka  <cl@openoffice.org>  [bfa7793e7b26d0c20e420dd0e691b661fad095be]

fixed assign layout to not override hide background


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4159b53958e463fdfbe50183dc11d9f109bf2122]

slidecopy: post-rebase problems


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7113895e5375fc92526f5a7b653ef36ff01c3800]

merge


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [567281047ed0501de9c69a303ba1007c222c131e]

slidecopy: allow sorting the tool panels in the TaskPane (so far, the implicit ordering was defined by the order in which the config nodes were returned by the config manager)


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6c11875abd6dfa9778d90b2dc37b019877cf245d]

merge


2010-04-14  sb  <sb@openoffice.org>  [2ec82e6c116128783b2f185cdba5a51becbd0f15]

sb118: merged in backout


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [61f31b3c7be2ab79959e89de7af6ec62a43cacdc]

slidecopy: re-implement CreateAccessible, and fix ActivePanelChanged


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ef51bc9276eae4fcf7779b933c7fe0ed2fecd1a8]

slidecopy: when a panel is de/activated, let the drawing framework know of the change


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e97ba58e94c886eb8827d6418a4ec580636e3707]

slidecopy: removed PID_FIRST_CUSTOM_PANEL (not used anymore)


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [57789eb9554152bbdb3f79f6b15a0bdf1ad90f15]

slidecopy: re-implemented the TaskPane's "View" menu in SFX, using the code formerly found in SD


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [3e4ae605582fa7189c761d3cfcb3460b3553940e]

cws tl74: merge with DEV300 m76


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5df4f4395edc25f8a3117164e90ca357984d4689]

slidecopy: Impress does not support the SID_TASKPANE slot, the task pane is available via SID_RIGHT_PANE


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9ce1485325f60de21825629e01466f6edfa3b3d9]

slidecopy: the custom toolpanel example in sd/workben/custompanel is superseded by the one in sfx2/workben/custompanel


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a268879a831922f6d595923c278d0e22c5b0248c]

slidecopy: moved SD's task pane implementation to the new base implementation from SFX. Still not all previous functionality restored.


2010-04-13  Christian Lippka  <christian.lippka@sun.com>  [996028aeb566e98ea6929e1e620d400f60b0495d]

fixed unix warnings


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [13a2732562b05df36744708ab1aa231d8c9051c6]

slidecopy: merge


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0f30328f39523644d18dcb7877b703c54136c6f9]

slidecopy: adjusted to new XToolPanel


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ad192965e3b1ce5db86e7b29897f1cfd1204397a]

slidecopy: merge


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [068f1805df332d0048ea4dd828017aec4fa79b1c]

sdfindall: merge with DEV300 m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [23b523318cac726f4d3f4f46d98a65770fc8d97f]

cmcfixes74: #i110565 use radio buttons for mutually exclusive options in menus


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [cc12e7fea20c048a099c4740d7e52074ed949570]

cmcfixes74: #i110565 move the radiobuttons work to sdfindall


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [e5dd4be85c6c0dce44d6844f3fd1e37df3adec0c]

impress188: rebase m76


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6a2fc901cd8e2d6366f1d83eb2dc61f389c5f058]

slidecopy: removed unused forward declaration


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [17760807dd81202759458d2b0ac64494aa091c33]

renaissance2: rebase m76


2010-04-12  ka  <kai.ahrens@sun.com>  [a0a283380ac8058fa4326ee882c175cab313f405]

impressbi01: merged heads


2010-04-09  sj  <sj@openoffice.org>  [3b20f3ae9dbed1bd6aa598daf29f1a95da271d60]

impress190: #110673# applied patch (removed some Boundchecker warnings)


2010-04-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [b6a8cb8310e55d7b42693ede8b6eafbd71980c3c]

Update from master repository (DEV300_m76).


2010-04-09  ka  <kai.ahrens@sun.com>  [6ce6f09e673d24eb0131a4f4550223eab44e3072]

impressbi01: rebased to DEV300_m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [04b528eedb2cf1a29935896786f5746cf9db20cb]

slidecopy: resolved post-rebase build breakers (method signature changed in MWS)


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b8e1bbcf54a2c4b9afe4d922358308f8379f1f44]

slidecopy: moved XToolPanel from css.view to css.ui, now that it is an XUIElement


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [1dc7897776e37e4f5498398fd2278a78289b4168]

cmcfixes74: merge with DEV300 m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3a8d3555f2efd1f7d8cb66058e681a684f92b9b4]

slidecopy: merge CWS wth MWS-m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1f192e7e498ccdd956641e8d217d252a0c571486]

slidecopy: moved SD's version of DockingWindows (bearing a title bar, and a closer when docked) to SFX, and based the new TaskPane on it


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [488b52db8abe10c93215f2ab97871b0096afab19]

cmcfixes74: #i110565 use checkboxes in menus for mutually exclusive options instead of checkboxes


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b396d46e186ffc2daa9041e9cf803be62b53eb41]

slidecopy: FLT_RIGHT_PANE_DOCKING_WINDOW is obsolete (superseded by FLT_TOOL_PANEL_DOCKING_WINDOW) for quite some time now ...


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d8c8e23b6eafead5765a8e4f641c2f52427b57e3]

slidecopy: added SID_TASKPANE to Draw


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bba1afc5e50bde4374bab138146141f019d39d11]

slidecopy: outsourced the TaskPane/ToolPanel's drawer (TitleBar, type TBT_CONTROL_TITLE) from sd to svtools, to be used with generic tool panel decks, not only within sd

diff -r b53c58c139b0 -r 348318a2bab4 default_images/sd/res/triangle_down.png
Binary file default_images/sd/res/triangle_down.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/sd/res/triangle_down_hc.png
Binary file default_images/sd/res/triangle_down_hc.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/sd/res/triangle_right.png
Binary file default_images/sd/res/triangle_right.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/sd/res/triangle_right_hc.png
Binary file default_images/sd/res/triangle_right_hc.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/svtools/res/triangle_down.png
Binary file default_images/svtools/res/triangle_down.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/svtools/res/triangle_down_hc.png
Binary file default_images/svtools/res/triangle_down_hc.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/svtools/res/triangle_right.png
Binary file default_images/svtools/res/triangle_right.png has changed
diff -r b53c58c139b0 -r 348318a2bab4 default_images/svtools/res/triangle_right_hc.png
Binary file default_images/svtools/res/triangle_right_hc.png has changed
2010-04-07  sb  <sb@openoffice.org>  [e02ee8aff51384ae504d5925d8af25b4b4d857ef]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-06  Martin Hollmichel  <mh@openoffice.org>  [583a6878d45b8f6747353dc94f00b282c5e5ed5b]

nativea: #i110249# chg copyright


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [45b82ce89eeccfd8bd1fd1315a5fd93851728225]

CWS-TOOLING: integrate CWS dtardon02


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [5feb7bb5f3c90436da781aeae8db70e6cee85521]

CWS-TOOLING: integrate CWS writerfilter07


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [d161461bf69270e0d07a251faee3aa705b08e0aa]

CWS-TOOLING: integrate CWS thbfixes10


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [a880f7678b4d5c23de68e3ef4abd2d165dccef2c]

CWS-TOOLING: integrate CWS ppp02


2010-04-12  thb  <thb@openoffice.org>  [a48545a561b2be3cc81e24a2091ad43b75f85728]

Merged DEV300_m76


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5ef671165ce004b72aa42d8603e04c82a5ea2c74]

slidecopy: improved A11Y API implementations for the ToolPanelDeck items left: - A11Y representation of the scroll buttons of the PanelTabBar - AccessibleToolPanelTabBar event notifications - consolidate AccessibleToolPanelDeck/TabBar/Item?


2010-04-01  Christian Lippka  <cl@openoffice.org>  [e3778e322e868c0569691785091104e6464465bf]

enalbe assign slide layout dropdown for notes and handout view


2010-04-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3af4f59676636e0464eb19e6ea0bcba5aa8c26b9]

slidecopy: #i10000# (unxlngi6)


2010-03-31  thb  <thb@openoffice.org>  [792ad1fe9ce2d480aedddc00ddb3b54a5af8a826]

Merge DEV300_m75

 * resolved two conflicts caused by lineend changes in
   canvashelper_texturefill.cxx and implrenderer.cxx. Took the cws
   version, which uses new texture fill semantics, and fixes clipping
   bug
 * binned file header changes from head for deleted files
2010-03-31  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1101e52849f91b12277236a27a49fa4209721487]

slidecopy: mark the Tab-Layout as experimental


2010-03-30  Christian Lippka  <christian.lippka@sun.com>  [677ce2cf6c0221e1e7401b9539d6528104f2850d]

adding new images for placeholders


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [2d2e45e827c1c1e7a22e3233eb7f01dc76d5d84c]

tl78: #i110383# support password to modify


2010-03-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1ad4356b10a730102acdba744b042bcee5fd13be]

slidecopy: more A11Y implementations for the ToolPanelDeck


2010-03-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0f1be5a8925feff8b98e76ca9642507a6f9fb5fd]

slidecopy: A11Y for the ToolPanelDeck VCL control


2010-03-30  Christian Lippka  <christian.lippka@sun.com>  [b3cfc9592959765ada23be4aa73349e11cb296ba]

fixed compile warnings


2010-03-26  Christian Lippka  <cl@openoffice.org>  [b5e61dfb80a4442b65fdebe2c8a6379bf90f192f]

made the layout placeholder appear after load and on text edit


2010-03-26  Christian Lippka  <cl@openoffice.org>  [1966583fee3112854855c5b10f731c74ac50cb4c]

added more spacing to the layout toolbar menu


2010-03-26  Christian Lippka  <cl@openoffice.org>  [b7de11d632ef3ff31c6adc57e814d7d8c33f75d7]

fixed a type in configuration


2010-03-26  Christian Lippka  <cl@openoffice.org>  [7db2c94d2c0d4011dc060dd76b0855a5ccd61394]

renamed 'Click to add an outline' to 'Click to add text'


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5af4492e87812b6382e216404e9723503e66a38e]

slidecopy: removed useless (shadowing) variable


2010-03-25  Christian Lippka  <cl@openoffice.org>  [67163970eb33c1272bf1f1b2656982dbc5e8a0c4]

finetuning placeholder scaling


2010-03-25  Christian Lippka  <cl@openoffice.org>  [1a89cec62262e9d9273c7c09668a09a9c2275506]

fixed crash


2010-03-25  Christian Lippka  <christian.lippka@sun.com>  [2446a97016929b6922a34f0e1a210c14c9575f77]

fixing unix compile warning


2010-03-25  Christian Lippka  <christian.lippka@sun.com>  [bc4f3675057ac447d9647af4c9d2ceae94e9cc11]

merging


2010-03-25  Christian Lippka  <cl@openoffice.org>  [e54f02b9a4251bbbbf84a09c36dd19652e60c154]

added new placeholder icons


2010-03-25  Christian Lippka  <cl@openoffice.org>  [d4e1d946821af180f85e7f1a867e91e4384d5fea]

do not open layouts pane after inserting new slide


2010-03-25  Christian Lippka  <cl@openoffice.org>  [70cfb61e5bd8df702c82a740ba5c40115e9b01a8]

set title layout to first page


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1d7a0b01302e925c1362a6ff5ea3d228a7492dff]

slidecopy: when the ToolPanelViewShell is first created, recognize the fact that the requested configuration already contains a tool panel resource, and properly set up the tool panel deck then


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [65f9c770efc68830795bacc0d5189bc536f1e367]

cws tl78: merge with DEV300_m75


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [78ddf375df31ef61c69d59d3421f935961dd1cd8]

cws tl74: merge with DEV300_m75


2010-03-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [7575f4d1562c8cccd3d1af56a2e8ab5022194d73]

writerfilter07: merged DEV300_m75


2010-03-23  Mikhail Voytenko  <mav@openoffice.org>  [a7f65bd45d8ee12848593342112f6d7f6711d40f]

fwk138: #i47279# integrate the patch


2010-03-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f0fd7c27f42e2d2036ceb6adba2b8a1efddf629c]

slidecopy: don't link the example extension against the tools lib, (which is non-URE), this won't work on Mac


2010-03-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c51f174f9bd7c0dda5d5acc3e3e36fa0326b949b]

slidecopy: make compile on unxlngi6


2010-03-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [c65a3b4d5ceae61b120faf279487aa862974e013]

Update from local repository.


2010-03-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [c7eff9ca87b170b0284b2b53460e0fdcdc6ac987]

Update from master repository (DEV300_m75).


2010-03-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [da68df4e16da823f4df4230f32c684b1382363dd]

slidecopy: merge


2010-03-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2a66db8c65a4ae6f28b82881ea21ae8a6d11c76a]

slidecopy: removed the remaints of the old task panel implementation - in particular, creating tool panels as non-roots of a control tree is not needed anymore by now


2010-03-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [217cbd30ff8fa9acc987bde69fba6c7a2478dad0]

slidecopy: allow custom tool panels in the task pane to be implemented as extensions


2010-03-21  Christian Lippka  <cl@openoffice.org>  [f20bfae167d15191056a5d980d89359786b86223]

Adding PopupMenuController to allow PopupMenuControllerBase dervivates to be used in toolbars


2010-03-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9fe67027d269829cfc27fc84d430d3538477662b]

slidecopy: XResourceFactory::createResource now allows to raise IllegalArgument/WrappedTargetException


2010-03-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d1dd06bf1bd9c5092df8570fd1d082d29a2b17bf]

slidecopy: reworked the ToolPanelDeck to have a dedicated anchor window for the panel's windows. This will ease some later changes


2010-03-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c212c1b928d079c415b1bd9a96d8751cc67174b1]

slidecopy: initial implementation for custom tool panels

The idea is to allow third-party components to plug additional tool panels into the task pane,
by using the drawing framework (http://wiki.services.openoffice.org/wiki/Drawing_framework).

This first step is not finished at all, it just adds a configuration scheme/data for such
custom tool panels, and implements basic functionality in the ToolPanelDeck to respect this
config data. Additionally, the first version of an example extension for a custom tool panel
is implemented in sd/workben/custompanel.

Still, except showing a drawer in the tool panel deck, representing the custom panel, nothing
works. More to come :)
2010-03-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [154db4b4a0aaeb3c9f9065b936176d1997428a6d]

slidecopy: use DBG_UNHANDLED_EXCEPTION instead of OSL_ASSERT, as the former will also print you the exception type and message


2010-03-17  Niklas Nebel  <nn@openoffice.org>  [d6487ad56e2bc292c5b92cb1131ade0906560f85]

dr73: merge with DEV300_m75


2010-03-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f04aa7242357f390b1577d31f44056b92d11e0ec]

slidecopy: removed the old TaskPane implementation, now completely superseded by the new one carrying both implementations was only temporary, to be able to easily compare both. The new implementation still has not A11Y API implementation, that's on the TODO list.


2010-03-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a7622c14055e041511ea4d181fbfdcd85ba7b7a7]

slidecopy: keyboard accessibility for the ToolPanelDrawer implementation


2010-03-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [216761f3e898c236cffe0928fb7d9b103fcc840f]

slidecopy: add a IDeckLayouter implementation which mimics the old task panel look/behavior. In non-release builds, allow to switch between this old and the new (not yet polished) tab layout via the task pane's menu


2010-03-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cc317619323d332190e30f120b46d2f79d233a09]

slidecopy: display the name of the active panel in the tool panel window's title control


2010-03-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f4de46ddc3ecba58940a5f4e643395a021a34fc8]

slidecopy: de/activate panels via the drawing framework Instead of simply letting svtool's ToolPanelDeck decide on panel activation, requests are re-routed through the view's ConfigurationController. So, clicking onto a tab just requests the activation of the respective resource, which in turn - when the requested configuration becomes the active configuration - will activate the ToolPanel.


2010-03-16  sj  <sj@openoffice.org>  [8fdb240d2662588711a6bcf187333be975ebb723]

impressbi01: #161701# PPT Export, now also exporting hidden/non printable shapes


2010-03-16  Christian Lippka  <christian.lippka@sun.com>  [0b5b471b0324ab0a8400a2627bb6631211312f47]

fixing build error


2010-03-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d026c4d7c539d7c5255d0d9c66cee98da7197c0d]

slidecopy: showing and hiding of panels in the new ToolPanel implementation


2010-03-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [933c48a542da57d20fefbb66baa13223802cbb0e]

slidecopy: initial version of a "Tool Panel" At the moment, this implementation is parallel to the existing TaskPane implementation, but on the medium term, it is intended to replace it. No change in functionality is planned for the moment, just the panel selection is done via a tab bar, instead of the the "jumping drawers". Pending tasks (as known so far): - Accessibility. No implementation at all, yet. - showing/hiding tool panels from the "View" drop down menu - connection to the resource framework. At the moment, de/activating panels completely bypasses the resource   framework. - alternative implementation of the PanelDeckLayouter which mimics the old design. To be activated by default, for   the moment. - removal of the (old, by then) TaskPane implementation. Care needs to be taken that the framework API stays   unchanged, i.e., the current ToolPanel resource must be renamed back to RightPane when RightPane is not   occupied anymore by the old implementation. Same for other resource names.


2010-03-12  Christian Lippka  <christian.lippka@sun.com>  [5338078ec5126ea7de7b2703d196c37e324eec0e]

renaissance2: merge to m73


2010-03-12  David Tardon  <dtardon@openoffice.org>  [3bd50ba943ae1033e11843948b298f261372285e]

dtardon02: #i108503# #i108505# #i108507# #i108508# #i110035# clean up makefiles and #includes


2010-03-12  Christian Lippka  <christian.lippka@sun.com>  [a73fc34b762f0faf85bea4a7ada6897248b05a2c]

#i109909# fixed broken button sets for html export


2010-03-12  Christian Lippka  <christian.lippka@sun.com>  [7afabd98981bf8b570cff56bd79002c0188befc6]

#i110010# disable undo while importing ppt


2010-03-24  Vladimir Glazunov  <vg@openoffice.org>  [98b9765f37c82d7891b6148e432ae3685e13392d]

#i108917# fixed confusing behaviour of context menu and meta drop down menu in impress comments window - transplanted from 263351@impresscomments1


2010-03-11  Christian Lippka  <cl@openoffice.org>  [4b5f01a83d670da5c37fbd070b6ab1f5b756b248]

moved toolbarmenu to svtools and reworked to non sfx2 code


2010-03-11  David Tardon  <dtardon@openoffice.org>  [edbd47365d9dfc97b9571c7277beec2534442d6e]

dtardon02: #i108505# remove empty files in sd


2010-03-10  Eike Rathke [er]  <erAck@sun.com>  [b8b5f32121d8f5ee6fc39164a6d79b89227cff60]

dr73: wipe segdefs*.hxx, unused since win16


2010-03-09  Christian Lippka  <christian.lippka@sun.com>  [a1748de6d3cb6cac95ab192b1ad027002afd4409]

rebase m74


2010-03-09  Christian Lippka  <christian.lippka@sun.com>  [430b50c2538a59be1a2b9894df1b2e60141c5118]

rebase to m73


2010-03-09  Christian Lippka  <christian.lippka@sun.com>  [d881d381614175534882c2759fc262ed275fe533]

#i109210# set backgrounds to all master if user choose so


2010-03-05  Christian Lippka  <cl@openoffice.org>  [7242cc3a94576242d17ecd7f785049458d7a37ef]

enable toolbar menu cursor traveling without focus


2010-03-04  sb  <sb@openoffice.org>  [0c2001160249560f0186ee4156e21ed0c16c77dd]

merged in re/DEV300_next towards DEV300_m74


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [c0d4ec804f32ca168413236de49eb6158fa7510e]

CWS-TOOLING: integrate CWS chartshapes


2010-03-01  Christian Lippka  <christian.lippka@sun.com>  [e35836157e534e5c520fb16a828b4e747d501f8b]

#i109713# applied patch to fix missing initialized member variable


2010-03-01  Christian Lippka  <christian.lippka@sun.com>  [cabec5a019302442f9fe2c71fb9b8de7726dbb4c]

merge changes from aw079


2010-03-01  Thomas Benisch  <tbe@openoffice.org>  [b3dc60a5b25b827e03104d2b1f46770d1600c04c]

chartshapes: merge with DEV300_m72


2010-02-26  Thomas Lange [tl]  <tl@openoffice.org>  [a743c39fde42f7fd766656cb410aaced1b1c93ae]

cws tl74: merge with DEV300_m72


2010-02-25  Christian Lippka  <christian.lippka@sun.com>  [5a3a13b15a944c54c0626c26e2345044d77fecdc]

more fixes for new presentation layout shapes


2010-02-25  sb  <sb@openoffice.org>  [19983279ad437894455c85276690b4e6ddb13c00]

sb118: merged in DEV300_m72


2010-02-24  Christian Lippka  <christian.lippka@sun.com>  [a0725dc1c61b73e93428a6216f3c0786e4e7e13f]

merge


2010-02-24  Christian Lippka  <christian.lippka@sun.com>  [97dfa0af89a97fc2ed74bc91319ed8018fef3405]

unix build fixes


2010-02-23  Christian Lippka  <cl@openoffice.org>  [c2561c0a489a2a4cddbd53e8090e0b89defed006]

presentation placeholder rework


2010-02-22  sb  <sb@openoffice.org>  [f0abee5841de6206212093dc6baba524cac94d39]

sb118: #i109518# disabled unoapi tests affected by that issue


2010-02-19  thb  <thb@openoffice.org>  [d1381bbc323c0c3ecd3006b41c10741c066ac1dc]

Merged with dev300_m71


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [f3329ec326be3986b00784419b884d3f07b602ec]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-16  sb  <sb@openoffice.org>  [9e180c9b8573870d76c19905cd8fb60d766e5089]

sb118: adapted remaining */qa/unoapi tests to new framework


2010-02-15  Christian Lippka  <christian.lippka@sun.com>  [7691f76a6c17655802eac47f58520ea4a7d84b06]

#i109010# fix view comment settings


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [31e398092a3e1cc44e671e652e05c0d827477af5]

CWS-TOOLING: integrate CWS autorecovery


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [dc6dc5e7b85c9a67cba4a97b275b238303aa3d86]

CWS-TOOLING: integrate CWS aw079


2010-03-18  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [f157cb142bb6df8ec01642d09fb301f89491305f]

aw079: rebase to m75


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [68fc622fca68d639cd33b9be9062ae4974144d44]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5ceb1f9a51a6f3cc5049670af6ff5b6ba291e419]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [ad266c43396766105654fd4af007409bb307651d]

CWS-TOOLING: integrate CWS cmcfixes71


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [db562dd08f0b6914d40cf9fe5480b46c2dbb8bd3]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [5dfd8e8cd3ebe6d6c7290f26662d344b5019301c]

#i10000#: remove obsolete empty files; trim duplicated header content


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [63d8269fa6a683bb8d0cc798c8b47545af4b183c]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  Thomas Lange [tl]  <tl@openoffice.org>  [4615d7a020f5167db48a94aee3104e85eb053c10]

cws tl74: merge


2010-02-12  Henning Brinkmann  <hbrinkm@openoffice.org>  [4dc6f9c454f9ffee276dabdd484b01c662e41df6]

writefilter07: merged DEV300_m71


2010-02-11  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [d37e35b254480ca1263002527be42f2be26cacc4]

aw079 #i99386# cleanup of define and last change from CL


2010-02-10  Christian Lippka  <cl@openoffice.org>  [6e3a5e1cf8e812ceb09bde56887a6ab5e90c23dc]

some placeholder bitmap finetuning


2010-02-10  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [d964703659905e734f88e3360700e3f9b6f6f04d]

aw079: correction linux build


2010-02-09  Christian Lippka  <christian.lippka@sun.com>  [0b0688ec0f4a4b5e645cc50004850d74f4df05e5]

fixing tables&diagram as placeholders


2010-02-09  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [5652e02c455784ecbddf845f3b39835ef483bf03]

aw069 changes after resync to m71#


2010-02-09  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [05a60870bdfe9ae2032f80c14b7e9749433db470]

aw079 #i99386# finer granular changes for MPBGO removal


2010-02-08  Christian Lippka  <christian.lippka@sun.com>  [412ec3f187f5ad3272428e4d4bc1c7b1a9b2512e]

fixed replacing of presentation images


2010-02-08  Christian Lippka  <christian.lippka@sun.com>  [120b36000ca569c6ced2f5fab818938a8b38a066]

fixed build errors on unix systems


2010-02-08  sb  <sb@openoffice.org>  [05a13c43b3e9bff9e5dfb5e6b88247745b1e53f2]

sb118: merged in DEV300_m71


2010-02-05  Vladimir Glazunov  <vg@openoffice.org>  [5344089a16f797195f78d1fa27191ff42d0361d1]

CWS-TOOLING: integrate CWS svxsplit


2010-02-05  Mathias Bauer  <mba@openoffice.org>  [e94f1faf65df4b9a541b7e9b63707d725fe0d65d]

cws svxsplit: some corrections after merge


2010-02-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [cc9e16dc8f74ba6d5c0b01f0c9e2370194edba76]

merge with DEV300_m71


2010-02-04  Mathias Bauer  <mba@openoffice.org>  [3f4243cfd032e115449e3cd3a55c996dbe2c2c79]

CWS svxsplit: merge with m71


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [63b1d21ef3d4b65d3562eabf9ebb1208435294a7]

autorecovery: commit resolved merge (after rebase to m71)


2010-02-03  Caolán McNamara  <cmc@openoffice.org>  [63243c6a4e10d804fc6af480b9f1c392c45486b9]

cmcfixes71: merge with DEV300 m71


2010-02-03  Christian Lippka  <cl@openoffice.org>  [6db6cb5a8bc21d1ac0608dc6fbdf2355886cd773]

hg resync m70


2010-02-02  Mathias Bauer  <mba@openoffice.org>  [cac12eedb561d854c7483c78d01f60adf4d11db2]

#i107450#: some fixes for problems found in CAT0 test


2010-02-02  Christian Lippka  <christian.lippka@sun.com>  [dc8828afbd336ee0d2b8a688b0ee08f00a742256]

work on setautolayout


2010-02-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [599db094355427decf16b38a07eceec45eeae1d8]

ppp02: #i108824# string changes


2010-02-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [47e916e12399b7f798ee669e889f23132c6b8505]

merge


2010-02-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [88b524026cc207bd870e41b4beb6aec318e94305]

ppp02: #i108824# string updates


2010-02-01  Ivo Hinkelmann  <ihi@openoffice.org>  [83f6abcc9cdc910dc705634eca76445701a16fca]

#i10000# removed ifdef


2010-01-29  sb  <sb@openoffice.org>  [e6a3c29614c545666e4d7cf75b0b8d4247cf99fe]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [a2d2a717e908b8c904fbc3153356984ac1d0aef0]

CWS-TOOLING: integrate CWS eraser01


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0c892cac51e5db45d386f9a1ce1f0ed8585c4591]

autorecovery: ENSURE_OR_RETURN => ENSURE_OR_RETURN_FALSE, added new ENSURE_OR_RETURN taking a return value


2010-03-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4abcc00fc42428a22079aa5561db4346f24be348]

slidecopy: oops, missed those occurrences of ToolPanelChildWindow (which is dead by now) in the previous commit


2010-03-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a1a97cbdc2244e71959f27404777bfb6022c60e8]

slidecopy: removed unused artifact (referring the currently-unused SID_TOOLPANEL)


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7f27ac201fab8bc2b86baf05e55f238b3a3615f3]

slidecopy: unused file, just adding noise to my grep results. Removed.


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2ea7ed30cc091d8d33755b3ba28419b689c8ce48]

slidecopy: OSL_TRACE doesn't need a trainling line feed nowadays, this just adds noise to the debug output. Removed.


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [376663c8095d6f530d9771959ef44e69a6f57ac3]

autorecovery: ENSURE_OR_RETURN => ENSURE_OR_RETURN_FALSE, added new ENSURE_OR_RETURN taking a return value


2010-01-28  Christian Lippka  <cl@openoffice.org>  [8f73115c5e26c199a6d974c5745beb2cf42daac6]

fix size difference for newly created presentation objects


2010-01-28  Christian Lippka  <cl@openoffice.org>  [6afd13c9e450aaa664f9cba51456d3aadb10d600]

adding new layout enums


2010-01-28  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [6bd3c7b1bc4ce7c692c4b8520328533124ed7bf5]

aw079: #i99147# corrected diverse aspects of invisible object visualisation and interaction


2010-01-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [fcc0ff7e79d5ce2a47f5a5bf6eefb0a46d507d28]

writerfilter07: merged CWS swunolocking1


2010-01-28  thb  <thb@openoffice.org>  [f3408e64dccc5c9d51b44f90d7b26bda1e44f099]

eraser01: merge with DEV300 m70


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [033f79b8ccbf27f81ebb34f6e10edd1b0a71f0ef]

CWS-TOOLING: integrate CWS cmcfixes69


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [ef01716d615148a9a7fda9a6522335a083c3dc9f]

CWS-TOOLING: integrate CWS swunolocking1


2010-01-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [b25d733b4d7696774dc842294aca33a5caccd8ce]

writerfilter07: merged DEV300_m70


2010-01-27  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [077b3d1869f8ba17e406877f5270513013e2609d]

aw079: #i99147# attribute rework and others


2010-01-26  Christian Lippka  <christian.lippka@sun.com>  [6987ef4f060e500ff0f7ae118368569c33ea8d75]

re added removed placeholder images


2010-01-26  thb  <thb@openoffice.org>  [082aa0d76e6fb0c9fd7f3dc3f831601bca7a7f45]

#i10000# Another WaE build fix


2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [1081368e8051ae7a7e49e8b6697728fe7700ce85]

CWS-TOOLING: integrate CWS impress181


2010-01-26  Michael Stahl  <mst@openoffice.org>  [6e82f47483f7d9b16da80f5999add358536ef1c8]

merge DEV300_m70


2010-01-23  Caolán McNamara  <cmc@openoffice.org>  [a68230ed78c548f8d862001bfd3702a28bd45ba6]

cmcfixes71: #i108597# fix uninit warnings


2010-01-22  Mathias Bauer  <mba@openoffice.org>  [81a9c490fe440e1bb34f169825133c8056d3d159]

#i107450#: make code more explicit to avoid mistakes


2010-01-21  Christian Lippka  <cl@openoffice.org>  [630da02589797d03be8cd461f94d1f7007cf94ae]

added new toolbar controler for insert page


2010-01-21  Mathias Bauer  <mba@openoffice.org>  [519a63fafa5877363e8d9ba31e9cfd944ca11687]

#i107450#: a small include fix after resync


2010-01-21  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [86574db35425e96cb2155ebb18f46bde36e6707e]

Update from master repository (to m70).


2010-01-21  Mathias Bauer  <mba@openoffice.org>  [d3a3ac4ee64602c49190ac70a991bfb07fbc8879]

resync to DEV300_m70


2010-01-21  sb  <sb@openoffice.org>  [ff73af187748c82490d222d144f7b358fa2d232c]

sb118: merged in DEV300_m70


2010-01-21  thb  <thb@openoffice.org>  [205b98fd9b6042a1ff947a260a038c0a1be715d7]

#i10000# WaE: dummy-use extra parameter


2010-01-19  Christian Lippka  <christian.lippka@sun.com>  [582ed6ce495a384c258f5865bd551f4511808dc1]

added vertical layouts again


2010-01-19  hb  <hbrinkm@openoffice.org>  [ead532743db7347fb5d23006db6c1a61109b4909]

merged DEV300_m69


2010-01-18  thb  <thb@openoffice.org>  [acd2628cf30ea6ae3b8c82d9fac9388b7172bb1b]

thbfixes10: merge with DEV300 m69


2010-01-17  Christian Lippka  <cl@openoffice.org>  [fe89df54508eb668814ac05073cbb44d1cbdebfe]

allow vcl::DockManager popup with ToolbarMenu class for a nicer look


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [a167c3741c060f07d05bcf2f66055499a9e52c94]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [2ca283fcc1e04aa980f9a84aef69136986be1231]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d9942b5a238c84ea49bc0f89a7009fd5fd701236]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [46fea23ed5a19db128df11532dd284d3a71d17c6]

dba33b: merge m69


2010-01-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [39c7f0f098245eeee1e742de4bf72987af43518d]

solve some merge problems


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [fd884c877390f1efbed52a1b41d4fa37dc793192]

undo previous erroneous change, solar.hrc belongs to svl instead vcl now


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [3cc5b48005e64a6e94d7b186b5274bf2562018eb]

rebase to DEV300_m69


2010-01-13  Mathias Bauer  <mba@openoffice.org>  [18b476b55a16874c2a2031e623681835dd6f258b]

#i107450#: move more code out of svx


2010-01-13  sj  <sj@openoffice.org>  [7087754cb8a7f83825200540631b8871081bd827]

impress181: #i107561#: now also exporting notes to pdf


2010-01-13  Christian Lippka  <christian.lippka@sun.com>  [8867f3b8948a40c3c85b8ef1b11b3573209bd572]

toolbar menu rendering finetuning


2010-01-13  Michael Stahl  <mst@openoffice.org>  [314f379881c45897717e60a4993e46e9fa106641]

swunolocking1: #i108161#: WeakReferenceHelper:  Apple g++ 4.0.1 erroneously believes that it is ambiguous to use  WeakReference<XInterface>::operator=(Reference<XInterface>).  as a workaround, introduce WeakReferenceHelper::clear(), and fix all users.


2010-01-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b2be9b737d52a5b5fc38f7766ab0bd3621a8bc64]

autorecovery: initial implementation of a new save/recovery for database documents

For the moment, the document only stores and loads itself, as before.

In this course, the AutoRecovery service now delegates the decision whether or not a document
needs to be stored (to the "salvage location") to the document itself, using the new method
XDocumentRecovery::wasModifiedSinceLastSave, superseded the previous E_MODIFIED_SINCE_LAST_AUTOSAVE
flag.

XDocumentRecovery::wasModifiedSinceLastSave has been implemented for SfxBaseModel, yielding the same
behavior as before.

It has also been implemented for database documents, where the implementation is somewhat "sloppy",
in that it returns always <TRUE/> when any of the opened sub components of the document is modified.
2010-01-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dca3c08d0391671f0645149aca5dab543a9b6f0c]

autorecovery: remove SID_VIEW, it is used only once, and mapped to SID_HIDDEN, anyway


2010-01-12  sb  <sb@openoffice.org>  [d1ad3a87eed0441676c61c3886e18aae489c2721]

sb118: #i108269# first step of removing tcsh support


2010-01-12  Caolán McNamara  <cmc@openoffice.org>  [92a5eed7e55e4f03d5bc0f40de74ff968e0c8673]

cmcfixes69: #i108261# fix mismatch ifdefs


2010-01-11  Christian Lippka  <christian.lippka@sun.com>  [9f2a2758a6bc015cea38e34da01219e750de398a]

removed unused file


2010-01-11  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [83210825652e9115a4b1abb0dccdb28ee8369674]

Update from master repository (to m69).


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9de9909ae6885ee43b0044c52c5180180ee27e63]

autorecovery: fix post-rebase build problems


2010-01-10  Christian Lippka  <cl@openoffice.org>  [4c16479bd18c9605b53777e0eeb204140a007529]

added new layout images


2010-01-09  Mathias Bauer  <mba@openoffice.org>  [b71b5997dfb10511b40ea6683bb1f19d299ae3fd]

#i107450#: error in pch file


2010-01-09  sb  <sb@openoffice.org>  [11af1c812ebf085c561bad320d6df416b1a51ef7]

sb118: merged in DEV300_m69


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e7a252217e5752d0152238f58f93c8df7de83abd]

autorecovery: merge after rebase to m69


2010-01-08  Mathias Bauer  <mba@openoffice.org>  [1bd77781de4c4f31440f2f531a1b1cf14d7c9e59]

#i107450#: build all other modules with new editeng lib


2010-01-08  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [80954cf443b3cd3f774f31052a7eb63983cf5763]

Update from master repository (to m69).


2010-01-08  Caolán McNamara  <cmc@openoffice.org>  [5489469e983939972586bfee2f77576419b20f78]

cmcfixes69: merge with DEV300 m69


2010-01-07  thb  <thb@openoffice.org>  [609f39ca92eb983ca552178f154da1f2b9b4467b]

eraser01: merge with DEV300 m68


2010-01-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8c5f513fd9cde060a0e842778d6779f4237ffdae]

autorecovery: allow creating SFX-based documents which do not support the XDocumentRecovery interface For this purpose, the SFX document factory methods got an additional parameter respectively flag ("DocumentRecoverySupport" resp. SFXMODEL_DISABLE_DOCUMENT_RECOVERY). This flag is used by database documents to remove the interface from sub documents (aka forms/reports). In this course, some of the functionality around those SFXMODELL_* flags, previously duplicated in all applications, has been consolidated into a new SfxObjectShell constructor.


2010-01-06  ericb  <ericb@ordinateur-de-eric-b-2.local>  [e91988cf05e3b5e2fb7be7e34d78bce12a352a4a]

eraser01: #i103174# cosmetic changes in sd before RfQA


2010-01-06  ericb  <ericb@ordinateur-de-eric-b-2.local>  [d96dca7fd60eec34eed6c7c5a930d7c11e642b3b]

eraser01: #i103174# cosmetic changes before RfQA


2010-01-06  Thomas Lange [tl]  <tl@openoffice.org>  [5c7fe196a2b39ead243cfd5d27f5e0eb3a65b731]

cws tl74: merge with DEV300_m68; AND Unix LF conversion for some files!


2010-01-06  Christian Lippka  <christian.lippka@sun.com>  [896ac86d8c2b5510020da7bf0abf0a32b7f2f0b8]

removed unused variable


2010-01-05  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [c479c62ea2f7bd8b89592699feed37ef10a78b29]

writerfilter07: merged DEV300_m68


2010-01-05  Mathias Bauer  <mba@openoffice.org>  [cac1203679ab720a31d8b3017f53c5a63e95d1fb]

merge commit for m68


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [a2e95ebcc701038d4a1010d320a69681499f78ee]

CWS-TOOLING: integrate CWS sb116


2010-01-04  Jens-Heiner Rechtien  <hr@openoffice.org>  [bbde1a25336acef8f28f801c3eed5830f56c62bb]

CWS-TOOLING: integrate CWS aw078


2010-01-04  Christian Lippka  <christian.lippka@sun.com>  [8832823146ea2429696eb1dbbfe28c83c772ea03]

merging m68


2010-01-04  Christian Lippka  <christian.lippka@sun.com>  [ae9e87d93d0c955e584a4666f5a7b68d8cf3008f]

merge to m68


2010-01-04  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [94f3ba6b29581dfc388e5b612ded449382e0dadc]

Update from master repository (to m68).


2009-12-21  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [106ea7502c4c38d5c5ccd83ecea13527e24dff68]

aw078: resync to DEV300m68for integration


2009-12-17  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [10ace3cb1c92c7f9a56d3503f6bfe82b4b8cf652]

writerfilter07: merged DEV300_m67


2009-12-16  thb  <thb@openoffice.org>  [c5b81a4b8025510e7ac3703ceec9f55adc86cbbf]

eraser01: #i97972# - one more fix for erase all ink

* make sd flags reflect the slideshow state after eraseAllInk was
  called. Fix is from Metrokid.
2009-12-16  thb  <thb@openoffice.org>  [ee871bca1278b6ae333408839ca2e3f6217038f4]

eraser01: #i97972# - Fixed two minor bugs

* ran autoconf, to get the --enable-extra-presenter-ui option
* fixed thinko when selecting eraser width (slideshow was switching
  to eraser mode then, but context menu stayed at pen)
2009-12-16  ericb  <ericb@ordinateur-de-eric-b-2.local>  [50e16b0951c543ef6e390595ea39036ebc51a9f0]

eraser01: #i97972# yet some build issues due to rebase


2009-12-16  ericb  <ericb@ordinateur-de-eric-b-2.local>  [d19b21b7b64d9f09d0c030b6345d4e4fabdae0f5]

eraser01: #i97972# fix variable renaming


2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d833a33403fc94f88cec8e479f78f72ba68edef1]

autorecovery: Sfx(View)Frame::GetTopFrame now also returning a SfxFrame& instead of an SfxFrame*


2009-12-15  ericb  <ericb@ordinateur-de-eric-b-2.local>  [60f515eaa1611d375b164ab8bbf4c04a448fcacd]

#i97972# commit all changes since Thorsten rebase. Thanks to Nelle, Jonathan, Christian and ericb


2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8ce520b0142436e91e1311e8a29c2cd4744ff280]

autorecovery: SfxViewFrame's SfxFrame is a reference now, no pointer (it can never be NULL)


2009-12-15  Mathias Bauer  <mba@openoffice.org>  [3508225eb81237c26f97ec9be9032514fcb902bc]

#i107706#: liquidate goodies module


2009-12-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ffdc7f54e310c577dd7e2c4734bfe168bdd4d899]

autorecovery: replace some SfxFrameItem occurences by SfxUnoFrameItem As a consequence, replace some occurences of SfxFrame with XFrame.

This allows getting rid of yet some more Sfx code in the (SFX) doc loader. Also, it prevents premature
creations of SfxFrame instances during loading, since now the frame is really created when it is needed only.
2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [17ffefd4513392729e377beedb2d075e9da64106]

CWS-TOOLING: integrate CWS ooo32gsl08_DEV300


2009-12-12  Mathias Bauer  <mba@openoffice.org>  [d3c81336f5dff31e71cce90e07318927b4a4c46e]

#i107450#: changes caused by header cleanup in svx


2009-12-11  sj  <sj@openoffice.org>  [8911a9d01bfc32bcbd484d683eb38a9fa9ef0b0c]

impress181: #i107561#: now also exporting notes to pdf


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [ee5a6919bd55eaf3c917a931f62c0d6488f8c78d]

#i107450#: move SvxSearchIten to svl


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [98af14ea7212aeb396702c539803bd26e4bd7eda]

#i107450#: split up the two different ways to detect a module field unit


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [41d8f2cbe0650698001808b895670e8d9a485be9]

#i107450#: move GetLanguageString to class SvtLanguageTable


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [2b7de6a2b67a7f2cd3d4b9d1dba6659e8b4c3902]

#i107450#: remove SdrObject dependency from OutlinerForwarder; EditEnginePool for ItempropertySet of EditObjects; split unoprov.hxx+cxx


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [44070402818a5d5a6a185aa999ee6eadbbf89f48]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [38b0d886ec5b324a8bb1cd153ef0c1e4d650750d]

Update from master repository (to m67).


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [9c51cc8e86bfefd98f56b25f182131f9b818b882]

CWS-TOOLING: integrate CWS killnonpro


2009-12-08  Christian Lippka  <christian.lippka@sun.com>  [0f66635b7f9a0c0a848fd591321d920ae557e6bb]

renaissance01: #i107213# more work on layout popup


2009-12-08  Mathias Bauer  <mba@openoffice.org>  [dc5722a2758d1245f956e925495a61e94278b952]

some more fixes after resync


2009-12-08  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [a446087747ff0e09658f814b583f9b888e1a4f31]

writerfilter07: merged DEV300_m66


2009-12-07  Thomas Benisch  <tbe@openoffice.org>  [e7c84ffb839dd2022ad29ada25a14db680051c36]

chartshapes: merge with DEV300_m66


2009-12-07  sb  <sb@openoffice.org>  [19eacd47c18d84cf2955b50faae90320bc0c183d]

merged in DEV300_m66


2009-12-06  Christian Lippka  <cl@openoffice.org>  [11902a315e6d9260445a42f370d75a70e280a459]

renaissance01: #i107213# inital layout floater implementation


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [c88345de77106da32522fc72adc2016d77a4a1a7]

merge to m67


2009-12-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4d786d3ea97008a9387b0a7e27feedc19449da06]

autorecovery: rename SfxViewFrame's LoadDocument to LoadDocumentIntoFrame, and introduce a new LoadDocument, which does not take any frame-like argument. Makes writing code easier (and more explicit) for clients which do not have a frame, but want to load non-hidden.


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [52bc22f79342346ec184c8040bd37887e54cc99a]

CWS-TOOLING: integrate CWS ooo32gsl07_DEV300


2009-12-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [81383f4180d41ae1d58af5f70b89e08a2d4b7ca7]

autorecovery: another client of InsertDocument_Impl died ... SfxFrame::InsertDocument has been replaced with SfxViewFrame::LoadDocument, which now uses the UNO loader to load the existing document into a frame, instead of going the direct (non-UNO-, pure-SFX-) way


2009-12-03  Christian Lippka  <cl@openoffice.org>  [81611b6ee4d027c29ccde062b30a3a11b2cc9b93]

renaissance01: #i107213# further layout work, initial support for new layout toolbox control


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [a0f74d1e39aa27897b293fbc4d9fff5577883e6f]

update to current version


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [ecadb470ee009e81ce5e2357a7caa33ade9cdc06]

CWS-TOOLING: integrate CWS impress182_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [844db237ea15ad9521f79cc2faf729ed554fad73]

CWS-TOOLING: integrate CWS slideshow1


2009-12-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9972c016e880a1f0ade6c1b047c515d4c7b6c109]

[CWS autorecovery] replace InsertDocument_Impl calls with UNO component loading


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [2b56772f673638e46f89cac581b0f9fdc58e6aca]

CWS-TOOLING: integrate CWS ooo32gsl03_DEV300


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [e36b901a5fbb644a4ff03774adfcfcc55b79075c]

CWS-TOOLING: integrate CWS impressaccessibility6_DEV300


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [8ee6627d2b3d139313b5d41eb2fdd04271897a92]

CWS-TOOLING: integrate CWS impresspaintbrush01


2009-12-02  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [b0625d8a75ce3ce6dd2b79766c0cb0e1b5dbce75]

merge to m66


2009-12-02  Christian Lippka  <cl@openoffice.org>  [dbeb39cdeddad8a011a65278a5b12de0ac4463ef]

#i107213# added ViewOverlayManager


2009-12-01  Jens-Heiner Rechtien  <hr@openoffice.org>  [dd19d26c5062fc05a8d7f5db3857cf024f056179]

chartshapes: merge with DEV300 m62


2009-12-01  Jens-Heiner Rechtien  <hr@openoffice.org>  [e50d19065e43ba14822434fcfd39996793529449]

chartshapes: merge with DEV300 m55


2009-12-01  Vladimir Glazunov  <vg@openoffice.org>  [d6621f9b0918a9d02f5d075be7098a2676220df9]

#i10000# fix for lik-error on Windows


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [556afc2573304336c81ddcbf78b015b3becca09b]

[CWS autorecovery] fixed yet another file which doesn't compile with debug (after the previous change)


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7ee726f5cfe0bc0738cbbceba974f3d43e2a618b]

#i10000#


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0e51496e34948cadc88e16da12c8db8a14dabf91]

[CWS autorecovery] removed some dead/unused stuff SID_BACKTOWEBTOP, some SFX_VIEW_* flags, some SFXFRAME_* flags, all BROWSE_* flags


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c570158dd4eaa688bc82a38011895b28dfcdbec9]

[CWS autorecovery] forgot to remove some includes


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5e3fb8a3e9ae313cc41cbfe622fe183ffe4ab469]

[CWS autorecovery] merged SfxTopViewFrame into SfxViewFrame SfxTopViewFrame was the only class deriving from the abstract class SfxViewFrame, so both can effectively be treated as one class. This change was done to make subsequent refactorings easier.


2009-11-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6b61c6e3936aed90ec9fd405e21da8d5518c31e3]

[CWS autorecovery] merged SfxTopFrame into SfxFrame SfxTopFrame was the only class deriving from the abstract class SfxFrame, so both can effectively be treated as one class.


2009-11-26  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [7e6754265cd32e30a0b7ae2090ce2fefa1a775db]

writefilter07: merged DEV300_m65


2009-11-25  Thomas Lange  <tl@openoffice.org>  [05f81b58f65c9859b232e964370514e0126f5507]

#i51258# thesaurus for right click context menu


2009-12-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [a2c48f86c8f4c6f6d0373057035ccc6c3b9999f8]

tl74: merge with DEV300 m60


2009-11-25  Christian Lippka  <cl@openoffice.org>  [8211ed668becade2766f5a5506c57c2334047bff]

fixed typo


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [5b15d425c015f99b574ddb9eaa307f66b02a1df3]

CWS-TOOLING: integrate CWS impress180_DEV300


2009-11-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [77b58cc347e5144be4cf67b8edc009a697edb932]

[CWS autorecovery] #i65597# when reloading an SFX document, do this via UNO, not via internal methods. In particular, do not re-use existing SfxTopFrames. This implies slightly more flickering, but this should be bearable nowadays. The advantage is more simplified code. Also, on the medium run, when UNO view factories are implemented for SFX documents, the old approach would not have worked, anyway.


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [f63f2f9d2f3e555a30eb50a74952fff76fe4a356]

merge commit for m65


2009-11-23  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [9ea6065c8e4060e7770e6499a04a822157db4aa0]

#i105146# fixed mainly by not setting a page to visualize at the SdrPageObj's for handout page


2009-11-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ccf1cff20870b58af18f157e2bc26322e625978a]

[CWS autorecovery] introduced status SfxFrame::InsertDocument which encapsulates a usage pattern comprised of the old InsertDocument/CreateViewFrame pair


2009-11-20  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [4134b9134f7f9da982d6478c56fbeb9bf53711cb]

printerpullpages: #i91478# improvements for mac native print dialog


2009-11-20  Andre Fischer  <af@openoffice.org>  [e5b13518889809e46b9379bca16d449bacd06633]

#i107049# Do not scroll focus indicator into view when slide sorter is focused.


2009-11-19  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [4427dc70b464607d20e37fb0cc8f2dbef823e206]

Update from master repository to m65.


2009-11-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [46f14a330c1e77cf922fc23acef749859992e857]

printerpullpages: #i106426# reinstate include option as own subgroup


2009-11-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [7d50842f75a33fa56d4c21fec3a5e7535ac912dd]

#i106541# commit afer merge


2009-11-16  Christian Lippka  <christian.lippka@sun.com>  [5d3b7477a02a8a929e999c076814ce1674385331]

merge


2009-11-16  Christian Lippka  <christian.lippka@sun.com>  [02d646545c4a21ba003184b5c3f7fa478ddf11e2]

#i82435# enable drop of image link embedded


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [7e01d3e7c809dc75117bbec3afa056a5731b932b]

CWS-TOOLING: integrate CWS changehc02


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [0b3ae5740b79eb9315aa920cf94134ae2c40aa89]

CWS-TOOLING: integrate CWS impress178_DEV300


2009-11-13  sj  <sj@openoffice.org>  [86423b8b587c03aeddc7ae59221ea1106e79ac44]

impress181: #i106770# applied patch from cmc


2009-11-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [820edf830aa04e39424ab964893e7d138e150742]

merge with DEV300_m64


2009-11-13  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [596332786329eafdef0837cb4ab0723c26034263]

writerfilter07: merged DEV300_m64


2009-11-13  sb  <sb@openoffice.org>  [1bb41f8d8241fffdf8941aa89fd82cb3becf9149]

sb116: #i106845# removed obsolete IRIX port


2009-11-12  Christian Lippka  <christian.lippka@sun.com>  [4f8e9a2ffec45efea5e25668d8f18b1cb4d6252f]

#i105942#


2009-11-12  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [bf7b77ca18b94d8f256e4c12ee9e65d10f66cfb5]

aw078 #i106541# commited in-between stable version with already advanced metafile decomposition for security reasons


2009-11-11  sb  <sb@openoffice.org>  [478db81a1b69144c1573c55ff62457457abb1ad5]

sb116: merged in DEV300_m64


2009-11-10  Christian Lippka  <cl@openoffice.org>  [f07b88f64c493cc886fb1697941b217d98b8cb40]

#i106678# remove unnecessary scaling as it causes only trouble


2009-11-05  Christian Lippka  <cl@openoffice.org>  [c91a3d6530075a782adada46db7aa1715d150cb9]

#i57928# force quick text edit mode during format paintbrush


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [b7ad05758d9c112d8d1cd4a7f71e5fd82ed1a05b]

impresspaintbrush01: merge with DEV300 m63


2009-11-05  Mathias Bauer  <mba@openoffice.org>  [8fc0b3b863ea0cf68a92b0a722117888dcf6ec9e]

forgot to add filter to build.lst of apps using msfilter


2009-11-04  Mathias Bauer  <mba@openoffice.org>  [d18b7a6a3eef8afb7d0b0b24638692aac188b223]

#i196421#: some problems with pch on Windows


2009-11-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [08b6f684814f69c48d1bb0e97034a0f265b678e0]

#i104678# use high contrast mode setting instead of IsDark (paradigm shift begun with issue i35482)


2009-11-03  Andre Fischer  <af@openoffice.org>  [6d2662fc3cbd85d785ff68a48064d9eb68c2fe18]

#i48179# Fixed some Solaris compilation problems.


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [c1a90c55322944a9c674b69f00275d3dd6cfd51d]

slideshow1: merge with DEV300 m63


2009-11-02  Mathias Bauer  <mba@openoffice.org>  [2ec63285e27006f0fb04387fa9e637beb6944199]

#i106421#: create new cui resource file


2009-11-01  Mathias Bauer  <mba@openoffice.org>  [622c8d9692bbe87e52324d20c9080d540d618dce]

merge commit for DEV300_m63


2009-10-31  Mathias Bauer  <mba@openoffice.org>  [64885925777dfc81ed6a5280040a6520fcb33247]

#i106421#: move msfilter to filter


2009-10-29  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [6bf0870b5f9c1dfb18ced90bf79b2607cf1bc9ab]

#i106437# distinguish between slides and pages in impress/draw


2009-10-29  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [de24c4e54a4726228bd300776100689afaeff1c7]

#i106426# attach dependency to brochure option


2009-10-28  Christian Lippka  <cl@openoffice.org>  [a2b55a91fd959e804de17a4c908f59347c7eb1e5]

#i106369# only hide placeholder on master page not all text shapes


2009-10-27  Christian Lippka  <cl@openoffice.org>  [55ac0ffc6849b4126980dfc1aa084b996bcd7183]

fixed unix errors


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [e7eed5a0137e4051ed1c4a745f27f3149a3c5469]

impresspaintbrush01: merge with DEV300 m62


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [8a71375d82061fd88ffba7a4275abca6d75f0d01]

merged last changes


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [0619df572b9d3b9c5971dd9c0239997689cefd0c]

merged DEV300_m62


2009-10-27  Ivo Hinkelmann  <ihi@openoffice.org>  [863aafcbb495f4255c1fb1373aae6de1c58d3a41]

CWS-TOOLING: integrate CWS impress178 2009-10-16 19:54:41 +0200 sj  r276995 : removed warning 2009-10-16 17:46:12 +0200 sj  r276993 : #i103757# applied patch (fixed crash if model changes) 2009-10-16 16:06:07 +0200 sj  r276985 : CWS-TOOLING: rebase CWS impress178 to branches/OOO320@276942 (milestone: OOO320:m2) 2009-10-08 13:51:23 +0200 sj  r276790 : #i105654# fixed closing of line geometry 2009-10-07 17:26:56 +0200 sj  r276762 : #i105606# fixed object shadow 2009-10-07 17:25:39 +0200 sj  r276761 : minor improvements 2009-10-07 11:48:26 +0200 af  r276745 : #i103047# Prevent context menu of LayoutMenu from being shown when user clicks on background. 2009-10-07 11:33:59 +0200 af  r276743 : #i99866# Set position of the design control manually. 2009-10-06 17:18:23 +0200 sj  r276721 : minor improvements 2009-10-05 18:34:23 +0200 sj  r276692 : #105606# fixed fontsize problem 2009-10-05 17:26:21 +0200 af  r276691 : #i105354# Never process more than one request in a row. 2009-10-02 13:24:25 +0200 af  r276639 : #i94242# Taking insertion position of slide sorter correctly into account. 2009-10-01 13:46:47 +0200 aw  r276602 : #i102224# some Polygon/PolyPolygon usages in SVMConverter ignored the possible curve status of tools::Polygon; added at least an AdaptiveSubdivide 2009-10-01 12:33:56 +0200 aw  r276588 : #i102224# ImplWritePolyPolygon killed the curve information at the PolyPolygon by NOT copying the flags 2009-09-30 17:48:56 +0200 aw  r276567 : #i102224# removed GetSimple() from Polygon and PolyPolygon, replaced completely with AdaptiveSubdivide 2009-09-30 15:45:46 +0200 aw  r276559 : #i102048# secured primitive creation for dimension lines with linestyle none 2009-09-30 14:56:41 +0200 af  r276556 : #i105471# Reordered statements in ~SdModule. 2009-09-30 14:47:12 +0200 aw  r276555 : #i105373# corrected curve ignoring places in MetaFile export


2009-10-27  Release Engineers  <releng@openoffice.org>  [cee2ef478d3059403002c7c60ea8905e50215abe]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [9ff299c0cb20588e07e831ddaa21d6f1006e135b]

merge commit for m62


2009-10-23  Christian Lippka  <cl@openoffice.org>  [c36d68179767a46c05cbb1207864832dd7b337fc]

#i88371# allow format paintbrush to format empty presentation object


2009-10-23  Christian Lippka  <cl@openoffice.org>  [367b1a6aec6c09a3eeae328ecedc184440db45ee]

#i57928# reworked formatpaintbrush feature to support more shapes and text selection


2009-10-23  Christian Lippka  <cl@openoffice.org>  [c1c224778cd5bf8d74b0bf45d0cd70fcc8ad35a4]

#i57928# reworked formatpaintbrush feature to support more shapes and text selection


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [e5784c10535b676b3da1867f9bb39738c15f1334]

step 0 of an UNOization of the css.form.(X)FormController implementation: move the API to css.form.runtime, so we can later add new API chunks without breaking compatibility of the existing API in css.form


2009-10-22  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [cdd32b12da1be9ca1e1ab0d5881f65820d43e053]

commit after rebase to DEV300m62


2009-10-22  cl93746  <cl93746@cl-u20.germany.sun.com>  [28bc73951e90f0479f791494ecf9df6d4e8d9cbd]

#i104929# fixed handout printing


2009-10-21  Vladimir Glazounov  <vg@openoffice.org>  [e47a855ad9a8b8e1a9619203132989c51bd41bd2]

CWS-TOOLING: integrate CWS buildverbosity 2009-10-13 15:51:48 +0200 fs  r276867 : allow building with 'nodep'=='' 2009-10-11 22:39:56 +0200 fs  r276820 : silence a compiler warning in a file only used when VERBOSE!="" 2009-10-09 14:37:43 +0200 fs  r276807 : let not override the non-presence of $VERBOSE the given command line arguments 2009-10-09 14:36:25 +0200 fs  r276806 : also deliver spirit/home/classic/debug/impl 2009-10-08 13:38:07 +0200 fs  r276789 : not that many line feeds in --show mode 2009-10-08 13:13:01 +0200 fs  r276788 : minor adjustments requested by hjs: - replaced space/tab mixes at beginning of lines with mere tab - made "nothing to update" message for the ZIPALLTARGET target more prominent - removed useless "echo > /dev/nul" statements 2009-10-07 13:32:12 +0200 fs  r276753 : #i105585# 2009-10-07 11:31:59 +0200 fs  r276742 : #i10000# missing dependency between stoc/security and stoc/util 2009-10-06 22:59:59 +0200 fs  r276729 : CWS-TOOLING: rebase CWS buildverbosity to trunk@276699 (milestone: DEV300:m61) 2009-09-29 12:04:58 +0200 fs  r276518 : #i10000# 2009-09-29 12:04:25 +0200 fs  r276517 : oops 2009-09-29 12:01:07 +0200 fs  r276516 : #i84497# removed some more (non-diagnostic) 'echo ------' directives 2009-09-29 11:59:29 +0200 fs  r276515 : #i84497# removed some more (non-diagnostic) 'echo ------' directives 2009-09-29 11:52:32 +0200 fs  r276514 : #i84497# removed the various 'echo ------------' directives from verbose mode, as per hjs' request 2009-09-29 11:44:16 +0200 fs  r276513 : do not duplicate IDLC call commands with different verbosity switches 2009-09-28 21:43:50 +0200 thb  r276502 : #i84497# fixed potential recursive macro def + extra ls  * solenv/inc/settings.mk: now setting via VERBOSE!:=, removes warning    and my spurious "recursive macro definition" error  * solenv/inc/tg_app.mk: one extra ls silenced for app target (and    quiet mode, that goes without saying) 2009-09-23 08:57:01 +0200 fs  r276366 : use ULFEX_VERBOSITY instead of duplicating the ULFEX call 2009-09-21 11:42:26 +0200 fs  r276320 : ignore output paths 2009-09-21 11:04:27 +0200 fs  r276318 : silence another compiler warning, which only hits us when actually using this (debug) file, which is the case only when slideshow is compiled with a env variable VERBOSE, thus came up in CWS buildverbosity 2009-09-21 10:30:14 +0200 fs  r276313 : make some output depend on VERBOSE==TRUE, not COMMAND_ECHO="" While both are equivalent at the moment, COMMAND_ECHO finally is an implementation default of the VERBOSE flag only, so better rely on VERBOSE as the primary verbosity flag 2009-09-21 09:56:57 +0200 fs  r276311 : forgot to re-generate from tg_zip before committing 2009-09-21 09:52:11 +0200 fs  r276310 : #i84497# even less verbosity 2009-09-17 11:02:47 +0200 fs  r276232 : #i84497# verbose implies VERBOSE nowadays, and VERBOSE==FALSE should not lead to -DVERBOSE 2009-09-15 22:59:37 +0200 fs  r276189 : #i105022# copy fix for this P1 into this CWS 2009-09-15 11:56:35 +0200 fs  r276165 : CWS-TOOLING: rebase CWS buildverbosity to trunk@276043 (milestone: DEV300:m58) 2009-09-14 17:45:10 +0200 fs  r276137 : #i84497# don't duplicate zip lines w/ and w/o -q switch, use a variable instead (maintenance) 2009-09-14 15:01:33 +0200 fs  r276124 : #i10000# 2009-09-11 23:58:46 +0200 thb  r276083 : #i84497#: More quiet-build fine tuning  - silenced rsc for real (properly filtering options for    cpp, and a pretty brutal amputation of the tool blurp,    which would have needed cmd opt parser duplication)  - silenced deliver.pl  - silenced checkdll.sh  - silenced zip via -q (in quiet mode)  - silenced various idl, resource, transex whatever tool,    passing appropriate options down to them '-QQ' sometimes  - silenced dmake, pointless blurb that something does *not*    need update removed  - silenced the old starview idl compiler, to not output    tool's name & progress chars in quiet mode 2009-09-11 21:13:59 +0200 thb  r276081 : #i84497#: More bits on the quiet mode of the build. The bulk of the changes is disabling those annoying "echo ------------------" lines for the quiet build, which has the stretch goal of outputting *exactly* one line per file compiled/linked/processed. Apart from that, silenced a few especialy annoying module-specific makefiles (basically adding $(COMMAND_ECHO) in front of a gazillion rules). Additionally, slightly tweaked what idlc regards verbose, normal, and quiet mode; this was to have it echo exactly one line per idl file processed (the fact that quiet mode did not echo *anything* for idl files was a bit too much for my taste) 2009-09-04 09:14:35 +0200 fs  r275777 : don't emit the link parameters if VERBOSE!=TRUE 2009-09-02 10:31:15 +0200 fs  r275700 : #i10000# 2009-09-02 08:44:14 +0200 fs  r275697 : update svn:ignore to ignore the output paths 2009-09-02 08:40:54 +0200 fs  r275695 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:40:28 +0200 fs  r275694 : GRAPHITE is missing in the BUILD_TYPE 2009-09-02 08:40:05 +0200 fs  r275693 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:39:25 +0200 fs  r275692 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:39:02 +0200 fs  r275691 : #i84497# less verbose output during build, unless a dedicated '-verbose' switch is given 2009-09-02 08:38:09 +0200 fs  r275690 : #i84497# less verbose output during build 2009-09-02 08:37:06 +0200 fs  r275689 : #i84497# don't emit that much noise, unless a '-verbose' switch is given


2009-10-20  Andre Fischer  <af@openoffice.org>  [b3ac98c1721724610941b747ce746ec3a7014be6]

#i105895# Prevent old view shell from being deleted too early.


2009-10-20  Andre Fischer  <af@openoffice.org>  [d0d3adcb713a8e2303f4626d02c5d6a76d05826e]

#i48179# Resolved some compilation problems.


2009-10-20  Release Engineers  <releng@openoffice.org>  [9ca5ad3d8d97c27d189aea85226e02e682e31348]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-19  Mathias Bauer  <mba@openoffice.org>  [fdb8d3463845ee08b6021ae3413a966b7b1270e3]

#i103496#: move some fontsubstitution stuff from vcl to unotools to get xmloff vcl free


2009-10-16  Andre Fischer  <af@openoffice.org>  [8176d961391f82763fffce461f3d7ac881919a94]

#i105958# Fixed throw part of declaration of getAccessibleChild().


2009-10-16  Andre Fischer  <af@openoffice.org>  [b64c794d871e0e303622be4e49c0cdf020ebcd21]

#i48179# Resolved merge problems.


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [598fb36a2846b6af4e7cf4f58776a7789a39e277]

slideshow1: merge with DEV300 m61


2009-10-16  thb  <thb@openoffice.org>  [f1ecfaab319ba4fca22fd3bc2e98e974319ddf18]

#i105939# Adds clip state handling class to basegfx; makes use of that also from slideshow


2009-10-16  thb  <thb@openoffice.org>  [74b82c82fcbf49667ae5f287bc2249a304a39a28]

#i105937# Much improved gradient support for canvas/basegfx/drawinglayer.

See http://blog.thebehrens.net/2009/07/28/hackweek-iv-canvas-convwatch/ for more background information
2009-10-16  Mathias Bauer  <mba@openoffice.org>  [db95a78fb993e2fd7ec33d741ef9a1fe21a3bd76]

#i103496#: split svtools; improve ConfitItems


2009-10-15  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [e2b6edf89c8bad51b08ae8e38e3ab4e34b7c753d]

#i105144 unify property names with sw


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [382579c6ad4b1fa6d4e6af32a4e94481559ac5e9]

CWS-TOOLING: integrate CWS impress177 2009-10-07 13:02:12 +0200 sj  r276751 : #i104579# fixed horz and vert adjustment for master styles (excluding notes master) 2009-10-06 18:09:14 +0200 sj  r276724 : #i104579# fixed horz and vert adjustment for master styles 2009-10-05 15:02:38 +0200 sj  r276679 : #i104685# fixed text color problem 2009-10-02 14:01:22 +0200 aw  r276641 : #i105508# added own flag for ClipOnBounds to SdrBlockTextPrimitive2D and the helper createTextPrimitive; adapted usages; corrected VerticalText stuff; corrected ClipOnBounds for CustomShapes 2009-09-30 11:55:44 +0200 cl  r276550 : CWS-TOOLING: rebase CWS impress177 to trunk@276429 (milestone: DEV300:m60) 2009-09-28 17:57:37 +0200 cl  r276498 : #i94900# after a paste special make sure the stylesheets for outline shapes are correct 2009-09-24 17:36:29 +0200 af  r276425 : #i103464# Restore device more reliably. 2009-09-24 12:29:31 +0200 sj  r276417 : #i104685# fixed text color propblem 2009-09-22 16:48:06 +0200 sj  r276360 : #i104682# fixed table border line thickness 2009-09-22 16:46:29 +0200 sj  r276359 : #i104682# fixed table border line thickness 2009-09-22 10:29:30 +0200 sj  r276346 : #104579# fixed horz and vert adjustment for master styles 2009-09-21 14:18:29 +0200 af  r276330 : #i100905# Fixed crash when region is split into bands. 2009-09-15 15:44:30 +0200 cl  r276181 : #i103179# always hide presentation shapes from master page if rendered as slide background 2009-09-15 10:44:52 +0200 cl  r276155 : #i104579# return correct IsEmptyPresObj state 2009-09-14 16:51:41 +0200 cl  r276132 : #i96538# restored OOo 3.0 numbering behaviour


2009-10-14  Andre Fischer  <af@openoffice.org>  [bcbfd63588d9babc559ae89e2bc382b4843a46f4]

#i48179# Fixed stepping back for animations with active auto_reverse.


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [2d841aa1b0e7196b1d04ee674d89e5cf6baaa684]

slideshow1: merge with DEV300 m56


2009-11-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [2e27a1048612a50d9883b29d80b686a323df7bb2]

slideshow1: merge with DEV300 m49


2009-10-10  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [b079a3594f560c2fea042ea96ae4a01643bb990d]

use access method


2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [1a80e884f66f8c3563c6f2feba41c10d5972b2dc]

merge with m61


2009-10-06  Release Engineers  <releng@openoffice.org>  [7f9e7f3aeca5a8e9367b5c5b93cba619d4e973f2]

Create DEV300_m61 milestone tag from trunk@276697


2009-10-06  Mathias Bauer  <mba@openoffice.org>  [3e2320dde254b82c9628df99721a68afb5b740fc]

#103496#: move VCL free ConfigItems to unotools


2009-10-01  Vladimir Glazounov  <vg@openoffice.org>  [7c5d0f39f61ed65bc95ef3f53b5eb291007aa237]

CWS-TOOLING: integrate CWS impressnotes03 2009-09-28 16:30:17 +0200 cl  r276496 : #i105382# use correct method to get master page 2009-09-28 12:23:04 +0200 cl  r276486 : #i105266# also save text on close to avoid focus trouble under linux 2009-09-25 13:59:50 +0200 cl  r276456 : #i105266# resolved a merge conflict 2009-09-25 13:57:24 +0200 cl  r276454 : #i105266# resolved a merge conflict 2009-09-25 13:51:12 +0200 cl  r276450 : #i105266# resolved a merge conflict 2009-09-25 13:40:08 +0200 cl  r276447 : #i105266# resolved a merge conflict


2009-09-28  Mathias Bauer  <mba@openoffice.org>  [44099bcf5f531e3387b4aa6d7ee356a61b063ae7]

merge problems


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [857f3d3eaa209b913ffd2143d40ffd34760df98e]

merge commit


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [51507abd455c439344d890d488f8415d0792f986]

#103496#: forgot on sdi file in sd


2009-09-24  Release Engineers  <releng@openoffice.org>  [abcf92c32904c87a5bfcb58b8bad35562aceddc2]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-24  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [ee015ac87c761b1da49358637282b512b8069008]

#i105304# corrected destructors for OverlayBase derivations


2009-09-23  Ivo Hinkelmann  <ihi@openoffice.org>  [f1090fc26fcfa36314b3c3b299da9429c8b78c89]

#i10000# fixed crash cause by dtrans move


2009-09-22  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [1e5c5db0b574c59c11afb58f2ee15cca1891dddd]

#i97509# continued matrix tooling and adapting the usages now to all the ooo code


2009-09-21  Release Engineers  <releng@openoffice.org>  [87508b88ad804ded2d68624387697beb0d118d11]

#i10000# solve unres. externals


2009-09-19  Mathias Bauer  <mba@openoffice.org>  [2636c920887453e26619be9783ed414b8b9b28d2]

better dependencies for sdi files


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [9c270c1c4867ce8ef4d999995e7bf4928cc7cc2e]

CWS-TOOLING: integrate CWS impressaccessibility3 2009-09-18 16:10:59 +0200 af  r276289 : #i102525# Fixed some minor compilation problems. 2009-09-17 14:11:23 +0200 af  r276243 : #i102525# Fixed F1 shortcut for help view. 2009-09-16 16:20:58 +0200 af  r276205 : #i102525# Removing const to make Solaris linker happy. 2009-09-16 16:13:25 +0200 af  r276204 : #i90690# Initializing variable to avoid compilation problem. 2009-09-15 19:10:04 +0200 af  r276186 : #i90825# Replace edit source proxy when an outliner object is set. 2009-09-15 11:12:07 +0200 af  r276160 : #i90690# Broadcast accessibility events when the current slide is changed. 2009-09-15 09:37:48 +0200 af  r276148 : #i102525# Fixed Solaris compilation problem. 2009-09-14 18:12:40 +0200 af  r276142 : #i102525# Added missing implementation for some font related functions. 2009-09-14 18:02:05 +0200 af  r276139 : #i102525# Added accessibility support. 2009-09-14 17:30:13 +0200 af  r276136 : #i102525# Added support for interface XPane2 to panes. 2009-09-14 17:00:27 +0200 af  r276133 : #i102525# Added XPane2 interface. 2009-09-14 16:13:04 +0200 af  r276131 : #i50376# Make the focus indicator visible when the slide sorter has the focus.


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [6b98c0f0a8623018a98a29b8e34f3c58383e6bc9]

CWS-TOOLING: integrate CWS impressaccessibility4 2009-09-16 19:30:19 +0200 af  r276217 : #i80994# Fixed the triggering of accessibility initialization. 2009-09-16 18:43:57 +0200 af  r276214 : #i93083# ValueSet now handles the FOCUSED and FOCUSABLE states correctly.


2009-09-18  Jens-Heiner Rechtien  <hr@openoffice.org>  [d8c4ce576c034ce3f8d38969b297960b0dac5e7a]

CWS-TOOLING: integrate CWS mba32issues02 2009-09-17 mb93783 merge commit 2009-09-03 tb121644 #i104748 - slot unification to .uno:PasteSpecial 2009-09-01 mba #101455#: code simplification 2009-08-31 mb93783 iso locales for norwegian builds are nb and nn, not no 2009-08-25 mba merge to m55 2009-07-29 mba cleanup after rebase 2009-07-29 mba #i103200#: wrong order of first and last name in CJK UI 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba apply patch from broken svn CWS


2009-09-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [650a245a560c72defc426388020f712bec8ccaf2]

#i97509# added base class for 3d primitive, re-structured group primitives, added documentation


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [a1ce36ce55695481de341a6e4e333aa7d5b9bca0]

CWS-TOOLING: integrate CWS encsig09 2009-09-14 15:11:29 +0200 oc  r276125 : #i105049# MacroSignatur needs Macro 2009-09-09 17:09:46 +0200 jl  r276005 : #i103989# could not signe encrypted doc containing a formular object 2009-09-09 13:11:24 +0200 jl  r275985 : #i103989# could not signe encrypted doc containing a formular object 2009-09-08 15:54:02 +0200 mav  r275934 : #i103906# fix the automation test scenario ( tempfile should be writable for the user ) 2009-09-07 14:01:39 +0200 mav  r275895 : #i103906# fix the problem with reload 2009-09-07 09:34:48 +0200 mav  r275871 : #i104786# do the ODF version check only for ODF documents 2009-09-07 08:19:06 +0200 mav  r275870 : #i104389# fix text 2009-09-06 22:24:21 +0200 mav  r275867 : #i104786# check the consistency of ODF version 2009-09-06 22:23:24 +0200 mav  r275866 : #i104786# check the consistency of ODF version 2009-09-06 22:23:00 +0200 mav  r275865 : #i104786# check the consistency of ODF version 2009-09-06 22:22:36 +0200 mav  r275864 : #i104786# check the consistency of ODF version 2009-09-06 22:22:03 +0200 mav  r275863 : #i104786# check the consistency of ODF version 2009-09-02 17:09:30 +0200 mav  r275722 : #i104715# let repairing mechanics use the streams correctly 2009-09-01 16:52:49 +0200 mav  r275670 : #i104389# notify user not to trust the corrupted document 2009-09-01 16:31:37 +0200 mav  r275668 : #i104389# use vnd.sun.star.zip: protocol to access zip files 2009-09-01 16:30:32 +0200 mav  r275667 : #i104389# use vnd.sun.star.zip: protocol to access zip files 2009-09-01 16:22:13 +0200 jl  r275666 : #i104339# small content change 2009-09-01 14:20:42 +0200 jl  r275660 : #i103519# remove some debug output 2009-09-01 13:51:52 +0200 jl  r275659 : #i103519# NSS uses '\' for escaping in distinguished names 2009-09-01 12:49:47 +0200 mav  r275655 : #i104389# use zip-mode to read from jar files 2009-09-01 12:40:22 +0200 mav  r275653 : #i104389# use zip-mode to read from jar files 2009-09-01 12:32:29 +0200 mav  r275652 : #i104389# use constants 2009-08-31 21:58:00 +0200 mav  r275637 : #i10000# fix warning 2009-08-31 21:11:17 +0200 mav  r275636 : #i104227# adding of scripting signature removes the document signature 2009-08-31 20:55:05 +0200 mav  r275635 : #i103905# ZipStorage supports Compressed property 2009-08-31 20:53:55 +0200 mav  r275634 : #i103905# adjust macro signature transfer to usage of ZipStorage 2009-08-31 15:30:49 +0200 jl  r275609 : #i103989# warning is shown as long the user does not click 'OK' 2009-08-31 14:36:10 +0200 jl  r275608 : #i103989# changed warning text when signing macro and there is a document signature. This warning is only displayed once 2009-08-31 13:34:41 +0200 mav  r275603 : #i104452# disable macros in repaired documents 2009-08-31 13:33:42 +0200 mav  r275602 : #i104452# disable macros in repaired documents 2009-08-31 13:03:56 +0200 jl  r275600 : #i45212# signature dialog could not be started when using read-only documents 2009-08-31 09:26:13 +0200 mav  r275583 : #i104578# store the additional entry as the last one to workaround parsing problem in OOo3.1 and later 2009-08-30 20:54:25 +0200 mav  r275562 : #i10000# adopt for unix 2009-08-30 10:56:00 +0200 mav  r275561 : CWS-TOOLING: rebase CWS encsig09 to trunk@275331 (milestone: DEV300:m56) 2009-08-28 16:34:00 +0200 mav  r275539 : #i104578# write necessary info in manifest.xml for ODF1.2 encrypted document 2009-08-28 14:04:22 +0200 mav  r275533 : #104587# fix handling of readonly streams 2009-08-28 13:58:10 +0200 mav  r275531 : #i104389# fix the broken document handling 2009-08-28 11:40:39 +0200 mav  r275522 : #i104389# fix the signature streams check 2009-08-27 21:48:12 +0200 mav  r275509 : #i103927# show the warning 2009-08-27 21:47:48 +0200 mav  r275508 : #i103927# show the warning 2009-08-27 16:45:59 +0200 jl  r275495 : #i45212# remove unused variable 2009-08-27 16:34:00 +0200 jl  r275494 : #i103989# 2009-08-27 13:54:28 +0200 jl  r275482 : #i103519# fixed replacement of 'S' by 'ST' 2009-08-27 12:32:21 +0200 mav  r275472 : #i10000# fix warning 2009-08-27 11:58:11 +0200 mav  r275467 : #i104389# handle the entry path correctly 2009-08-26 17:18:35 +0200 jl  r275438 : #i103519# subject and issuer distinguished names were not properly displayed. The strings were obtained by system functions (Windows, NSS), which use quotes to escape the values, when they contain special characters 2009-08-26 11:00:20 +0200 mav  r275403 : #i10000# fix warnings 2009-08-26 08:25:45 +0200 mav  r275392 : #i10000# fix warning 2009-08-26 08:02:22 +0200 mav  r275391 : #i10000# adopt for linux 2009-08-26 07:40:30 +0200 mav  r275390 : #i10000# fix warning 2009-08-26 07:35:28 +0200 mav  r275389 : #i10000# use correct include file name 2009-08-25 15:01:41 +0200 jl  r275356 : #i103989# better check for mimetype of streams 2009-08-25 09:07:09 +0200 mav  r275335 : CWS-TOOLING: rebase CWS encsig09 to trunk@274622 (milestone: DEV300:m54) 2009-08-24 18:17:02 +0200 mav  r275329 : #i103927# check the nonencrypted streams 2009-08-24 18:14:14 +0200 mav  r275328 : #i103927# check the nonencrypted streams 2009-08-24 17:59:34 +0200 mav  r275327 : #i103927#,#i104389# check the package consistency and nonencrypted streams 2009-08-24 16:18:28 +0200 jl  r275323 : #i103989# added comment 2009-08-24 13:08:47 +0200 jl  r275305 : #i45212# #i66276# only write the X509Certificate element once and allow to add remove several certificates at a time 2009-08-21 12:57:28 +0200 ufi  r275239 : 104339 2009-08-21 08:39:05 +0200 jl  r275213 : #i10398# comparing URIs of signed files with the 'element list' 2009-08-20 13:39:47 +0200 jl  r275178 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:35:39 +0200 jl  r275177 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:29:06 +0200 jl  r275176 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:26:21 +0200 jl  r275175 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 12:05:09 +0200 ufi  r275170 : i104339 2009-08-19 12:24:54 +0200 jl  r275146 : #i10398# displaying 'old signature' icon and status in signature dialog 2009-08-18 15:18:48 +0200 jl  r275111 : #i103989# document signatures containing manifest.xml are now validated according to the final ODF1.2 spec 2009-08-18 11:41:06 +0200 mav  r275087 : #i103927# detect if encrypted ODF1.2 document contains nonencrypted streams 2009-08-18 11:35:13 +0200 mav  r275085 : #i103927# detect if encrypted ODF1.2 document contains nonencrypted streams 2009-08-14 17:32:41 +0200 jl  r274999 : #i103989# using c14n tranformation for XML streams 2009-08-14 15:27:43 +0200 jl  r274987 : #i103989# remove special handling for encrypted document streams in UriBindingHelper::OpenInputStream, since we use zip storage this is not necessary anymore 2009-08-14 15:08:10 +0200 jl  r274983 : #i103989# Showing a message when adding or removing a macro signature, that the document signature will be removed 2009-08-14 14:57:27 +0200 jl  r274982 : #i103989# accesing Sequence at invalid index 2009-08-11 08:55:02 +0200 mav  r274846 : #i103905# let signing service know if there is already a valid document signature 2009-08-10 11:33:37 +0200 jl  r274799 : #i103905# do not truncate the stream 2009-08-10 10:43:47 +0200 mav  r274797 : #i103905# provide the storage version 2009-08-07 16:58:46 +0200 jl  r274780 : #i103989# 2009-08-07 16:56:19 +0200 jl  r274779 : #i103989# using odf version string etc. 2009-08-07 15:20:53 +0200 mav  r274771 : #i103905# provide the storage version 2009-08-07 15:19:12 +0200 mav  r274770 : #i103905# provide the storage version 2009-08-07 12:41:45 +0200 mav  r274758 : #103930# do not store thumbnail in case of encrypted document 2009-08-07 12:36:52 +0200 mav  r274757 : #i103905# provide the storage version 2009-08-07 12:15:54 +0200 mav  r274754 : #i103760# the signed state is not lost on saving 2009-08-07 12:06:19 +0200 mav  r274753 : #i103760# avoid warning regarding signature removal on export 2009-08-07 12:06:01 +0200 mav  r274752 : #i103760# avoid warning regarding signature removal on export 2009-08-06 08:47:34 +0200 mav  r274703 : #i103905# allow to transport ODF version to the signing component 2009-08-05 21:34:42 +0200 mav  r274701 : #i103905# allow to transport ODF version to the signing component 2009-08-05 15:48:17 +0200 mav  r274683 : #i103905# allow to transport ODF version to the signing component 2009-08-05 14:58:12 +0200 jl  r274673 : #i103989# documentsignature now signes all streams except documentsignatures.xml, all streams are processed as binary files 2009-08-05 12:00:32 +0200 mav  r274648 : #i103905# allow to transport ODF version to the signing component 2009-08-04 10:57:04 +0200 jl  r274612 : #i103989# added XInitialization 2009-07-31 10:32:27 +0200 mav  r274516 : #i103905# use zip storage to sign documents 2009-07-30 14:01:33 +0200 mav  r274489 : #i103906# optimize the usage of temporary medium 2009-07-30 14:00:28 +0200 mav  r274488 : #i103906# optimize the usage of temporary medium 2009-07-30 13:59:09 +0200 mav  r274487 : #i103906# optimize the usage of temporary medium 2009-07-30 13:50:44 +0200 mav  r274485 : #i103906# optimize the usage of temporary medium 2009-07-30 13:49:53 +0200 mav  r274484 : #i103906# optimize the usage of temporary medium 2009-07-30 13:49:13 +0200 mav  r274483 : #i103906# optimize the usage of temporary medium 2009-07-30 13:47:09 +0200 mav  r274482 : #i103905#,#i103906# let the signing process use zip-storage; optimize the usage of temporary medium 2009-07-21 09:10:31 +0200 mav  r274159 : CWS-TOOLING: rebase CWS encsig09 to trunk@273468 (milestone: DEV300:m51) 2009-05-05 08:39:01 +0200 mav  r271496 : #i100832# allow to sign macros only when there are any


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [546b2a5bf7f804da42db61388b4e328fadde324e]

CWS-TOOLING: integrate CWS defaultdoclang 2009-08-21 14:44:21 +0200 cmc  r275260 : CWS-TOOLING: rebase CWS defaultdoclang to trunk@275001 (milestone: DEV300:m55) 2009-08-10 17:43:32 +0200 cmc  r274833 : CWS-TOOLING: rebase CWS defaultdoclang to trunk@274622 (milestone: DEV300:m54) 2009-07-24 11:46:58 +0200 cmc  r274297 : CWS-TOOLING: rebase CWS defaultdoclang to trunk@274203 (milestone: DEV300:m53) 2009-07-10 12:22:16 +0200 cmc  r273884 : #i99577# tweak the widths a bit 2009-07-08 15:17:58 +0200 cmc  r273834 : #i99577 tidy up indentation 2009-07-04 16:09:18 +0200 cmc  r273721 : #i99577# a "default" document language that reflects what the locale language is


2009-09-17  Jens-Heiner Rechtien  <hr@openoffice.org>  [32b1bb1dd4ef436549f125cc772836526252419b]

CWS-TOOLING: integrate CWS aw077 2009-09-17 Armin Le Grand #resolved conflicts for integration 2009-09-07 Armin Le Grand #i103058# re-added handling of StatusBar texts for DrawObject creation, added FullDrag for circle-similar shapes (all in the ellipse toolbar) 2009-09-03 Armin Le Grand #i100514# extended TextAttributes and handling, adapted for super/subscript, adapted WordBreaking (again) 2009-09-02 Armin Le Grand #i104432# secured TextLayouterDevice::getTextBoundRect implementation and usage 2009-09-02 Armin Le Grand #i104232#, #i100514# Mainly solved 1st one, no more local SpellCheck remembering, but adding to compare op's where needed 2009-08-19 Armin Le Grand #i100514# commited in-between version due to 2week holiday 2009-08-13 Armin Le Grand #i99157# applied changes to BitmapEx and SdrHdlBitmapSet 2009-08-06 Armin Le Grand #i100357# added clipping for too big MetaFiles


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [dffd6b0a03e339c37e57630baf5835b89d9df8a3]

CWS-TOOLING: integrate CWS boost134 2009-09-09 10:30:24 +0200 fs  r275970 : #i100127# provided by rene: check whether system-boost's function.hpp compiles without exception support 2009-09-04 21:58:00 +0200 fs  r275832 : indention 2009-09-04 21:57:10 +0200 fs  r275831 : #i10000# type in boost/spirit check. Thanks to thb 2009-09-04 10:58:54 +0200 fs  r275787 : #i100127# provided by tono@openoffice.org: mingw needs using directives for std::min/max 2009-09-04 10:31:54 +0200 fs  r275782 : #i100127# (approved by hjs) on Solaris, set GNUTAR to /usr/sfw/bin/gtar, this is available on baseline machines (Solaris 10.x), but not necessarily available in LD_LIBRARY_PATH 2009-08-19 21:47:55 +0200 rene  r275161 : #i10000# check for the header actually used now 2009-08-17 21:55:31 +0200 fs  r275073 : CWS-TOOLING: rebase CWS boost134 to trunk@275001 (milestone: DEV300:m55) 2009-07-16 09:39:25 +0200 fs  r274031 : #i100127# extract download/% with GNUTAR instead of TAR 2009-07-14 09:18:15 +0200 fs  r273960 : CWS-TOOLING: rebase CWS boost134 to trunk@273858 (milestone: DEV300:m52) 2009-07-13 09:55:14 +0200 fs  r273919 : #i100127# use boost 1.39, not 1.34 2009-07-13 09:45:57 +0200 fs  r273918 : use GNUTAR when extracting download/%.tar.gz, not TAR (necessary with boost 1.39 tarball) 2009-07-10 21:10:52 +0200 fs  r273905 : #i100127# spirit now part of boost 2009-07-06 12:12:13 +0200 fs  r273732 : #i10000# lngconvex, used in src/wizards, is built in shell => added missing module dependency 2009-07-02 15:34:51 +0200 fs  r273660 : #i100127# 2009-07-02 13:35:24 +0200 fs  r273645 : #i100127# MSVC needs some hinting when using boost::bind on (some) member functions 2009-07-02 10:33:59 +0200 fs  r273625 : removed unused include (lead to an internal compiler error with MSVC and boost 1.34+) 2009-07-02 09:44:35 +0200 fs  r273619 : change some include orders, prevents 'internal compiler errors' with MSVC 2009-07-01 09:19:25 +0200 fs  r273547 : #i100127# who the heck is defining max as something unusable? 2009-07-01 09:17:28 +0200 fs  r273546 : #i100127# defining min/max is causing trouble now 2009-07-01 09:15:40 +0200 fs  r273545 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL, and disabling warning 4180 2009-07-01 09:14:23 +0200 fs  r273544 : #i100127# re-disable warning 4180, still needed for some files 2009-07-01 09:07:33 +0200 fs  r273543 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL 2009-06-24 11:00:32 +0200 fs  r273319 : oops, re-introduced some inc locations 2009-06-23 22:10:02 +0200 fs  r273304 : #i100127# disable warning C4180 2009-06-23 22:08:36 +0200 fs  r273303 : #i100127# disable warning C4180 2009-06-16 12:26:49 +0200 fs  r273015 : #i10000# (provided by mst@openoffice.org) 2009-06-15 09:10:27 +0200 fs  r272962 : #i10000# use -r instead of -a when copying the include files, this prevents the spurious 'failed to preserve ownership' errors 2009-06-11 23:55:06 +0200 fs  r272902 : #i100127# 2009-06-11 23:54:47 +0200 fs  r272901 : #i100127# 2009-06-11 23:54:05 +0200 fs  r272900 : make compile on unxsol[i|s]4 2009-06-10 10:12:22 +0200 fs  r272798 : #i100127# don't deliver from within unxlngi6/misc/build/boost, but from a 'normalized' location unxlngi6/inc 2009-06-10 09:48:00 +0200 fs  r272795 : #i100127# use 1.34.1 unconditionally on all platforms


2009-09-17  hb137859  <hb137859@x42-so34>  [a3d4c1296156776c021b7bbe11bd754d28210ede]

merged DEV300_m59


2009-09-17  Thomas Lange  <tl@openoffice.org>  [756d3e6bee16a648fbfc5a6719df0da84f255d79]

#i1601# Sentence case, Title case, and Toggle case transliteration added


2009-09-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [8ec32bdf314b1f0f46941ca6c7028af16cc5a48e]

CWS-TOOLING: integrate CWS cloph13 2009-09-01  #i104566# also use syslibroot/isysroot for external components 2009-08-28  #i104568# clean up duplicated definitions of OBJCXXFLAGS 2009-08-28  #i104567# add ccache-detection to configure (to skip to objcxx-flags) 2009-08-28  #i104566# use Mac OS X 10.4-SDK to ensure backwards compatibility use MACOSX_DEPLOYMENT_TARGET and sysroot/syslibroot switches ignore "-isysroot /Developer/..." arguments for OOo's cpp


2009-09-16  Ivo Hinkelmann  <ihi@openoffice.org>  [9f71be936cff52c4943651edff82b3f5434a604d]

